
//影片编码
var filmCode;


document.addEventListener('get_detail', function(event) {
	$(".cinema__name").text("");
	$(".contentcss").hide();
	filmCode = event.detail.film_code;
	pretreatment();
	loadFilmData();
	checkConcernFilm();
});

function checkConcernFilm(){
	mui(".mui-content").on('tap','.want_concern',function(){
		var concern = "0";
		//1关注 0未关注
		if(concern_type == "0"){
			concern = "1";
		}
		var cinemaCode = '62549174';
		var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
		if(mui.os.plus) {
			cinemaCode = plus.storage.getItem("currentCinemaCode");
			wecha_id = getWechaId();
		}
		$.ajax({
			url: web_root+'/appService?method=filmConcern',
			type: 'post',
			dataType: 'json',
			data: {
				"auth": auth_code,
				"wecha_id": wecha_id,
				"cinema_code": cinemaCode,
				"film_code": filmCode,
				"concern_type":concern,
				"app": "true"
			},
			beforeSend: function() {
				if(mui.os.plus) {
					plus.nativeUI.showWaiting("");
				}
			},
			complete: function() {
				if(mui.os.plus) {
					plus.nativeUI.closeWaiting();
				}
			},
			timeout: 60000,
			success: function(data) {
				if($.trim(data.code) == "0"){
					concern_type = concern;
					if(concern == "1"){
						$(".want_concern_img").attr("src","../../images/details_like_selected.png");
					}else{
						$(".want_concern_img").attr("src","../../images/details_like_normal.png");
					}
				}
				var myFilmList = plus.webview.getWebviewById("myFilmList");
				if(myFilmList){
					mui.fire(myFilmList,"loadData");
				}
				var movieList = plus.webview.getWebviewById("movie-list");
				if(movieList){
					mui.fire(movieList,"loadData");
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log(xhr);
				console.log(type);
				console.log(errorThrown);
				if(mui.os.plus) {
					//mui.alert('操作失败');
				}
			}
		});
  	});
}

function pretreatment(){
	$("#detailData").find("span").remove();
	$("#detailData").find("div").remove();
	$("#actorsList").find("div").remove();
}

//加载影片数据
function loadFilmData(){

	if(isNull(filmCode))
	{
		return;
	}
	mui.ajax({
      	url : web_root + '/appService?method=loadFilmDetails',
      	type : 'post',
      	dataType:'json',
      	data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"filmCode":filmCode,
			"app":"true"
	  	},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
      	},
      	timeout : 100000,
      	success : function(data){
      		if(mui.os.plus){
      			plus.nativeUI.closeWaiting();  
      		}
  			console.info("film-data:" + JSON.stringify(data));
  			if(!isNull(data)){
  				currentCityData = data;
  				initFilmData(data.filmInfo);
  				initActorsData(data.filmInfo);
  				$(".contentcss").show();
  			}
  			
      	},
     	 error : function(xhr,type,errorThrown){
      		if(mui.os.plus){
      			plus.nativeUI.closeWaiting();  
      		}
      	}
    });
}
var concern_type;
//初始化影片详情
function initFilmData(data){

	var times = data.duration;
	var publishDate = data.publishDate;
	
	if(!isNull(times)){
		times = times.toString();
		if(times.indexOf("分钟") < 0 || times.indexOf("分") < 0){
			times += "分钟";
		}
	}
	concern_type = $.trim(data.concern);
	if($.trim(data.concern) == "1"){
		$(".want_concern_img").attr("src","../../images/details_like_selected.png");
	}else{
		$(".want_concern_img").attr("src","../../images/details_like_normal.png");
	}
	if(!isNull(publishDate)&&compareDay(publishDate)){
		publishDate = formatPublicDate(publishDate);
		$(".footer_").hide();
	}else{
		$(".footer_").show();
	}
	if($.trim(data.filmPosterUrl) !=""){
		var src = data.attachDir + data.filmPosterUrl;
		$("#filmSrc").attr("src",src);
		$("#head_bg").css({"background-image":"url("+src+")","opacity":0.95});//95%当前影片背景图
		console.log(src)
	}else{
		$("#head_bg").css("background","aliceblue"); 
		$("#filmSrc").attr("src","../../images/bg/image1.png");
	}
	$(".cinema__name").text(data.filmName);
	$("#filmTimes").text(times);
	$("#startDate").text(isNull(publishDate) ? ""  : (publishDate+ " 中国上映"));
	$("#movietips_text").text(data.introduction);
	
	var detail = $("#detailData");
	var content = "<span class=\"icon_cinema_css\">" + data.version + "</span>";
	var content_2 = "<div class=\"cinema_score\">0.0</div>";
	detail.append(content);
	detail.append(content_2);
}

//渲染导演、演员信息
function initActorsData(data){
	var imgDir = "../../image/bg/image1.png";
	var parent = $("#actorsList");
	var cast = data.cast;
	
	if(!isNull(data.director)){
		var dir_content = "<div class=\"swiper-slide\"><div class=\"slider_img2\"><a href=\"javascript:;\"></a><div class=\"cinema_tips\">" + data.director + "</div><div class=\"cinema_tips2\">导演</div></div></div>";
		parent.append(dir_content);
	}
	
	if(!isNull(cast)){
		var actors = [];
		
		if(cast.indexOf("/")){
			actors = data.cast.split("/");
		}else if(cast.indexOf("、")){
			actors = data.cast.split("、");
		}else if(cast.indexOf(",")){
			actors = data.cast.split(",");
		}else{
			var content = "<div class=\"swiper-slide\"><div class=\"slider_img2\"><a href=\"javascript:;\"></a><div class=\"cinema_tips\">" + cast + "</div><div class=\"cinema_tips2\">导演</div></div></div>";
			parent.append(content);
		}
		
		if(!isNull(actors) && actors.length > 0){
			
			$.each(actors, function(index,item) {
				if(!isNull(item)){
					var content = "<div class=\"swiper-slide\"><div class=\"slider_img2\"><a href=\"javascript:;\"></a><div class=\"cinema_tips\">" + item + "</div><div class=\"cinema_tips2\">演员</div></div></div>";
					parent.append(content);
				}
			});
		}
	}
	$(".slider_img2 img").one("error", function(e){
	     $(this).attr("src", "../../images/bg/image1.png");
	});
}


//跳转排期界面
function turnToSchedulePage(){
	console.log("-------------turnToSchedulePage------");
	openPage('schedule','movie/filmCode.html',{filmCode:filmCode});
}

//转换日期
function formatPublicDate(date) {
	var arr = date.split("-");
	var str = "";
	if($.isArray(arr) && arr.length > 2) {
		str = arr[0] + "年" + arr[1] + "月" + arr[2] + "日";
	}
	return str;
}
