/**选座会员登录js**/
var cinemaCode,lowerPrice;
var featureAppNo;
var featureDate;
var filmCode;
var wecha_id;

/**预处理操作*/
function pretreatment(){
	//清除缓存中订单号
	plus.storage.removeItem("mer_orderNumber");
	//清除卖品数据
	plus.storage.removeItem("selectMersData");
	//清除单品卖品数量
	plus.storage.removeItem("mer_count");
	
	var cinemas = plus.storage.getItem("currentCityCinema");
	if(!isNull(cinemas)){
		cinemas = $.parseJSON(cinemas);
		
		$.each(cinemas,function(i,cinema){
			
			if(cinema.CinemaCode = cinemaCode){
				
				var registerBtnObj = $("#register");
				if(cinema.regLimit == "1"){
					registerBtnObj.unbind("click");
					registerBtnObj.hide();
				}else{
					registerBtnObj.click(function(){
						turnToRegister();
					});
					registerBtnObj.show();
				}
			}
		});
		
	}
}

/**绑定事件*/
function bindEvent(){
	$('#login').click(function(){
		//会员登录函数
		bindingCard();		
	});
	$('.forgetpassword').click(function(){
		//忘记密码
		turnforgetPage();		
	});
	$("#buy-ticket").click(function(){
		//不登录 直接购票
		turnToOriginPage();
	});
}

/**初始化页面,获取授权影院*/
function intialBindingPage(){
	if(!isNull(lowerPrice) && lowerPrice > 0){
		lowerPrice =  parseFloat(lowerPrice).toFixed(2);
		var lowerPriceArr = lowerPrice.split(".");
		if(lowerPriceArr[1].lastIndexOf("0") == 1){
			lowerPrice =  parseFloat(lowerPrice).toFixed(1);
		}
		var priceArr = lowerPrice.split(".");
		var content = "¥" + lowerPrice;
		$("#lowestMemPrice").html(content);
	}
}


/**
 * 绑定会员卡
 * @return
 */
function bindingCard(){
	var phone = $("#phone").val();
	var pssword = $("#password").val();
	if(isNull(cinemaCode)){
		msg_new('请选择影院');
		return;
	}
	if (phone.length == 0) {
		msg_new('请输入手机号码或会员卡号!');
		return;
	}
	if(!passwordValidator(pssword,false)){
		return;
	}
	mui.ajax({
		url : web_root + '/appService?method=appLoginBound',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":wecha_id,
			"Phone":phone,
			"Pssword":$.md5(pssword),
			"BoundCinemaCode":cinemaCode,
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
		  	//plus.storage.setItem("myInfo",JSON.stringify(data));
			console.info("loginpre-member:" +JSON.stringify(data));
	   		if(data.state == "0" || data.state == 0){
	   			var message = '保存失败,' + data.msg;
	   			msg_new(message);
	   		}else{
	   			console.log(JSON.stringify(data));
	   			if(isNull(data.member)){
	   				mui.alert(data.msg);
	   				return;
	   			}
				var member = data.member;
				if ($.trim(member.ResultCode) && member.ResultCode == "0") {
					plus.storage.setItem("myInfo",JSON.stringify(member));
					plus.storage.setItem("wecha_id",data.wechat_id);
					msg_new('亲，绑定成功啦~');
//					mui.toast("恭喜,登录成功!");	
					var loginPage = plus.webview.getWebviewById('pages/mine.html');
					if(loginPage){
						mui.fire(loginPage,"loginRefresh",{});
					}
					setTimeout(function(){
		   				turnToOriginPage(true);
		   			},10);
				}else{
					if(mui.os.plus) {
						var showMsg = member.Message;
			   			if($.trim(showMsg) !="" && showMsg.indexOf("地址有误") > -1){
			   				showMsg = "网络连接异常，请稍后再试";
			   			}
			   			message = '登录失败,' + showMsg + '';
			   			mui.alert(message);
					}
				}	   			
	   		}
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}
	});		
}


/**
 * 购票页面跳转至忘记密码页面
 * @return
 */
function turnforgetPage(){
	openPage('forgetPassword','/pages/mine/forgetPassword.html',{pageUrl : "/pages/loginPre.html"});
}

/**密码验证**/
function passwordValidator(pwd,isConfirmPass){
	var re= /^\d*$/g;
	if(isNull(pwd)){
		msg_new(isConfirmPass ? "请输入确认密码" : "请输入会员密码");  
		return false;
	}else if(!re.test(pwd) || pwd.length != 6){
		msg_new(isConfirmPass ? "请输入6位数字的确认密码" : "请输入6位数字的会员密码"); 
		return false;
	}else{
		return true;
	}
}

/**键盘事件**/
function passwordEvent(){
	$('#password').click(function(){
		$(this).attr('type','tel');
		setTimeout(function(){
			$('#password').attr('type','password');
		},1);
	});
}


function turnToRegister(){
	var param = {
		cinemaCode:cinemaCode,
		page:"/pages/loginPre.html"
	}
	openPage('register','/pages/register.html',param);
}

/**
 * 
 * @param {Object} loginSuccess 是否登录成功
 */
function turnToOriginPage(loginSuccess){
	if(fromPage == "shopPage"){
		if(!loginSuccess){
			var shopPage = plus.webview.getWebviewById("pages/shop.html");
			mui.fire(shopPage,'refreshSaleState');
		}
		plus.webview.currentWebview().close();
		mui.back();
		return;
	}
	
	var param = {
		cinemaCode:cinemaCode,
		lowerPrice:lowerPrice,
		page:"loginPre"
	}
	
		
//		var param_seat = {
//			"featureAppNo":featureAppNo,
//			"lowerPrice":lowerPrice,
//			"featureDate":featureDate,
//			"filmCode":filmCode,
//			"cinemaCode":cinemaCode
//		};
//		console.log("params:" + JSON.stringify(param_seat));
//		openPage(seatChangeUrl.id,seatChangeUrl,seatParam);
		createOrder();
	
}

function createOrder(){
	console.info("========================================================================================");
	var parama = $.parseJSON(plus.storage.getItem("seatParam"));
	var urlParam = $.parseJSON(plus.storage.getItem("seatChangeUrl"));
	console.info("urlParam:" + JSON.stringify(urlParam));
	console.info("parama:" + JSON.stringify(parama));
	parama.wecha_id = getWechaId();
	if(parama.wecha_id != plus.device.uuid){
		parama.tourist_id = plus.device.uuid;
	}
	mui.ajax({
		url : web_root + '/appService?method=lockSeats',
		type : 'post',
		dataType:'json',
		data:parama,
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			console.info("login-pre-order:" +JSON.stringify(data));
			if(typeof data == "string") data = eval('(' + data + ')'); 
		    if (data.state == 0 ) {
				//如果锁座失败,跳转回排期页面
				confirm_new(data.msg, function () {
					goBackIndex();
//		            openPage('index','/index.html',{});
//		            backHomePage();
		        });
			}else{
				var param = {
					cinemaCode:cinemaCode,
					autoAppend:true,
					orderNumber:data.OrderNumber
				}
				
				openPage(urlParam.id,urlParam.page,param);
				var loginPre = plus.webview.getWebviewById("loginPre");
				setTimeout(function(){
					loginPre.hide();
				},1000);
				setTimeout(function(){
					loginPre.close();
				},2000);
			}
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}
	});	
	
}
