var cinemaCode,authId,auth,wecha_id,isApp,cardOrPhone,businessCode;

$(document).ready(function(e) {
	cinemaCode = $.url.param('cinemaCode');//绑卡影院，当前选择影院
	businessCode = $.url.param('businessCode');//注册影院
	authId = $.url.param('authId');
	auth = $.url.param('auth');
	wecha_id = $.url.param('wecha_id');
	isApp = sessionStorage.getItem('isApp') == 'true';
	var cardNo = $.url.param('cardNo');
	var phone = $.url.param('phone');
	if(!isNull(cardNo)){
		cardOrPhone =  cardNo;
	}else{
		cardOrPhone = phone;
	}
	$(".consume_record ul").html("");
	queryMyTicketData();
});


/**
 * 查询我的票券记录数据
 * @return
 */
function queryMyTicketData(){
	showLoading();
	var url= getBasePath() + "appService?method=queryMyTicketData";
	var param = getAppBaseParam();
	param.auth =auth ;
	param.wecha_id =wecha_id ;
	param.authId = authId;
	param.cinemaCode = cinemaCode;
	param.cardOrPhone = cardOrPhone;
	param.nMonth = "3";
	param.pPageNum = "1";
	param = parseParam(param,isApp);
   	$.post(url, param, function(data){
		var myTicket = data;
		renderMyTicket(myTicket);
   		hideLoading();
   	});
}

/**
 * 渲染我的票券页面
 * @param memberFlowList
 * @return
 */
function renderMyTicket(myTicketList){
	console.log("myTicket-->",myTicketList);
	var consumeRecordObj = $(".consume_record ul");
	if(isNull(myTicketList)){
		var content = "<div class=\"not_info_box\">";
		content += "<div class=\"not_info_pic\"><i><img src=\"/image/ico-norecords.png\" /> </i></div>";
		content += "<div class=\"not_info_txt\">没有查询到相关票券记录~</div></div>";
		consumeRecordObj.append(content);
		console.log("没有交易数据");
	}else{
		$.each(myTicketList,function(i,myTicket){
			//票券状态，0-全部；1-未使用；2-已使用；3-已退货；4-已停用；5-已作废；6-已过期
			var ticketStatus ="未使用";
			if(myTicket.TicketStatus =="USED"){   //已使用
				ticketStatus="已使用";
			}else if(myTicket.TicketStatus =="LOCKED"){   //已锁定
				ticketStatus="已过期";
			}else if(myTicket.TicketStatus == "5"){
				ticketStatus="已作废";
			}else if(myTicket.TicketStatus == "6"){
					ticketStatus="已过期";
			}
			var content = "";
			if(myTicket.TicketType == "3"){		
				content +='<div class="bodyer">';
				content +='<div class="lefttext"><img class="imgcss" src="/image/bindTicket/ticket_quan.png"></img></div>'; 
				content +='<div class="righttext">'; 
				content +='<span class="unused">未验证</span>';
				content +='<div class="bodyertext"><span class="publictext2">编   号：</span><span class="publictext">'+myTicket.TicketNoDis+'</span></div>';
				content +='</div>';
				content +='</div>'; 
				content +='<div class="footer"></div>'; 
			}else{
				content +='<div class="bodyer2">';
				content +='<div class="lefttext2">';
				if (myTicket.TicketType == 0) {
					content +='<img class="imgcss" src="/image/bindTicket/ticket_duihuanquan.png"></img>';
				} else if (myTicket.TicketType == 1) {
					content +='<img class="imgcss" src="/image/bindTicket/ticket_daijinquan.png"></img>';
				} else if (myTicket.TicketType == 2){
					content +='<img class="imgcss" src="/image/bindTicket/ticket_youhuiquan.png"></img>';
				}else {
					content +='<img class="imgcss" src="/image/bindTicket/ticket_quan.png"></img>';
				}
				content +='</div>'; 
				content +='<div class="righttext">'; 
				content +='<div class="headertext">'+myTicket.TicketName+'</div>';
				content +='<span class="unused2">未使用</span>';
				content +='<div class="bodyertext2"><span class="publictext2">编   号：</span><span class="publictext">'+myTicket.TicketNoDis+'</span></div>';
				content +='<div class="footertext"><span class="publictext2">有效期：</span><span class="publictext">'+myTicket.ValidateTimeStartStr+"至"+myTicket.ValidateTimeEndStr+'</span></div>';
				content +='</div>';
				content +='</div>'; 
				content +='<div class="footer"></div>'; 
				
			}
			consumeRecordObj.append(content);
		});
	}
	$(".binTicketIcon").click(function(){
		bindBills();
	});
}

//绑定票券
function bindBills(){
	var url= "/m365/weixin/vn/bindTicket?auth=" + auth + "&wecha_id=" + wecha_id+"&cinemaCode=" + cinemaCode;;
	changePage(parseParam(url));
}