
	function startfeed(e) {
		var url = web_root + "/appService?method=loadUserFeedbackInfo";
		//请求服务端跨域
		var cinemaCode = '62549174';
		var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
		if(mui.os.plus) {
			cinemaCode = plus.storage.getItem("currentCinemaCode");
			wecha_id = getWechaId();
		}
		if(isNull(cinemaCode)) {
			return;
		}
		var Data = {
			"auth": auth_code,
			"wecha_id": wecha_id,
		}
		$.ajax({
			type: "get",
			url: url,
			async: true,
			data: Data,
			beforeSend: function() {
				plus.nativeUI.showWaiting('');
			},
			success: function(data) {
				createItem(data);
			},
			error: function(msg) {
				console.log("请求错误:" + msg);
			},
			complete:function(){
				plus.nativeUI.closeWaiting();
			}
		});
	}
	
	mui.plusReady(function() {
		startfeed();
	})
	//	请求数据成功
	function createItem(data) {
		var list = data.datas;
		var arr = [];
		for(var i in list) {
			if(isNull(list[i].Phone)) {
				list[i].Phone = "匿名吐槽";
			}
			var cout = '<ul>' +
				'<li class="feed-24">' + list[i].Phone + '<span class="Adopt" data-id="' + list[i].IsAccepted + '">采纳</span></li>' +
				'<li class="feed-20">' + list[i].CreateTimeStr + '</li>' +
				'<li class="feed-27">' + list[i].Content + '</li>'+
			'</ul>';
			arr.push(cout);
			$(".no-feed-all").hide();
			$(".footer").css("position", "relative");
		}
		$(".feed-text").html(arr.join(""));
		if(list.length > 0){
			$(".footer").show();
		}
		
		$(".feed-text ul").find(".Adopt").each(function() {
			var Adoptvalue = $(this).data("id");
			if(Adoptvalue == 1) {
				$(this).show();
			} else {
				$(this).hide();
			}
			if(list.length > 3) {
				$(".feed-text-1").show();
				$("#no-feed").find("ul:[3]").hide();
			}else {
				$(".feed-text-1").hide();
			}
		});
		var li = $('li');
		$(li[li.length - 1]).css("border-bottom", 0);
	};
	$("#submit").on('click',function() {
		var iphone = $("#iphone").val();
		var describe = $("#describe").val();
		if(isNull(describe)) {
			mui.alert('请输入吐槽内容！','');
			return;
		}
		if(describe.length > 200) {
			mui.alert('请输入200字以内的吐槽内容！');
			return;
		}
		if(!isNull(iphone) && !(/^1[34578]\d{9}$/.test(iphone))) {
			$("#iphone").val("");
			mui.alert('请输入正确的手机号！');
			return;
		}
		var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
		if(mui.os.plus) {
			wecha_id = getWechaId();
		}
		var url = web_root + "/appService?method=saveUserFeedbackInfo";
		var Data = {
			"auth": auth_code,
			"wecha_id": wecha_id,
			"Content": describe,
			"Phone": iphone,
			"channel":"app"
		}
		$.ajax({
			url: url,
			data: Data,
			dataType: "json",
			type: "post",
			beforeSend:function() {
				plus.nativeUI.showWaiting('');
			},
			success: function() {
//				清空吐槽
				$("#describe").val('');
//				清空手机号码
				$("#iphone").val('');
//				刷新页面
				//window.location.reload();
				startfeed();
			},
			error:function(msg){
				mui.toast('吐槽失败~');
			},
			complete:function(){
				plus.nativeUI.closeWaiting();
			}
		});
	});
	$(".feed-text-1").click(function() {
		$(".feed-text").empty();
		$(".pdleft").empty();
		$(".feed-text-1").remove();
		$(".feed-text-1").css("border-top", 0);
		startfeed('true');
		$("#no-feed").find("ul:[3]").show();

	});
