/**
 * 会员充值页面
 */
var cinemaCode,authId,auth,wecha_id,isApp,cardNo,belongCinemaCode,orderTicketPayNumber,isContinuePayOrder,cinemaCodeUrl,selectCinemaCode,currentSelectCinema;
var callType ="weixin";
$(function(){
	$(".show_tab").hide();
	cinemaCode = $.url.param('cinemaCode');
	authId = $.url.param('authId');
	auth = $.url.param('auth');
	wecha_id = $.url.param('wecha_id');
	isApp = sessionStorage.getItem('isApp') == 'true';
	cardNo = $.url.param('cardNo');
	belongCinemaCode =$.url.param('belongCinemaCode');
	ticketPayOrderNumber = $.url.param('orderNumber');
	cinemaCodeUrl = $.url.param('cinemaCode');
    if(!isNull(wecha_id)){
    	if(wecha_id.indexOf('$') != -1){
    		callType = 'app';
    	}
    }
	if(callType && callType == 'app'){
		var weixinPayObj = $("#weixinPay").parent().parent().remove();
	}
	var cinemaCodeParam = !isNull(cinemaCodeUrl) ? cinemaCodeUrl : belongCinemaCode;
	loadSelectCinema(cinemaCodeParam);
	
});

/**
 * 初始化页面
 * @return
 */
function innitialPage(){
	console.log("初始页面");
}

/**
 * 获取充值页面信息
 * @return
 */
function loadMemberRechargeData(selectCinemaCode){
	showLoading();
	if(isNull(selectCinemaCode)){
		hideLoading();
		msg_new( "请先选择一家影院"); 
    	return;
	}
	var url= getBasePath() + "appService?method=loadMemberRechargeData";
	var param = getAppBaseParam();
	param.auth =auth ;
	param.wecha_id =wecha_id ;
	param.authId = authId;
	if(!isNull(cardNo)){
		param.cardNo = cardNo;
	}
	if(!isNull(belongCinemaCode)){
		param.belongCinemaCode = belongCinemaCode;
	}
	param.selectCinemaCode = selectCinemaCode;
	param = parseParam(param,isApp);
   	$.post(url, param, function(data){
		myprint(data);
		if(!isNull(data) && data.msgCode == "0"){
			renderMerberCardInfo(data);
		}else{
			if( data.msgCode == "1001"){
				msg_new("请先绑定会员卡!", function () {
   					turnToBindingPage();
   		        });
			}else if(data.msgCode == "10011"){
				layer.confirm(data.msg+",是否返回首页?",{
					closeBtn : 0,
					title : '提示',
					shadeClose : true,
					shade : 0.5,
					btn: ['好','切换影院']//按钮
					,yes: function(index){
						var url= "/m365/weixin/vn/index?auth=" + auth + "&wecha_id=" + wecha_id;
	   					changePage(url);
					  } 
				});
			}else{
				msg_new(data.msg, function () {
   					var url= "/m365/weixin/vn/index?auth=" + auth + "&wecha_id=" + wecha_id;
   		        });
			}
		
		}
   		hideLoading();
   	});
}

function renderMerberCardInfo(data){
	var errorMsg;
	if(isNull(data) || isNull(data.userBoundCardDto)){
		console.log("初始页面所有信息");
		confirm_new("请先绑定会员卡!", function () {
			turnToBindingPage();
        });
	}else if (isNull(data.userBoundCardDto.memberCardNo) && isNull(data.userBoundCardDto.memberPhone)){
		msg_new("请求会员数据失败，请稍后再试");
	}else{
		/**填充会员信息*/
		var userBoundCard = data.userBoundCardDto;
		cardNo = userBoundCard.CardNo;
		if(!isNull(cinemaCodeUrl)){
			setCurrentSelectCinema(cinemaCodeUrl);
			selectCinemaCode = currentSelectCinema.CinemaCode;
			$("#belongCinemaName").html(currentSelectCinema.CinemaName);
		}else{
			if(isNull(userBoundCard.belongCinemaCode) || userBoundCard.belongCinemaCode.length < 8) {
				selectCinemaCode = currentSelectCinema.CinemaCode;
				$("#belongCinemaName").html(currentSelectCinema.CinemaName);
			}else{
				selectCinemaCode = userBoundCard.belongCinemaCode;
				$("#belongCinemaName").html(userBoundCard.belongCinemaName);
			}
		}
		var memberCardNo = userBoundCard.memberCardNo;
		var memberPhone = userBoundCard.memberPhone;
		var memberBalance = userBoundCard.memberBalance;
		if(isNull(memberCardNo)){
			memberCardNo = '未开卡';
		}
		if(isNull(memberPhone)){
			memberPhone = '未填写';
		}
		if(isNull(memberBalance)){
			memberBalance = 0;
		}
		$("#memberCardNo").html(memberCardNo);
		$("#memberPhone").html(memberPhone);
		$("#memberBanlance").html("当前卡余额："+memberBalance.toFixed(2)+"元");
		
		/**填充活动信息*/
		var chargeActivityList = data.chargeActivityList;
		var rechargeTitleObjUl = $('#rechargeActivity');
		if(isNull(chargeActivityList)){
			console.log("初始充值活动所有信息");
		}else{
			$.each(chargeActivityList,function(i,chargeActivity){
				var chargeActivityListSize = chargeActivityList.length - 1;
				var ruleName = chargeActivity.RuleGroupName+ '-' + chargeActivity.Name;
//				if(ruleName.length > 10){
//					ruleName = ruleName.substring(0,10)+"...";
//				}
				var activityContent = "<li class=\"sel_li li_f bar\">";
				activityContent += "<div class=\"sel_act bar_left\" value='"+ chargeActivity.ChargeActivityID + "' chargeAmountExpressions='" + chargeActivity.ChargeAmountExpressions + "'>";
				activityContent += "<span class=\"ico_act\"><i class=\"icon_circle_no\"></i></span></div>";
				activityContent += "<span class=\"inte_act color_333 bar_center\">"+ruleName+"</span>";
				activityContent += "<span activityContent ='"+chargeActivity.RuleGroupRemark+"'";
				activityContent += "class=\"act_det_pop color_00a1e5 bar_right\">活动详情</span></li>";
				rechargeTitleObjUl.after(activityContent);  //生成充值活动内容
			});
		}
		
		if(isNull(data.chargeAmountArr)){
			console.log("没有活动金额设置");
		}else{
			var chargeAmountArr = data.chargeAmountArr.split(";");
			if(isNull(chargeAmountArr)){
				$("#member").css("display","block");
			}else{
				var regMoneyObjDD = $('.reg_money');
				for ( var i = 0; i < chargeAmountArr.length; i++) {
					if (!isNull(chargeAmountArr[i])) {
						var optionContent = "<dd><a href=\"javascript:void(0);\" class=\"mod_dis_btn\" value='"+chargeAmountArr[i]+"'>"+chargeAmountArr[i]+"元</a></dd>";
						regMoneyObjDD.append(optionContent);
					}
				}
				$("#member").css("display","none");
			}
		}
		
		/**支付方式**/
		var apiPay = $("#apiPay").parent().parent();
		var weixinPayObj = $("#weixinPay").parent().parent();
		var isDefaultSelectPay = false;
		if (userBoundCard.payTypes.indexOf('ALIPAY') >= 0) {
			apiPay.show();
			apiPay.click();
			isDefaultSelectPay = true;
		}else{
			apiPay.hide();
		}
		if ((userBoundCard.payTypes.indexOf('WEIXIN') >= 0 ) && callType == 'weixin' && isweixin()) {
			weixinPayObj.show();
			if(!isDefaultSelectPay){
				weixinPayObj.click();
				isDefaultSelectPay = true;
			}
		}else{
			weixinPayObj.hide();
		}
		initialJs();	//初始js
		$(".sel_act i").eq(0).click();  //默认选中第一项活动
		if(userBoundCard.payTypes.indexOf('ALIPAY') == -1 && userBoundCard.payTypes.indexOf('WEIXIN')== -1){
			errorMsg = "由于影院还没配置充值支付方式，暂时不能为您充值";
		}
		if(!isNull(errorMsg)){
			layer.confirm(errorMsg+",是否返回首页?",{
				closeBtn : 0,
				title : '提示',
				shadeClose : true,
				shade : 0.5,
				btn: ['好','切换影院']//按钮
				,yes: function(index){
					var url= "/m365/weixin/vn/index?auth=" + auth + "&wecha_id=" + wecha_id;
					changePage(url);
				  } 
			});
		}
		
	}
}

function recharge(orderPayType){
		var chargeAmount = $("#rechargeAmount").val();
		var selectCrmChargeActivity = $(".icon_blue_suc").parent().parent().attr('value');
		var isExistActivity = $(".icon_circle_no");
		console.log("isExistActivity-->",isExistActivity);
		if(isExistActivity.length >0){
			if(isNull(selectCrmChargeActivity) && isNull(chargeAmount)){
				msg_new("请选择一个充值活动或输入需要充值的金额!");
				return;
			}
		}else {
			if(isNull(chargeAmount)){
				msg_new("请输入需要充值的金额!");
				return;
			}
		}
		if (isNull(selectCrmChargeActivity)) {
			var  type="^[0-9]*[1-9][0-9]*$"; 
	        var  re   =   new   RegExp(type); 
	        if(isNull(chargeAmount) || chargeAmount.match(re)==null) { 
	        	msg_new( "请输入大于零的整数!"); 
	        	return;
	        }
		}
		if(isNull($("#memberCardNo").html())&& isNull($("#memberPhone").html())){
			msg_new( "请求会员数据失败，请稍后再试!"); 
        	return;
		}
		//var selectCinemaCode = localStorage.getItem("cinemaCode");
		if(isNull(selectCinemaCode)){
			msg_new( "请先选择一家影院"); 
        	return;
		}
   		url= getBasePath() + "appService?method=initCrmCharge&auth=" + auth + "&wecha_id=" + wecha_id;
		showLoading();
		var param = getAppBaseParam();
		param.auth =auth ;
		param.wecha_id =wecha_id ;
		param.authId = authId;
		param.selectCinemaCode = selectCinemaCode;
		param.CrmMemberCard = cardNo;
		param.ChargeAmount = chargeAmount;
		param.OrderPayType = orderPayType;
		param.selectCrmChargeActivity = selectCrmChargeActivity;
		param = parseParam(param,isApp);
		console.log("param---->",param);
		if(orderPayType == "ALIPAY" && isweixin()){
	    	changePage("/m365/weixin/vn/openBrowser?auth="+auth+"&wecha_id="+wecha_id+"&authId=" + authId 
	    			+"&selectCinemaCode=" + selectCinemaCode +"&cardNo=" + cardNo +"&chargeAmount="+chargeAmount  
	    			+"&selectCrmChargeActivity=" + selectCrmChargeActivity+"&ticketPayOrderNumber=" + ticketPayOrderNumber
	    			+"&modelType=recharge");
		}else{
			$.post(url, param, function(data){
	   	   		myprint(data);
	   	   		hideLoading();
	   	   		if(data.state == 1){
			   	   	if (orderPayType == 'ALIPAY') {
			   	   		hideLoading();
			   	   		//跳到支付宝支付界面
			   	   		if(isNull(data.sHtmlText)){
			   	   			msg_new("对不起，请求支付宝服务失败，请重新尝试。");   
				   	   	}else{
							var ALIPAY_URL_OBJ = {};
							ALIPAY_URL_OBJ.sHtmlText = data.sHtmlText;
							ALIPAY_URL_OBJ.OrderNumber = data.OrderNumber;
							putSession("ALIPAY_URL", ALIPAY_URL_OBJ);
							var routeObj = {FROM_PAGE:"WEIXIN", 
								ROUTE:"charge",
								auth:auth,wecha_id:wecha_id,
								rechargeOrderNumber:data.OrderNumber,
								ticketPayOrderNumber :ticketPayOrderNumber};
							url= "/m365/weixin/vn/roundalipay?auth=" + auth + "&wecha_id=" + wecha_id;
							
							putSession("ROUTE_OBJ", routeObj);
							changePage(url);
					   	}
						//window.document.write(data.sHtmlText);
			   	   	}else if (orderPayType == 'WEIXIN'){
			   	   		WeixinJSBridge.invoke(
				   	         'getBrandWCPayRequest', {
				   	             "appId" : data.weixinPayJS.appId,     //公众号名称，由商户传入     
				   	             "timeStamp":data.weixinPayJS.timeStamp,         //时间戳，自1970年以来的秒数     
				   	             "nonceStr" : data.weixinPayJS.nonceStr, //随机串     
				   	             "package" : data.weixinPayJS.packageStr,     
				   	             "signType" : data.weixinPayJS.signType,         //微信签名方式:     
				   	             "paySign" : data.weixinPayJS.paySign //微信签名 
				   	         },
				   	         function(res){
				   	        	//WeixinJSBridge.log(res.err_msg);
			   	            	if(res.err_msg == "get_brand_wcpay_request:ok"){ 
			   	            		//等候2秒，让微信异步通知我们后端
			   	            		setTimeout(function(){
			   	            			hideLoading();
					   		            msg_new("恭喜您,支付成功,充值结果请稍后留意充值记录!", function () {
					   		            	turnToSucessRechargePage(data.OrderNumber,ticketPayOrderNumber);
					 			        });
				   	                 }, 2000);
			   		            }else if(res.err_msg == "get_brand_wcpay_request:cancel"){  
			   		            	hideLoading();
			   		            }else{  
			   		            	hideLoading();
			   		            	msg_new("抱歉,支付失败：" + res.err_msg);  
			   		            }  
				   	         }
				   	     ); 
			   	   	}
		   	   	}else{
		   	   		msg_new(data.msg);
		   	   	}
	   	   	});
		}
}


/**改变活动详情信息*/
function changeActivityDetail(activityContent){
	
}
/**初始js**/
function initialJs(){
	$(".only_btn").click(function(){
		$(".mask").hide();
		$(".ui_wbox").hide();
	});
	//活动详情文字点击
	$(".act_det_pop").click(function(){
		var activityContent = $(this).attr("activityContent");
		$("div .act_detail").html(activityContent);
		$(".mask").show();
		$(".ui_wbox").show();
	});
	
	//充值活动选择事件,显示充值按钮
	$(".sel_act i").bind("click",function(){
		if($(".sel_act i").hasClass("icon_blue_suc")){
			$(".sel_act i").removeClass("icon_blue_suc");
		}
		$(this).addClass("icon_blue_suc");
		var sucObj = $("#recharge_title").find("i");
		if(sucObj.hasClass("icon_blue_suc")){
			$("#recharge_title").bind('click',function(){
				$("#recharge").show();
				selfInputMoneyChange();
			});
		}else{
			$("#recharge_title").unbind("click");
		}
		$(".li_f .sel_act i").bind("click",function(){
			$("#recharge").hide();
			$(".reg_money dd a").removeClass();
			$(".reg_money dd a").addClass("mod_dis_btn");
		});
		
		var selectObj = $(".icon_blue_suc");
		changeAmount (selectObj);
		
		//删除按钮加入修改金额事件
		var delButtonObj = $(".ion-close-circled");
		var del_input_Obj = delButtonObj.parent().find('input');
		delButtonObj.unbind("click").click(function(){
			$(this).parent().find('input').val('');
			$(this).hide();
			selfInputMoneyChange();
		});
		del_input_Obj.unbind('input propertychange').bind('input propertychange',function(e){
			var len = $(this).val().length;
			if(len > 0){
				$(this).nextAll(".ion-close-circled").show();
			}else{
				$(this).nextAll(".ion-close-circled").hide();
			}
			selfInputMoneyChange();
		});
	});
	
	/**
	 * 改变充值金额
	 * @param obj
	 * @return
	 */
	function changeAmount (obj){
		var activityObj = obj.parent().parent();
		var activityId = activityObj.attr("value");
		var rechargeAmount = activityObj.attr("chargeamountexpressions");
		if(isNull(activityId)){
			var buttonRechargeAmount = $(".reg_money dd").find(".mod_blue_btn").attr("value");
			if(isNull(buttonRechargeAmount)){
				buttonRechargeAmount = 0;
				$("#rechargeAmount").html("0.00元");	
				$("#recharegeBtn").html("确认充值0.00元");
			}else{
				$("#rechargeAmount").html(parseFloat(buttonRechargeAmount).toFixed(2)+"元");	
				$("#recharegeBtn").html("确认充值"+parseFloat(buttonRechargeAmount).toFixed(2)+"元");	
			}
			$("#rechargeAmount").val(buttonRechargeAmount);
		}else{
			$("#rechargeAmount").val(rechargeAmount);
			$("#rechargeAmount").html(parseFloat(rechargeAmount).toFixed(2)+"元");
			$("#recharegeBtn").html("确认充值"+parseFloat(rechargeAmount).toFixed(2)+"元");	
		}
	}
	//充值活动选择事件,隐藏充值按钮
	$(".inte_act").bind("click",function(){
		$(".inte_act").prev(".sel_act").find("i").removeClass("icon_blue_suc");
		$(this).prev(".sel_act").find("i").addClass("icon_blue_suc");
		var sucObj = $("#recharge_title").find("i");
		if(sucObj.hasClass("icon_blue_suc")){
			$("#recharge_title").bind('click',function(){
				$("#recharge").show();
				selfInputMoneyChange();
				
			});
		}else{
			$("#recharge_title").unbind("click");
			var selectObj = $(".icon_blue_suc");
			changeAmount (selectObj);
		}
		$(".li_f .inte_act").bind("click",function(){
			var selectObj = $(".icon_blue_suc");
			changeAmount (selectObj);
			$("#recharge").hide();
			$(".reg_money dd a").removeClass();
			$(".reg_money dd a").addClass("mod_dis_btn");
		});
	});

	$(".reg_money dd").click(function(){
		$(".reg_money dd a").removeClass();
		$(this).siblings().find("a").addClass("mod_dis_btn");
		var aObj = $(this).find("a");
		aObj.addClass("mod_blue_btn");
		var rechargeAmount = aObj.attr("value");
		$("#rechargeAmount").val(rechargeAmount);
		$("#rechargeAmount").html(parseFloat(rechargeAmount).toFixed(2)+"元");
		$("#recharegeBtn").html("确认充值"+parseFloat(rechargeAmount).toFixed(2)+"元");
	});
	
	
	function selfInputMoneyChange(){
		$("#recharge").show();
		var rechargeAmount = $("#member").val();
		if(isNull(rechargeAmount) || rechargeAmount.match(re)==null){
			rechargeAmount = 0;
		}
		$("#rechargeAmount").val(rechargeAmount);
		$("#rechargeAmount").html(parseFloat(rechargeAmount).toFixed(2)+"元"); 
		$("#recharegeBtn").html("确认充值"+parseFloat(rechargeAmount).toFixed(2)+"元");
	}
	var  type="^[0-9]*[1-9][0-9]*$"; 
    var  re  =  new  RegExp(type); 
	//金额输入框事件
	$("#member").on('input',function(e){
		var rechargeAmount = $(this).val();
		if(isNull(rechargeAmount) || rechargeAmount.match(re)==null){
			rechargeAmount = 0;
		}
		$("#rechargeAmount").val(rechargeAmount);
		$("#rechargeAmount").html(parseFloat(rechargeAmount).toFixed(2)+"元"); 
		$("#recharegeBtn").html("确认充值"+parseFloat(rechargeAmount).toFixed(2)+"元");
		}); 
	
	$("#recharegeBtn").click(function(){
		var orderPayType = $(".select_pay").find(".icon_blue_suc").attr("value");
		console.log("orderPayType-->"+orderPayType);
   		//检查是否支持微信支付
   		if (typeof WeixinJSBridge == "undefined" && orderPayType == 'WEIXIN'){
   			var weixinPayObj = $("#weixinPay").parent().parent().remove();
   			msg_new('抱歉，您的微信不支持微信支付，请选择其他支付方式!');
			return;
   		}else{
   			recharge(orderPayType); //请求调用充值
   		}
	});
}

/**
 * 跳转至会员卡绑定页面
 * @return
 */
function turnToBindingPage(){
	var url= "";
	var isOscar = localStorage.getItem("isOscar");
	if(isOscar =="1"){
		url= "/m365/weixin/vn/bindingOscar?auth=" + auth + "&wecha_id=" + wecha_id;
	}else{
		url= "/m365/weixin/vn/binding?auth=" + auth + "&wecha_id=" + wecha_id;
	}
	changePage(url);
}

function userChargeList(){
	var url= "/m365/weixin/vn/orderHistory?orderType=2&auth=" + auth + "&wecha_id=" + wecha_id +"&authId=" + authId;
	changePage(url);
}
/**
 * 微信支付跳转
 * @param orderNumber
 * @param isContinuePayOrder
 * @return
 */
function turnToSucessRechargePage(rechargeOrderNumber,ticketPayOrderNumber){
	//var selectCinemaCode = localStorage.getItem("cinemaCode");
	var param = "auth=" + auth + "&wecha_id=" + wecha_id +"&authId=" + authId+ "&cinemaCode=" + selectCinemaCode
		+"&rechargeOrderNumber="+rechargeOrderNumber+"&ticketPayOrderNumber="+ticketPayOrderNumber;
	var url = "/m365/weixin/vn/successRecharge?"+param;
	changePage(url);
}

/*** 加载影院信息 */
function loadSelectCinema(cinemaCodeParam){ 
	var url= getBasePath() + "appService?method=getAuthCinemInfoList";
	var param = getAppBaseParam();
		param.auth =auth ;
		param.wecha_id =wecha_id ;
		param.authId = authId;
		param = parseParam(param,isApp);
		showLoading();
   	$.post(url, param, function(data){
   		hideLoading();
   	    var cinemaList = data;
   	    console.log("cinemaList-->",cinemaList);
   	    console.log("belongCinemaName-->"+ $("#belongCinemaName").html());
   	    if(!isNull(cinemaList)){
   	    	putSession("cinemaList", JSON.stringify(cinemaList));
   	    	var payTypeList = {};
   	    	if(cinemaList.length == 1){
   	    		//隐藏选择影院
   	    		selectCinemaCode =  cinemaList[0].CinemaCode;
   	   	        currentSelectCinema = cinemaList[0];
   	   	    	$(".show_tab").hide();
   	   	    	$(".show_tab").find("a").unbind('click');
   	 			console.log("单影院");
   	    	}else if(cinemaList.length > 1){
   	    		//显示选择影院
   	    		$(".show_tab").show();
   	    		var localCinemaCode="";
		   	 	if(!isNull(cinemaCodeParam)){
		   	 		localCinemaCode = cinemaCodeParam;
				}
   		   		if(isNull(localCinemaCode)){
   		   		    selectCinemaCode =  cinemaList[0].CinemaCode;
   		   		    currentSelectCinema = cinemaList[0];
   	 			}else{
	   	   	 		$.each(cinemaList,function(i,cinema){
		   	 			if(cinema.CinemaCode == localCinemaCode){
		   	 			selectCinemaCode =  cinema.CinemaCode;
		   	 			currentSelectCinema = cinema;
		   	 			}
		   	 		});
	   	   	 		if(isNull(selectCinemaCode)){
	   	   	 		selectCinemaCode =  cinemaList[0].CinemaCode;
	   	 			currentSelectCinema = cinemaList[0];
	   	   	 		}
   	 			}
	   	 		$(".show_tab").find("a").unbind('click').removeAttr("onclick").click(function(){
	   	 			turnToSelectCinemaPage();
	   	 		});
	   	 		console.log("多影院");
   	    	}
   	    	console.log("belongCinemaName-->"+ $("#belongCinemaName").html());
   	    	loadMemberRechargeData(selectCinemaCode);  //获取充值页面信息
   	 	}else{
   	 		console.log("没有授权影院");
	   	 	msg_new("请先绑定会员卡!", function () {
					turnToBindingPage();
		        });
   	 	}
   	   
   	});
}

/*** 跳转选择影院页面*/
function turnToSelectCinemaPage(){
	var url= "/m365/weixin/vn/selectCityNew?auth=" + auth + "&wecha_id=" + wecha_id;
	if(!isNull(cinemaCode)){
		url = url + "&cinemaCode=" + cinemaCode;
	}
	putSession("goBackPageDir", "/m365/weixin/vn/memberRecharge");
	changePage(url);
}
function setCurrentSelectCinema(cinemaCodeUrl){
	var cinemaListStr = getSession("cinemaList");
	if(!isNull(cinemaListStr)){
		var cinemaList = $.parseJSON(cinemaListStr);
		$.each(cinemaList,function(i,cinema){
			if(cinemaCodeUrl == cinema.CinemaCode){
				currentSelectCinema = cinema;
			}
		});
	}
	
}
