/*会员充值*/

/*初始化参数*/
var cinemaCode = '',
	wecha_id = '',
	cardNo = '',
	belongCinemaCode,
	orderTicketPayNumber,
	isContinuePayOrder,
	cinemaCodeUrl,
	selectCinemaCode,
	currentSelectCinema,
	orderPayType,
	ChargeActivityIdVal;

//获取参数
$(function() {
	cinemaCode = '62549174';
	wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
	cardNo = "13299999990";
	if(mui.os.plus) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
		cardNo = plus.storage.getItem("cardNo");
	}
	//	获取充值信息
	loadMemberRechargeData(cinemaCode);
})

/**
 * 获取充值页面信息
 * @return
 */

function loadMemberRechargeData(selectCinemaCode) {
	//	判断是否存在影院
	if(isNull(selectCinemaCode)) {
		mui.toast("请先选择一家影院");
		return;
	}
	//	请求地址
	var url = web_root + "/appService?method=loadMemberRechargeData";
	//	请求参数
	var Data = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"selectCinemaCode": selectCinemaCode
	}
	$.ajax({
		url: url,
		type: 'post',
		dataType: "json",
		data: Data,
		beforeSend: function() {

		},
		success: function(data) {
			if(JSON.stringify(data.member) == '{}') {
				mui.toast('没有数据')
				return
			}
			console.log(data);
			//			数据判断
			testData(data);
		},
		error: function(msg) {
			console.log("数据加载错误：" + msg);
		}
	})
}
// 数据判断
function testData(data) {
	if(!isNull(data) && data.msgCode == "0") {
		renderMerberCardInfo(data);
	} else {
		if(data.msgCode == "1001") {
			mui.confirm("切换到绑定会员卡!", '请先绑定会员卡', ['否', '是'], function(e) {
				if(e.index == 1) {
					// 返回到绑定会员卡页面
					turnToBindingPage();
				} else {
					mui.toast('期待您的加入！');
				}
			});
		} else if(data.msgCode == "10011") {
			mui.confirm(data.msg + ",是否返回首页?", "提示", ['好', '切换影院'], function() {
				//				var url = "/m365/weixin/vn/index?auth=" + auth + "&wecha_id=" + wecha_id;
				//				changePage(url);
			})
		} else {
			mui.alert(data.msg, "错误提示", function() {
				var url = "/m365/weixin/vn/index?auth=" + auth + "&wecha_id=" + wecha_id;
			})
		}
	}
}

function renderMerberCardInfo(data) {
	var errorMsg;
	if(isNull(data) || isNull(data.userBoundCardDto)) {
		mui.confirm("切换到绑定会员卡!", '请先绑定会员卡', ['否', '是'], function(e) {
			if(e.index == 1) {
				// 返回到绑定会员卡页面
				turnToBindingPage();
			} else {
				mui.toast('期待您的加入！');
			}
		});
	} else if(isNull(data.userBoundCardDto.memberCardNo) && isNull(data.userBoundCardDto.memberPhone)) {
		mui.toast("请求会员数据失败，请稍后再试");
	} else {
		/*填充会员信息*/
		createVip(data);
	}
}
/**
 * 跳转至会员卡绑定页面
 * @return
 */
function turnToBindingPage() {
	var id = 'bindPage';
	var url = '../pages/mine/bindCard.html';
	var Data = {
		"auth": auth_code,
		"wecha_id": wecha_id
	}
	//	打开会员卡绑定页面
	openPage(id, url, Data);
}

//切换页面
function changePage(Url) {

}

//会员信息
function createVip(data) {
	var userBoundCard = data.userBoundCardDto;
	cardNo = userBoundCard.CardNo;
	//	显示当前电影院名字
	cinemaNow(userBoundCard);
	//	显示会员信息
	vipCard(userBoundCard.memberLevelName, userBoundCard.memberCardNo, userBoundCard.memberPhone, userBoundCard.memberBalance);
	//	显示活动信息
	activeInfo(data.chargeActivityList);
}

//监听 返回的选取电影院事件
window.addEventListener('refresh', function(event) {
	currentSelectCinema = plus.storage.getItem("currentCinema");
});

//显示当前影院
function cinemaNow(userBoundCard) {
	if(!isNull(currentSelectCinema)) {
		selectCinemaCode = currentSelectCinema.CinemaCode;
		$("#belongCinemaName").html(currentSelectCinema.CinemaName);
	} else {
		if(isNull(userBoundCard.belongCinemaCode) || userBoundCard.belongCinemaCode.length < 8) {
			selectCinemaCode = currentSelectCinema.CinemaCode;
			$("#belongCinemaName").html(currentSelectCinema.CinemaName);
		} else {
			selectCinemaCode = userBoundCard.belongCinemaCode;
			$("#belongCinemaName").html(userBoundCard.belongCinemaName);
		}
	}
}

//会员卡信息
function vipCard(name, cardNo, phone, balance) {
	//	会员卡类型
	var memberCardLvName = name;
	//	会员卡号
	var memberCardNo = cardNo;
	//	会员电话
	var memberPhone = phone;
	//	会员卡余额
	var memberBalance = balance;
	if(isNull(memberCardNo)) {
		memberCardNo = '未开卡';
	}
	if(isNull(memberPhone)) {
		memberPhone = '未填写';
	}
	if(isNull(memberBalance)) {
		memberBalance = 0;
	}
	var cardColorClass;
	//	判断卡片类型
	switch(memberCardLvName) {
		case '金卡':
			cardColorClass = 'goldCard'
			break;
		case '黑卡':
			cardColorClass = 'blackCard'
			break;
		case '银卡':
			cardColorClass = 'silverCard'
			break;
		case '普通卡':
			cardColorClass = 'normalCard'
			break;
		default:
			cardColorClass = Math.random() * 1 - 0.5 > 0 ? 'normalCard' : 'silverCard'
			break;
	}
	//	设置属性
	$("#cardWindow").addClass(cardColorClass);
	$("#memberCardLvName").html(memberCardLvName);
	$("#memberCardNo").html(memberCardNo);
	$("#memberPhone").html(memberPhone);
	$("#memberBanlance").html(memberBalance.toFixed(2) + "元");
}
//创建活动信息 存在活动信息弹窗
function activeInfo(chargeActivity) {
	//	活动列表
	var chargeActivityList = chargeActivity;
	//	在对应元素中插入
	var rechargeUl = $('#rechargeActivityUl');
	//	插入内容
	var htmlValue = '';
	//	检验是否存在活动信息
	if(isNull(chargeActivityList)) {
		console.log("没有活动信息");
	} else {
		//		拼接活动
		for(var i = 0; i < chargeActivityList.length; i++) {
			var activityItem = '<li class="active-item"><p>' + chargeActivityList[i].Name + '</p><a href="javascript:showInfo(\'' + chargeActivityList[i].RuleGroupRemark + '\',\'' + chargeActivityList[i].ChargeAmountExpressions + '\',\'' + chargeActivityList[i].ChargeActivityID + '\')"><div class="img-btn"><img src="../images/checkbox_normal.png" /></div></a></li>';
			htmlValue += activityItem;
		}
	}
	rechargeUl.append(htmlValue);
	activityActive(true);
}
//支付 支付宝 微信
function charge() {
	//	获取支付金额 活动充值金额
	var chargeAmount = $("#price").val();
	//	获取活动充值类型
	var selectCrmChargeActivity = ChargeActivityIdVal;
	//	判断是否存在活动

	//	获取支付类型

}

//展示活动信息
function showInfo(msg, chargeAmount, ChargeActivityID) {
	//	隐藏充值价格模块
	$(".recharge-content").css("display", "none");
	$("#chargeValUl li").unbind('click');
	$("#inputCharge").unbind('blur');
	//	信息提示
	mui.alert(msg, '活动详情', ['确定'], function() {
		mui.toast('欢迎参与活动!');
	})
	//	修改ChargeActivityID
	ChargeActivityIdVal = ChargeActivityID;
	//	修改充值价格显示
	showChargeMountInfo(chargeAmount);
}
//不参加活动
function showMoreCharge() {
	//	切换显示时,赋予上次所选值
	showChargeMountInfo($("#chargeValUl .active .chargeVal").html());
	//	显示充值
	$(".recharge-content").css("display", "block");
	//	充值价格
	var money;
	$("#chargeValUl li").click(function() {
		//		移除活动样式
		$("#chargeValUl li").removeClass('active');
		//		添加活动样式
		$(this).addClass('active');
		//		如果存在chargeVal
		if($("#chargeValUl .active .chargeVal").html() != undefined) {
			money = $("#chargeValUl .active .chargeVal").html();
			//	清空输入框
			$("#inputCharge").val();
			showChargeMountInfo(money);
		}
	});
	//	输入金钱的值
	$("#inputCharge").blur(function() {
		if($("#inputCharge").val() != undefined && $("#inputCharge").val() != 0) {
			money = $("#inputCharge").val();
			showChargeMountInfo(money);
		}
	})
};
//设置活动 active
function activityActive(bind) {
	if(bind == true) {
		$(".active-item").click(function() {
		//	清除所有活动 active样式 修改显示图标
		$(".active-item").removeClass('active-active');
		$(".active-item img").attr("src", '../images/checkbox_normal.png');
		//	设置当前选择
		$(this).addClass('active-active');
		$('.active-active img').attr('src', '../images/checkbox_selected.png');
	})
	}else {
		$(".active-item").unbind();
	}
}
//修改充值价格显示
function showChargeMountInfo(chargeAmount) {
	$("#price").html(chargeAmount);
}