var userTicketPageSize = 3;
var used_coupon_list = [];
var cinemaCode = $.url.param('cinemaCode');
$(function(){
	$('.binding').unbind('click').click(function(){
		var val = $('#input_ticket_num').val();
		val = $.trim(val);
		if(val == '' || val.length !== 12){
			msg_new('请输入12位票券编号');
			return;
		}
		var reg = /^[0-9a-zA-Z]+$/;
		if(!reg.test(val)){
			msg_new("你输入的字符不是数字或者字母");
			return;
		}
		bindCoupon(val);
	});

	var callType = sessionStorage.getItem('callType');
	if(callType == 'weixin'){
		wxConfig({callback : function(){
			if(isConfig){
				$('.ui_scan').unbind('click').click(function(){
						//扫描票券号
						wx.scanQRCode({
						    needResult: 1, // 默认为0，扫描结果由微信处理，1则直接返回扫描结果，
						    scanType: ["qrCode","barCode"], // 可以指定扫二维码还是一维码，默认二者都有
						    success: function (res) {
						    	var result = res.resultStr; // 当needResult 为 1 时，扫码返回的结果
								if(result.indexOf(",")){
									var resultArr  = result.split(",");
									if(resultArr[1] == undefined || resultArr[1] == null || resultArr[1] == "")
									{
										result = resultArr[0];
									}
									else
									{
										result = resultArr[1];
									}
								}
							    $('#input_ticket_num').val(result);
							}
						});
				}).show();
			}else{
				$('.ui_scan').hide();
			}
		}});
	}else{
		var top_parentModel = getAppModel();
		if(top_parentModel != null){
			$('.ui_scan').unbind('click').click(function(){
				top_parentModel.scan(function(res){
					if(res && $.trim(res) != '')
						$('#input_ticket_num').val(res);
				});
			}).show();
		}else{
			$('.ui_scan').hide();
		}
	}
});

//绑定优惠券
function bindCoupon(ticketNo,obj) {
	ticketNo = ticketNo;
	var url = getBasePath() + "appService?method=bindTicket";
	var tp = getAppBaseParam();
	tp.ticketNo = ticketNo;
	tp.auth = auth;
	tp.wecha_id = getWechaId();
	tp.authId = authId;
	tp.cinemaCode = cinemaCode; 
	tp = parseParam(tp);
	if (obj == undefined) {
		var isUsed = false;
		$.each(used_coupon_list,function(i,item){
			if(item == ticketNo){
				isUsed = true;
				return false;
			}
		});
		if(isUsed){
			msg_new('该票券已绑定！');
			return;
		}
	}
	
	if(used_coupon_list.length >=20){
		msg_new('票券绑定每批最多允许20张，谢谢！');
		return;
	}
	
	showLoading();
	$.ajax({
		url : url,
		type : "POST",
		data : tp,
		success : function(data) {
			hideLoading();
			if (isNull(data)) {
				msg_new("绑定失败！");
	        	return;
			}
			if(typeof data == "string") data = eval('(' + data + ')');
			if (data.state == "1" || data.state == 1) {
				if(data.msgCode != 'SUCCESS'){
					msg_new(data.msg);
					return;
				}
				used_coupon_list.push(ticketNo);
				//开始渲染
				//加在最前面
				$(".bindTickelist").prepend('<div class="bodyer">' + 
					'<div class="lefttext"><img class="imgcss" src="/image/bindTicket/ticket_quan.png"></img></div>' + 
					'<div class="righttext">' + 
					'<span class="unused">未验证</span>' + 
					'<P class="bodyertext"><span class="publictext2">编   号：</span><span class="publictext">' + ticketNo + '</span></P>' +
					'</div>' + 
					'</div>' + 
					'<div class="footer"></div>' );
				$('#input_ticket_num').val("");
				msg_new("票券绑定成功");
			}else{
				msg_new(data.msg);
			}
		}
	});
}
