var orderNumber = '';
var cardNo = '';
var userType = '';
var phone = '';
var discountDto = null;
var payType = null;
var wecha_id = "";

//临时数组
var tempArray;

var orderState = 'unPaid';
var isPaying = false;
var alipayPaying = false;

mui.init({
	swipeBack: true //启用右滑关闭功能
});
document.addEventListener('plusready', function() {
	var params = plus.webview.currentWebview();
	orderNumber = params.orderNumber;
	cardNo = params.cardNo;
	userType = params.userType;
	phone = params.phone;
	cinemaCode = params.cienmaCode;
	wecha_id = getWechaId();
	plus.storage.removeItem("backPage");
	getPaymentDto();
});

//添加newId自定义事件监听
window.addEventListener('reloadInfo', function(event) {
	console.log("刷新。。。。reloadInfo");
	getPaymentDto();
});

/*mui.back = function(){
	plus.webview.currentWebview().close();
};*/

$(function() {
	FastClick.attach(document.body);
});

function init() {
	//    angular.module('myApp', ['ionic']);
	var orderPayObj = plus.storage.getItem("orderPayObj" + orderNumber);
	if(!isNull(orderPayObj)) {
		var opo = $.parseJSON(orderPayObj);
		if(orderNumber == opo.orderNumber) {
			if(opo.payState == 'payFail') {
				mui.alert('订单支付失败', '', function() {
					stopAction = true;
					releatSeat();
					goBackIndex();
				});
			} else if(opo.payState == 'paySuccess') {
				mui.alert('订单已支付，正在出票', '', function() {
					stopAction = true;
					goBackIndex();
				});
			}
		}
	}

	//选择支持方式
	$(".ui-select-pay i").unbind("click").bind("click", function() {
		var tag = true;
		var current_item = $(this).find(".xlk_sign i");
		var data = $(current_item).data();
		if(!isNull(data)) {
			if(discountDto.ordersVo.totalMemberPricePay > data.Balance) {
				tag = false;
				mui.alert('帐号余额不足!');
			}
		}
		if(tag) {
			$('.ui-select-pay').find('i').removeClass('icon_circle_no').addClass('icon_circle_normal');
			$(this).removeClass('icon_circle_normal').addClass("icon_circle_no");
			$(".ui-confirm-pay").removeClass("ui-btn-disabled").addClass("ui-btn-able");
		}
	});

	//显示详情
	$(".ui-select-pay-not").off("click").on("click", function() {
		if(discountDto.ordersVo.consumeType == 1) {
			//积分订单,没有优惠活动
			return;
		}
		$(this).next(".ui-slide-box").slideToggle();
	});

	//密码
	$("#ui-confirm-pay").unbind("click").bind("click", function() {
		if($('.icon_circle_no').length <= 0) {
			mui.alert('请选择支付方式!');
		} else {
			if($(this).hasClass("ui-btn-able")) {
				payment();
			}
		}
	});
	//余额不足提示，进入充值界面
	$("#ui-go-recharge > a").off("click").on('click', function() {
		if(discountDto.ordersVo.totalMemberPricePay > discountDto.memberBalance) {
			//  		var param ='autoAppend=true&orderNumber='+orderNumber+"&cardNo="+cardNo+"&cinemaCode="+discountDto.ordersVo.CinemaCode;
			//  		var url = "/m365/weixin/vn/memberRecharge?" + param;
			//  		changePage(url);
			var param = getAppBaseParam();
			param.orderNumber = orderNumber;
			param.cardNo = cardNo;
			param.cinemaCode = discountDto.ordersVo.CinemaCode;
			param.fromPage = "confirm-pay";
			plus.storage.setItem("backPage", "confirm-pay");
			openPage("memberRecharge", "../member-recharge.html", param);
		} else {
			$(".ui-select-pay").find("i").removeClass("icon_circle_no").addClass("icon_circle_normal");
			$(this).parent().find('.ui-ico-act i').addClass('icon_circle_no').removeClass();
			$(".ui-confirm-pay").removeClass("ui-btn-disabled").addClass("ui-btn-able");
		}
	});

	$(".CRM i").off("click").on('click', function() {
		console.log("------");
		if(discountDto.ordersVo.totalMemberPricePay > discountDto.memberBalance) {
			mui.confirm("当前会员帐号余额不足!", "", ['去充值', '取消'], function(e) {
				if(e.index == 0) {
					var param = {
						orderNumber: orderNumber,
						cardNo: cardNo,
						cinemaCode: discountDto.ordersVo.CinemaCode
					};
					openPage("memberRecharge", "../member-recharge.html", param);
					$(".CRM").find('i').removeClass('icon_circle_no').addClass('icon_circle_normal');
				} else {
					$(".CRM").find('i').removeClass('icon_circle_no').addClass('icon_circle_normal');
				}
			});
		} else {
			$(".ui-select-pay").find("i").removeClass("icon_circle_no").addClass('icon_circle_normal');
			$(this).removeClass('icon_circle_normal').addClass("icon_circle_no");
			$(".ui-confirm-pay").removeClass("ui-btn-disabled").addClass("ui-btn-able");
		}
	});
	if($(".ui-ico-act").hasClass("icon_circle_no")) {
		$(".ui-confirm-pay").removeClass("ui-btn-disabled").addClass("ui-btn-able");
	}

}

function getPaymentDto() {
	var param = getAppBaseParam();
	//	var postParam = {orderNumber : orderNumber,cardNo : cardNo, userType : userType,phone : phone};
	param.orderNumber = orderNumber;
	param.cardNo = cardNo;
	param.userType = userType;
	param.phone = phone;
	$.ajax({
		url: web_root + "/appService?method=getPaymentPriceByOrder",
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(res) {
			//      	console.log("---getPaymentDto:" + JSON.stringify(res));
			if(res.state == 1) {
				discountDto = res;
				if(isNull(discountDto.ordersVo.consumeType)) {
					//没有订单类型，默认为现金订单
					discountDto.ordersVo.consumeType = 0;
				}
				if(!checkProducts(res.orderItemVos)) {
					//校验订单中是否有电影票，有电影票显示倒计时
					$('.timecss').show();
					showMinute = parseInt(parseInt(parseInt(discountDto.ordersVo.autoUnlockSeconds)) / 60);
					dealPayTime(parseInt(discountDto.ordersVo.autoUnlockSeconds));
				} else {
					//隐藏倒计时
					$('.bar.bar-header.ui-bg-ff9900').remove();
				}

				if(discountDto.ordersVo.consumeType == 1) {
					//会员积分支付
					initPageByMemberPoint();
					return;
				}

				var memberPrice = (discountDto.ordersVo.totalMemberPrice - discountDto.ordersVo.totalMemberCinemaPrice).toFixed(2);
				var memberPayPrice = discountDto.ordersVo.totalMemberPricePay.toFixed(2);
				$('.memberPrice').html('¥' + memberPrice);
				$('.memberPayPrice').html('¥' + memberPayPrice);
				$('.unPayPrice').html('¥' + memberPayPrice);

				var payTypeStr = discountDto.payTypeStr;
				//有大院卡的支付方式,隐藏会员支付
				if(!isNull(cardNo)) {
					$('.CRM').show();
					$('.memberBalance').html(discountDto.memberBalance);
					var selectCinemaCode = discountDto.ordersVo.cinemaCode;
					var currentCinemaDto = getCurrentCinemaDtoFromStorage(selectCinemaCode);
					if(currentCinemaDto.rechargeLimit == "0" && discountDto.memberBalance < discountDto.ordersVo.totalMemberPricePay) {
						$('.toCharge').show();
						$('.CRM i').removeClass('icon_circle_no').addClass("icon_circle_normal");
						$(".ui-confirm-pay").removeClass("ui-btn-able").addClass("ui-btn-disabled");
						//获取营销活动
						getChargeActivity();
					} else {
						$('.toCharge').hide();
						$('.CRM i').addClass("icon_circle_no").removeClass('icon_circle_normal');
						$(".ui-confirm-pay").removeClass("ui-btn-disabled").addClass("ui-btn-able");
					}
				}
				displayPayType(payTypeStr);
				init();
			} else {
				mui.alert(res.msg, '', function() {
					releatSeat();
					goBackIndex();
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			console.log(errorThrown);
		}
	});
}

function releatSeat() {
	var param = getAppBaseParam();
	param.OrderNumber = orderNumber;
	param.jsN = "confirm-payment";
	$.ajax({
		url: web_root + "/appService?method=releaseSeat",
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			console.log(errorThrown);
		}
	});
}

function displayPayType(payTypeStr) {
	var callType = 'appPage';
	if(!isNull(wecha_id)) {
		if(wecha_id.indexOf('$') != -1) {
			callType = 'app';
		} else {
			callType = 'weixin';
		}
	}
	if(payTypeStr.indexOf('ALIPAY') != -1) {
		$('.ALIPAY').show();
	}
	if(payTypeStr.indexOf('WEIXIN') != -1) {
		$('.WEIXIN').show();
	}
}

function getChargeActivity() {
	var selectCinemaCode = discountDto.ordersVo.cinemaCode;;
	var url = web_root + "/appService?method=loadMemberRechargeData";
	var param = getAppBaseParam();
	param.cardNo = cardNo;
	param.selectCinemaCode = selectCinemaCode;
	$.post(url, param, function(data) {

		if(!isNull(data) && data.msgCode == "0") {
			var chargeActivityList = data.chargeActivityList;
			if(chargeActivityList && chargeActivityList.length > 0) {
				$('.activities').show().find('p').remove();
				$.each(chargeActivityList, function(i, chargeActivity) {
					var ruleName = chargeActivity.Name;
					var temp = '<p class="ui-555">' + ruleName + '</p>';
					$('.activities').find('.chargeActivities').append(temp); //生成充值活动内容
				});
			}
		}
	});
}

function getPaymentType() {
	var payTypeEl = $('.icon_circle_no');
	if(payTypeEl && payTypeEl.attr('value')) {
		payType = payTypeEl.attr('value');
	}
	return payType;
}

//支付
function payment() {

	$(".ui-confirm-pay").addClass("ui-btn-disabled").removeClass('ui-btn-able');
	var OrderPayType = getPaymentType();
	var notPayType = undefined;
	if(OrderPayType == 'WEIXIN') {
		wxPayment();
	} else if(OrderPayType != 'CRM') {
		var payAgainUrl = web_root + "/appService?method=paymentV2";
		var payAgainUrlP = getAppBaseParam();
		payAgainUrlP.orderPayType = OrderPayType;
		payAgainUrlP.auth = auth_code;
		payAgainUrlP.wecha_id = getWechaId();
		payAgainUrlP.orderNumber = orderNumber;
		payAgainUrlP.phone = phone;
		payAgainUrlP.notPayType = notPayType;
		payAgainUrlP.cardNo = cardNo;
		payAgainUrlP.app = "true";
		/*payAgainUrlP = parseParam(payAgainUrlP);*/
		//提交订单，执行锁座
		$.post(payAgainUrl, payAgainUrlP, function(data) {
			console.log("datas -- >" + JSON.stringify(data));
			if(typeof data == "string") data = eval('(' + data + ')');
			if(data.state == 0) {
				if(!isNull(data.msgCode) && data.msgCode == 'NEED_PAY') {
					need_pay = true;
					mui.alert(data.msg);
				} else {
					mui.alert(data.msg, function() {
						goBackIndex();
					});
				}
			} else {
				$(".ui-confirm-pay").addClass("ui-btn-able").removeClass('ui-btn-disabled');
				if(OrderPayType == "ALIPAY") {
					plus.storage.setItem("showPrint", "false");
					var channel = null;
					console.log("data--->" + JSON.stringify(data));
					if(alipayPaying) {
						return;
					}
					plus.payment.getChannels(function(channels) {
						channel = channels[0];
						alipayPaying = true;
						plus.payment.request(channel, data.sHtmlText,
							function(result) {
								alipayPaying = false;
								console.log("支付宝支付返回结果--》" + JSON.stringify(result));
//								mui.alert("支付成功！", function() {
//									queryAlipayResult();
//								});
								plus.nativeUI.alert("恭喜您,支付成功,订单处理结果请留意订单详情。若充值失败,请联系影院客服人工退款。", function() {
									openPage("orderRecord", "../mine/orderRecord.html", {type:"consumption"});
								});
							},
							function(error) {
								alipayPaying = false;
								console.log("支付宝支付返回结果--》" + JSON.stringify(error));
								if(error.code == -100 || error.code == '-100') {
									//用户取消，不做操作
								} else {
									mui.alert("支付失败：" + error.code+"。若扣款成功,请联系影院客服人工退款。");
									//查询并退款
									dealAlipayFail(data.PayAmount);
								}
							}
						);
					}, function(e) {
						alipayPaying = false;
						mui.alert("获取支付通道失败：" + e.message);
					});
				} else if(OrderPayType == 'NOT_NEED_PAY') {
					plus.storage.setItem("showPrint", "true");
					ordersDetail(data.msg);
				}
			}
		});
	} else {
		if(mui.os.plus) {
			plus.storage.setItem("showPrint", "true");
		}
		//选择了其他支付方式
		keyboard(memberPay);
	}
}

function wxPayment() {
	console.log("ip:" + returnCitySN["cip"]);
	$.ajax({
		url: web_root + "/appService?method=appWeiXinPayment",
		type: 'post',
		dataType: 'json',
		data: {
			"auth": auth_code,
			"wecha_id": getWechaId(),
			"orderNumber": orderNumber,
			"orderPayType": "WEIXIN",
			"phone": phone,
			"currentIp": returnCitySN["cip"]
		},
		beforeSend: function() {
			plus.nativeUI.showWaiting("正在加载,请稍后");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 60000,
		success: function(data) {
			console.log("pay-data:" + JSON.stringify(data));

			var channel = null;

			plus.payment.getChannels(function(channels) {
				console.log("channels:" + JSON.stringify(channels));
				for(var i in channels) {
					if(channels[i].id == 'wxpay') {
						channel = channels[i];

						w = plus.nativeUI.showWaiting();

						var wxappid = data.appid; //appid
						var prepayid = data.prepayid; //商户订单号
						var timestamp = data.timestamp; //当前时间戳
						var wxpartnerid = data.partnerid; //商户号
						var partnerKey = data.secretkey;
						var noncestr = data.noncestr;
						var signStr = "appid=" + wxappid + "&noncestr=" + noncestr + "&package=" + "Sign=WXPay" + "&partnerid=" + wxpartnerid + "&prepayid=" + prepayid + "&timestamp=" + timestamp + "&key=" + partnerKey;

						console.log("signStr:" + signStr);

						var sign = $.md5(signStr).toUpperCase(); //生成签名
						var order = '{"appid":"' + wxappid + '","noncestr":"' + noncestr + '","package":"Sign=WXPay","partnerid":"' + wxpartnerid + '","prepayid":"' + prepayid + '","timestamp":' + timestamp + ',"sign":"' + sign + '"}';

						console.log("varpay:" + JSON.stringify(order));
						plus.payment.request(channel, order, function(result) {
							w.close();
							w = null;
							plus.nativeUI.alert("恭喜您,支付成功,订单处理结果请留意订单详情,若出票失败,24小时内将自动为您退款", function() {
								openPage("orderRecord", "../mine/orderRecord.html", {type:"consumption"});
							});
						}, function(e) {
							w.close();
							w = null;
							if( e.message.indexOf("-2") > -1 || e.message.indexOf('User canceled') > -1){
								//用户取消  不做处理
							}else{
								plus.nativeUI.alert("支付失败：" + JSON.stringify(e));
							}
						});
					}
				}
			}, function(e) {
				alert("获取支付通道失败：" + e.message);
				return;
			});
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			console.log(errorThrown);
		}
	});

}

//支付宝支付失败，主动向支付宝发起查询支付结果，查询若支付成功，则进行退款
function dealAlipayFail(payAmount) {
	var param = getAppBaseParam();
	param.orderNumber = orderNumber; //"01180329196800009";
	param.payAmount = payAmount;
	param.orderType = '0';
	$.ajax({
		url: web_root + "/appService?method=alipayAppTradeRefund",
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {

		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			console.log(errorThrown);
		}
	});
}

//主动向支付宝发起查询支付结果，查询后后台进行处理
function queryAlipayResult() {
	var param = getAppBaseParam();
	param.orderNumber = orderNumber //"01180329196800009";
	$.ajax({
		url: web_root + "/appService?method=handleAlipayAppTrade",
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {
			if(data.code == 'success') {
				//支付成功，并且确认订单成功
				plus.storage.setItem("showPrint", "true");
				ordersDetail(data.msg);
			} else {
				//支付宝支付失败
				if(data.code == 'update_pay_error' || data.code == 'submit_order_error') {
					//支付宝支付成功，但是确认订单失败
					mui.alert("支付成功，"+data.msg + ",订单处理结果请留意订单详情。若出票失败,请联系影院客服人工退款。", '', function() {
						openPage("orderRecord", "../mine/orderRecord.html", {});
					});
				}else{
					mui.alert(data.msg);
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			console.log(errorThrown);
			mui.alert("系统异常，订单处理结果请留意订单详情。若支付成功但出票失败,请联系影院客服人工退款", function() {
				//var url = "/m365/weixin/vn/orderHistory?autoAppend=true";
				openPage("orderRecord", "../mine/orderRecord.html", {});
			});
		}
	});
}

function memberPay(password) {

	if(discountDto.ordersVo.consumeType == 1) {
		//积分支付
		url = web_root + "/appService?method=memberBalancePayByPoint";
	} else {
		url = web_root + "/appService?method=memberBalancePay";
	}

	var param = getAppBaseParam();
	param.CinemaCode = discountDto.ordersVo.cinemaCode;
	param.cardno = cardNo;
	param.pssword = $.md5(password);
	param.orderNumber = discountDto.ordersVo.orderNumber;
	param.phone = phone;
	param.singleNo = new Date().getTime();
	console.log(JSON.stringify(param));
	memberPayPost(param, url);
}

function memberPayPost(param, url) {
	if(isPaying) {
		//防止重复提交
		console.log("防止重复提交");
		return;
	}
	var orderPayObj = {
		orderNumber: param.orderNumber,
		payState: "unpay"
	};
	plus.storage.setItem(("orderPayObj" + param.orderNumber), JSON.stringify(orderPayObj));
	isPaying = true;
	$.ajax({
		url: url,
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {
			isPaying = false;
			if(typeof data == "string") data = eval('(' + data + ')');
			clearKeyBoradPass();
			if(data.msgCode && data.msgCode == 'ERROR_PASSWORD') {
				orderPayObj.payState = 'payFail';
				mui.alert(data.msg);
			} else {
				if(data.state == '1' || data.state == 1) {
					orderPayObj.payState = 'paySuccess';
					ordersDetail(data.msg);
				} else {
					if(data.msgCode == 'ERROR_PAY') {
						orderPayObj.payState = 'payFail';
						mui.alert(data.msg + ",若出票失败,24小时内将自动为您退款");
					} else {
						orderPayObj.payState = 'payFail';
						mui.alert(data.msg + ",若出票失败,24小时内将自动为您退款", function() {
							//var url = "/m365/weixin/vn/orderHistory?autoAppend=true";
							openPage("orderRecord", "../mine/orderRecord.html", {});
						});
					}
				}
			}
			plus.storage.setItem("orderPayObj" + param.orderNumber, JSON.stringify(orderPayObj));
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			console.log(errorThrown);
			mui.alert("系统异常，订单处理结果请留意订单详情。若支付成功但出票失败,24小时内将自动为您退款", function() {
				//var url = "/m365/weixin/vn/orderHistory?autoAppend=true";
				openPage("orderRecord", "../mine/orderRecord.html", {});
			});
		}
	});
}

//订单详情界面
function ordersDetail(msg) {
	//订单成功后，清空卖品信息。
	if(mui.os.plus) {
		//移除卖品订单
		plus.storage.removeItem('mer_orderNumber');
		//选中商品放入缓存中
		plus.storage.removeItem('selectMersData');
		var shopCartPage = plus.webview.getWebviewById('shop-cart');
		if(shopCartPage) {
			mui.fire(shopCartPage, 'clearCart');
		}
	}

	openPage("paySuccess", "/pages/accounts/pay-success.html", {
		orderNumber: orderNumber,
		goBack: "ORDERLIST"
	});
}

var t = null;
//订单支付倒计时方法
function timedCount() {
	clearTimeout(t);
	var showText = '';
	if(showSecond == -1 && showMinute == 0) {
		mui.alert("付款已超时，请重新选座!", "", function() {
			releatSeat();
			goBackIndex();
		});
		return false;
	} else {
		if(showSecond < 0) {
			showMinute -= 1;
			showSecond = 59;
		}
		if(showMinute < 10) {
			showText = '0' + showMinute;
		} else {
			showText = showMinute;
		}
		showText += '分';
		if(showSecond < 10) {
			showText += '0' + showSecond;
		} else {
			showText += showSecond;
		}
		showText += "秒";
		$('.time_out').text(showText);
		t = setTimeout("timedCount()", 1000);
		showSecond -= 1;
	}
}

function dealPayTime(autoUnlockSecond) {
	showSecond = parseInt(autoUnlockSecond) - showMinute * 60 - 1;
	timedCount();
}

/**
 * 校验订单中是否有电影票
 */
function checkProducts(data) {
	var tag = true;
	$.each(data, function(i, item) {
		if(item.itemType == 'TICKET') {
			tag = false;
			return false;
		}
	});

	return tag;
}

function initPageByMemberPoint() {
	$('.memberPoint').html(discountDto.memberPoint);
	var payPoint = discountDto.ordersVo.point;
	$('.memberPrice').html(payPoint + '<i style="color: #666;font-size: 15px;">积分</i>');
	$('.memberPayPrice').html(payPoint + '<i style="color: #666;font-size: 15px;">积分</i>');
	$('.unPayPrice').html(payPoint + '积分');

	if(discountDto.payTypeStr.indexOf("CRM_POINT") < 0) {
		return;
	}
	$('.CRM_POINT').show();

	var selectCinemaCode = discountDto.ordersVo.cinemaCode;
	var currentCinemaDto = getCurrentCinemaDtoFromStorage(selectCinemaCode);
	if(discountDto.memberPoint < discountDto.ordersVo.point) {
		$('.CRM_POINT i').removeClass('icon_circle_no').addClass("icon_circle_normal");
		$(".ui-confirm-pay").removeClass("ui-btn-able").addClass("ui-btn-disabled");
	} else {
		$('.CRM_POINT i').removeClass('icon_circle_no').addClass("icon_circle_no");
		$(".ui-confirm-pay").removeClass("ui-btn-disabled").addClass("ui-btn-able");
	}
	init();
}