//获取选座界面存储在缓存的排期信息
var planInfo = {};
var MaxSingleGoodsSelect = 5;//卖品-单品购买上限
var MaxGoodsSelect = 20;//卖品-购买总数上限
var goodsSelect = 0;//所选的卖品总数
var attachDir = "";
//var mers = new Array();
var userSelectMers = new Array(); //订单中已选卖品
var isVip = $.url.param('isVip');
//var orderNumber = $.url.param('orderNumber');
var orderNumber = "";
var cinemaCode = "";
var wecha_id = "";
var auth = "";

//加载推荐商品，推荐商品页面使用
function loadOrderMer(){
	var param = getAppBaseParam();
	param.orderNumber = orderNumber;
	param.CinemaCode = cinemaCode;
	$.ajax({
        url : web_root+'/appService?method=loadOrderMer',
        type : 'post',
        dataType:'json',
        data:param, 
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
        timeout : 10000,
        success : function(data){
        	console.log("loadOrderMer---> "+JSON.stringify(data));
			if(typeof data == "string") {
				data = eval('(' + data + ')');
			}
		    if(data.state == 1 ) {
	    		var mers = recommondCombo(data.mers);
	    		userSelectMers = data.userSelectMers;  //以前选中的小卖的，需要修改显示问题
	    		$('.title > .ui-333').html(planInfo.filmName+" x"+planInfo.seatCount);
	    		//缓存中获取设置参数
	    		attachDir = data.attachDir;
			    MaxSingleGoodsSelect = data.maxSingleGoodsSelect;
			    MaxGoodsSelect = data.maxGoodsSelect;
	    		if(userSelectMers.length>0){
					plus.storage.setItem("userSelectMers",JSON.stringify(userSelectMers));
				}else{
					plus.storage.removeItem("userSelectMers");
				}
	    		loadRecommendMers(mers,userSelectMers,false);
	    		goPay();
			}else{
				console.log("加载异常");
			}
        },
        error : function(xhr,type,errorThrown){
            console.log(JSON.stringify(xhr));
            console.log(type);
            console.log(errorThrown);
        }
    });
}

function refreshMers(){
	var userSelectMers = plus.storage.getItem("userSelectMers");
	var counts =  $(".ui-button-amount");
	$.each(counts,function(i,item){
		var data = $(item).data();
		data.count=0;
		$(item).text("0");
	});
	if(userSelectMers && userSelectMers.length>0){
		userSelectMers = JSON.parse(userSelectMers);
		var counts =  $(".ui-button-amount");
		$.each(counts,function(i,item){
			var data = $(item).data();
			
			for(var i=0;i<userSelectMers.length;i++){
				if(data.MerUid == userSelectMers[i]){
					data.count += 1;
					$(item).text(data.count);
				}
			}
		});
	}else{
	}
}

//加载商品，推荐商品页面不显示非推荐商品
function loadRecommendMers(mers,userSelectMers) {
    if (!isNull(mers) && mers.length > 0) {
    	$('#mer_ul').html('');
    	var mersUlCount = 1;
    	$('body').show();
        for (var mi = 0; mi < mers.length; mi++) {
        	var html_ = "";
        	var urlHtml = '';
        	if (!isNull(mers[mi].MerImgUrl)) {
        		urlHtml = '<img src="'+ attachDir + mers[mi].MerImgUrl + '" />';
        	} else {
        		urlHtml= '<img src="../../images/bg/image2.png"/>';
        	}
        	var price = parseFloat(mers[mi].SettlePrice).toFixed(2);
        	var style_str = "";
        	if(mers[mi].Recommend == 0){
        		style_str = 'display:none;';
        	} 
        	html_ += "<li style='"+style_str+"'><div>"+urlHtml+"</div>"
        		  + "<div class='goods-desc'>"
        		  + "<p>"+getSubStr(mers[mi].MerName,14)+"</p>"
        		  + "<p>"+(isNull(mers[mi].MerDesc) ? "" : getSubStr(mers[mi].MerDesc,19))+"</p>"
        		  + "<p>"
        		  + "<span class='money'>¥"+price+"</span>"
        		  + "<span class='num'>"
        		  + "<button class='ui-ion-minus'><span></span></button>"
        		  + "<strong class='ui-button-amount'>0</strong>"
        		  + "<button class='ui-ion-plus'><span class='mui-icon mui-icon-plusempty'></span></button>"
        		  + "</span></p></div></li>";
        	html_ =  $(html_);
        	$(".selected-goods").append(html_);
        	var input = html_.find('.ui-button-amount');
        	input.data(mers[mi]);
//      	initBtnClass(html_.find(".ui-button-amount"));
        	synchronValue(html_,userSelectMers,".ui-button-amount");
        }
    }else{
    	$('.go_pay').click();
    }
	//注册数字加减按钮事件
	regInputBtnEven();
}


/**
 * 注册数字加减按钮事件
 */
function regInputBtnEven() {
	//加数量
    $(".ui-ion-plus").off("click").on("click",function(){
    	var $this_ = $(this);
		var num = $this_.prev(".ui-button-amount").text();
		if(isNaN(num)){
			num = '0';
		}
		console.log(getTotalMersCount() +  "  " +MaxGoodsSelect + "  " + MaxSingleGoodsSelect);
		if(getTotalMersCount() < MaxGoodsSelect && num < MaxSingleGoodsSelect){
    		$this_.prev(".ui-button-amount").text(parseInt(num)+1);
    		setUserSelectMers();
		}
	});
	//减数量
    $(".ui-ion-minus").off("click").on("click",function(){
    	var $this_ = $(this);
		var num = $this_.next(".ui-button-amount").text();
		if(isNaN(num)){
			num = '0';
		}
		var sub_num = parseInt(num)-1;
		if(parseInt(sub_num) < MaxSingleGoodsSelect && parseInt(sub_num) >= 0){
    		$this_.next(".ui-button-amount").text(sub_num);
    		setUserSelectMers();
		}
    });
}

/**
 * 注册数字加减按钮事件，所有卖品
 */
function regInputBtnEven2() {
	//加数量
    $(".ui-ion-plus1").off("click").on("click",function(){
    	var $this_ = $(this);
		var num = $this_.prev(".ui-button-amount1").text();
		if(isNaN(num)){
			num = '0';
		}
		if(getTotalMersCount("ui-button-amount1") < MaxGoodsSelect && num < MaxSingleGoodsSelect){
    		$this_.prev(".ui-button-amount1").text(parseInt(num)+1);
    		setUserSelectMers();
			if(typeof changerMerCountCallback == "function"){
				changerMerCountCallback("plus",$this_.prev(".ui-button-amount1"));
			}
		}
	});
	//减数量
    $(".ui-ion-minus1").off("click").on("click",function(){
    	var $this_ = $(this);
		var num = $this_.next(".ui-button-amount1").text();
		if(isNaN(num)){
			num = '0';
		}
		var sub_num = parseInt(num)-1;
		if(parseInt(sub_num) < MaxSingleGoodsSelect && parseInt(sub_num) >= 0){
    		$this_.next(".ui-button-amount1").text(sub_num);
    		setUserSelectMers();
    		if(typeof changerMerCountCallback == "function"){
				changerMerCountCallback("minus",$this_.next(".ui-button-amount1"));
			}
		}
    });
}

//设置
function setUserSelectMers(){
	var selectMers = getMers();
    var userSelectMers = new Array(); //订单中已选卖品
    $.each(selectMers,function(i,item){
    	var count = item.count;
		for(var i=0;i<count;i++){
			userSelectMers.push(item.MerUid);
		}
	});
	if(userSelectMers && userSelectMers.length>0){
		plus.storage.setItem("userSelectMers",JSON.stringify(userSelectMers));
	}else{
		plus.storage.removeItem("userSelectMers");
	}
}

function initBtnClass(obj){
	if(!$(obj).parent().parent().find('.ion-checkmark-circled').hasClass('ui-checkbox-bar-not')){
		var val = $(obj).text();
		val = parseInt(val);
		if(val < 2){
			$(obj).prev().removeClass('ui-button-bar-not').addClass('ui-button-bar-not').removeClass('ui-button-bar');
		}else{
			$(obj).prev().removeClass('ui-button-bar-not').removeClass('ui-button-bar').addClass('ui-button-bar');
		}
		
		if(val >= MaxSingleGoodsSelect){
			$(obj).next().removeClass('ui-button-bar-not').addClass('ui-button-bar-not').removeClass('ui-button-bar');
		}else{
			$(obj).next().removeClass('ui-button-bar-not').removeClass('ui-button-bar').addClass('ui-button-bar');
		}
	}else{
		$(obj).prev().removeClass('ui-button-bar-not').addClass('ui-button-bar-not').removeClass('ui-button-bar');
		$(obj).next().removeClass('ui-button-bar-not').addClass('ui-button-bar-not').removeClass('ui-button-bar');
	}
}
//获取购买的卖品
function getMers(className){
	if(isNull(className)){
		className = "ui-button-amount";
	}
	var mers = $('.'+className);
	var chooceMers = [];
	$.each(mers,function(i,item){
		var val = $(item).text();
		if(isNaN(val)){
			val = 0;
		}else{
			val = parseInt(val);
		}
		if(val > 0){
			var data = $(item).data();
			data.count = val;
			chooceMers.push(data);
		}
	});
	return chooceMers;
}

//获取购买的卖品总数
function getTotalMersCount(className){
	var mers = getMers(className);
	var totalCount = 0;
	$.each(mers,function(i,item){
		totalCount += item.count;
	});
	return totalCount;
}

function goPay(){
	$('.go_pay').click(function(){
//		console.log("go_pay --->");
//		debugger;
//		if($(this).hasClass('skip')){
//			$('.item').find('.ui-checkbox-bar').removeClass('ui-checkbox-bar-not').addClass('ui-checkbox-bar-not');
//		}else if($(this).hasClass('ui-btn-disabled')){
//			return;
//		}
		submitOrder();
	});
}

//提交订单，执行锁座
/**
 * 
 * @param {Object} getPaymentDto ，确认订单页面传来的回调函数，添加商品到订单后执行，重新匹配营销活动
 */
function submitOrder(className) {
	var merList = new Array();
	$.each(getMers(className),function(i,item){
		var merDto = {};
		merDto.count = item.count;
		merDto.MerUid = item.MerUid;
		merList.push(merDto);
	});
	//为订单增加卖品信息
	var param = getAppBaseParam();
	param.orderNumber = orderNumber;
	param.merList = JSON.stringify(merList);
	$.ajax({
        url : web_root + "/appService?method=addMersToOrder",
        type : 'post',
        dataType:'json',
        data:param, 
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
        timeout : 10000,
        success : function(data){
        	if(typeof data == "string") data = eval('(' + data + ')'); 
		     if (data.state == 0 ) {
				//添加卖品失败
				mui.alert(data.msg);
			}else{
				if(typeof initUserBoundCardAndPaymentDto == "function"){
					$(".model_css_warp,.model_goods_css").hide();
					initUserBoundCardAndPaymentDto({cardIsChange : 'false',isNotFirst : 'true',needSearchUserCard:''});
				}else{
					OrderNumber = orderNumber;
					openPage("accounts","../../pages/accounts/accounts.html",{orderNumber:OrderNumber,isVip:isVip});
				}
			}
        },
        error : function(xhr,type,errorThrown){
            console.log(JSON.stringify(xhr));
            console.log(type);
            console.log(errorThrown);
        }
    });
}

/**
 *	推荐卖品排序
 */
function recommondCombo(data)
{
	var choose_seat_num = planInfo.choose_seat_num;
	var num = parseInt(planInfo.choose_seat_num);
	//推荐卖品
	var recommondMers = [];
	//剥离推荐后卖品
	var otherMers = [];
	//剥离推荐套餐
	$.each(data,function(i,item){
		
		//是否加入推荐卖品
		var tag = true;
		if(!isNull(item.TicketNums))
		{
			var nums = item.TicketNums.split(",");
			$.each(nums,function(index,num){
			 
				if(num == choose_seat_num)
				{
					recommondMers.push(item);
					tag = false;
					return false;	
				}
			});
		}
		
		if(tag)
		{
			otherMers.push(item);
		}
			
	});
	
	if(recommondMers.length <= 0)
	{
		//无推荐卖品
		return otherMers;
	}
	
	//将非推荐卖品加到推荐卖品列后面
	$.each(otherMers,function(i,item){
		
		recommondMers.push(item);
	});
	
	return recommondMers;
}




/**
 * 数据同步
 */
function synchronValue(html,userSelectMers,className){
	var amount = html.find(className);
	var index = 0;
	var tag = true;
	$.each(userSelectMers,function(i,item){
		if(item == amount.data().MerUid)
		{
			tag = false;
			index++;
		}
	});
	
	if(tag){
		return;
	}
	
	if(!html.hasClass('ui-bg-fffccc')){
		html.addClass('ui-bg-fffccc');
	}
	amount.data().count = index;
	amount.text(index);
	html.find('.ion-checkmark-circled').removeClass('ui-checkbox-bar-not').addClass('ui-checkbox-bar');

	var val = parseInt(amount.text());
	if(val < 2){
		amount.prev().removeClass('ui-button-bar-not').addClass('ui-button-bar-not').removeClass('ui-button-bar');
	}else{
		amount.prev().removeClass('ui-button-bar-not').removeClass('ui-button-bar').addClass('ui-button-bar');
	}
	
	if(val >= MaxSingleGoodsSelect){
		amount.next().removeClass('ui-button-bar-not').addClass('ui-button-bar-not').removeClass('ui-button-bar');
	}else{
		amount.next().removeClass('ui-button-bar-not').removeClass('ui-button-bar').addClass('ui-button-bar');
	}
	//确定按钮
	$(".ui-submit-btn").removeClass("ui-btn-disabled").addClass("ui-btn-00a1e5");
}

