var chooce_seats = null; //已选座位集合
var chooce_mers = null; //已选卖品集合
var orderNumber = ''
var cinemaPlanDto = null; //planInfo.cinemaPlanDto;
var hasLoadCoupons = false;
var need_pay = true;
var discountDto = null;
var isOscar = false;
var isVip = "";
var wecha_id = "";
var auth = "";
var fromPage = "";
var isReload = "";
var opener = null;
var userBoundCards = null;
mui.init({
	swipeBack: true //启用右滑关闭功能
});
document.addEventListener('plusready', function() {
	var params = plus.webview.currentWebview();
	opener = params.opener();
	orderNumber = params.orderNumber;
	fromPage = params.fromPage;
	wecha_id = getWechaId();
	isReload = isNull(params.isReload) ? undefined : params.isReload;
	var orderPayObj = plus.storage.getItem("orderPayObj" + orderNumber);
	isOscar = plus.storage.getItem("isOscar");
	planInfo = plus.storage.getItem("planInfo");
	if(!isNull(orderPayObj)) {
		var opo = $.parseJSON(orderPayObj);
		if(orderNumber == opo.orderNumber) {
			if(opo.payState == 'payFail') {
				mui.alert('订单支付失败', function() {
					stopAction = true;
					releatSeat();
					goBackIndex();
				});
			} else if(opo.payState == 'paySuccess') {
				mui.alert('订单已支付，正在出票', function() {
					stopAction = true;
					goBackIndex();
				});
			}
		}
	}
	//来自于购物车，隐藏卖品相关信息
	if(fromPage == "shopping_cart") {
		$('.movie_info_hide').hide();
		$('.shopping_cart_info_hide').show();
	}
	//	getIsOscar();
	var needSearchUserCard = "";
	if($.trim(plus.storage.getItem("myInfo")) != "") {
		needSearchUserCard = 'true';
		$('.memberInfo').show();
	}
	initUserBoundCardAndPaymentDto({
		isReload: isReload,
		cardIsChange: 'true',
		needSearchUserCard: needSearchUserCard
	});
	window.addEventListener("chooceCard", chooceCard);
});

$(function() {
	//进入支付页面
	mui(".accountstext").on('tap', '#ui-confirm-pay', goPayConfirm);
	//$("#ui-confirm-pay").click(goPayConfirm);

	//选择商品，确认按钮
	$("#choose_mer_btn").click(function() {
		//先添加卖品到订单
		submitOrder("ui-button-amount1");
	});
});

/**
 * 修改所有卖品数量后回调函数
 * @param {Object} type
 */
function changerMerCountCallback(opt_type, $mer) {
	var all_mers = $('.ui-button-amount1');
	var num = $mer.text();
	var merData = $mer.data();
	var totalAmount = 0;
	if(isNaN(num)) {
		num = 0;
	} else {
		num = parseInt(num);
	}
	if(num > 0) {
		merData.count = num;
	}
	if(opt_type == "plus") {
		var mer = {
			"id": "",
			"itemKey": merData.MerUid,
			"orderNumber": cinemaPlanDto.OrderNumber,
			"itemType": "MER",
			"itemName": getSubStr(merData.MerName, 14),
			"count": 1,
			"unMemberPrice": merData.SettlePrice,
			"memberPrice": merData.SettlePrice,
			"memberCinemaPrice": 0,
			"unMemberCinemaPrice": 0,
			"creditPrice": 0,
			"servicePrice": 0,
			"serviceAddFee": 0
		};
		chooce_mers.push(mer);
	} else if(opt_type == "minus") {
		//商品需要数量减1
		$.each(chooce_mers, function(i, item) {
			var repeat = false;
			if(item.itemType == 'MER') {
				if(merData.MerUid == item.itemKey) {
					chooce_mers.splice(i, 1);
					return false;
				}
			}
		});
	}
	var merTotal = 0
	var groupMers = getGroupMer();
	$.each(groupMers, function(i, item) {
		var price = item.memberPrice - item.memberCinemaPrice;
		merTotal += item.count * price;
	});
	$(".all_mer_total").html("¥" + parseFloat(merTotal).toFixed(2));
}

//添加卖品后的回调，进入支付页面
function goPayConfirm() {
	var receviePhone = $('#orderPhone').val();
	if(isNull(receviePhone)) {
		mui.alert('请输入接收取票码的手机号');
		return;
	} else if(!(/^1[3456789]\d{9}$/.test(receviePhone))) {
		mui.alert('请输入正确的接收取票码手机号');
		return;
	}
	var cardNo = $('#onlyOneCard').attr("cardnoValue");
	if(discountDto.ordersVo.totalMemberPricePay <= 0 && discountDto.ordersVo.consumeType != 1) {
		var notPayType = 'CRM';
		if(isNull(cardNo)) {
			notPayType = 'ALIPAY';
		}
		payment(notPayType);
	} else {
		initPay();
		var day = getFormatDay(new Date(cinemaPlanDto.StartTime));

		var phone = $('#orderPhone').val();
		var userType = isNull(cardNo) ? 0 : 1;
		var url = "../../pages/accounts/confirm-payment.html";
		var param = {
			"orderNumber": orderNumber,
			"cardNo": cardNo,
			"phone": phone,
			"userType": userType
		};
		//		if($("#ui-confirm-pay").hasClass("ui-btn-00a1e5")){
		var date = new Date();
		var month = date.getMonth() + 1;
		var strDate = date.getDate();
		if(month >= 1 && month <= 9) {
			month = "0" + month;
		}
		if(strDate >= 0 && strDate <= 9) {
			strDate = "0" + strDate;
		}
		var c = date.getFullYear() + '-' + month + '-' + strDate; //当天日期

		if(!isNull(cinemaPlanDto.StartTime) && cinemaPlanDto.FeatureDate > c) {
			day = day + " " + cinemaPlanDto.StartTime.substring(11, cinemaPlanDto.StartTime.length - 3);
			var msg = '您所购买的是城市为' + cinemaPlanDto.cityName + '  ' + cinemaPlanDto.CinemaName + ' ' + cinemaPlanDto.FeatureDate + ' ' + day + '场次,请仔细核对购票信息!';
			mui.confirm(msg, "", ['我已确认', '取消'], function(e) {
				if(e.index == 0) {
					callModifyActivityTime(true, orderNumber, url, param);
				}
			});
		} else {
			if(!isNull(cinemaPlanDto.StartTime)) {
				callModifyActivityTime(true, orderNumber, url, param);
			} else {
				openPage("confirm-payment", url, param);
			}
		}
		//		}
	}
}

function callModifyActivityTime(flag, orderNumber, url, param) {
	if(flag) {
		var activityParam = getAppBaseParam();
		activityParam.orderNumber = orderNumber;
		$.ajax({
			url: web_root + '/appService?method=modifyActivityTime',
			type: 'post',
			dataType: 'json',
			data: activityParam,
			beforeSend: function() {
				plus.nativeUI.showWaiting("");
			},
			complete: function() {
				plus.nativeUI.closeWaiting();
			},
			timeout: 10000,
			success: function(res) {
				if(res.state == 1) {
					openPage("confirm-payment", url, param);
				} else if(res.state == 0 && "reloadRule" == res.msgCode) {
					mui.confirm("抱歉，该优惠活动已失效，点击确定将重新匹配优惠活动。", "", ['确定'], function(e) {
						location.href = location.href;
					});
				} else {
					mui.confirm("抱歉，该优惠活动次数已抢完，点击确定可使用会员卡或其他方式购买。", "", ['确定'], function(e) {
						location.href = location.href;
					});
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log(JSON.stringify(xhr));
				console.log(type);
				console.log(errorThrown);
			}
		});
	} else {
		//	 	var activityUrl = getBasePath() +'appService?method=modifyActivityTime';
		var activityParam = getAppBaseParam();
		activityParam.orderNumber = orderNumber;
		$.ajax({
			url: web_root + '/appService?method=modifyActivityTime',
			type: 'post',
			dataType: 'json',
			data: activityParam,
			beforeSend: function() {
				plus.nativeUI.showWaiting("");
			},
			complete: function() {
				plus.nativeUI.closeWaiting();
			},
			timeout: 10000,
			success: function(res) {
				console.log("res--->", res);
			},
			error: function(xhr, type, errorThrown) {
				console.log(JSON.stringify(xhr));
				console.log(type);
				console.log(errorThrown);
			}
		});
		//		openPage("modifyActivityTime",url);
		openPage("confirm-payment", url, param);
	}

}

function initPay() {

	$('.cinemaName').html(cinemaPlanDto.CinemaName);
	if(isNull(cinemaPlanDto.FeatureAppNo)) {
		console.log("这里按需显示卖品属性");
	} else {
		chooce_seats = discountDto.orderItemVos;
		var ticketNum = 0;
		if(chooce_seats.length > 0) {
			$.each(chooce_seats, function(i, seat) {
				if(seat.itemType == 'TICKET') {
					ticketNum++;
				}
			});
		}
		var day = getFormatDay(new Date(cinemaPlanDto.StartTime));
		var span = "<span class='font14-999' style='padding-left:5px;'>x" + ticketNum + "</span>";
		$('#pay_film_name').html('<div class="font16-262">' + cinemaPlanDto.PlanFilmNames + '</div>' + span);
		if(isNull(day)) {
			day = cinemaPlanDto.StartTime.substring(0, cinemaPlanDto.StartTime.length - 3);
		} else {
			day = day + " " + cinemaPlanDto.StartTime.substring(11, cinemaPlanDto.StartTime.length - 3);
		}
		$('#pay_film_start_time').html(day);
		$('#pay_film_lang').html(cinemaPlanDto.CinemaPlanFilmDto[0].Lang);
		$('#pay_film_type').html(cinemaPlanDto.CinemaPlanFilmDto[0].Version);
		$('#pay_film_screen').html(cinemaPlanDto.ScreenName);
		$(".divicon").show();
	}

	//绑定打开优惠券界面按钮
	$(".coupon_list").unbind('click').click(function() {
		var receviePhone = $('#orderPhone').val();
		if(isNull(receviePhone)) {
			mui.alert('请输入接收取票码的手机号');
			return;
		} else if(!(/^1[3456789]\d{9}$/.test(receviePhone))) {
			mui.alert('请输入正确的接收取票码手机号');
			return false;
		}
		$('.step3').hide();
		$('.step4').show();
		$("#back_to_pay").show();
		initCouponHtml();
	});
}

//合并接口
function initUserBoundCardAndPaymentDto(reqPara) {
	var param = getAppBaseParam();
	var memberCardNo = $('#onlyOneCard').attr("cardnoValue");
	if(memberCardNo && memberCardNo != '') {
		param.cardNo = memberCardNo;
	}
	param.applyToModel = "consume";
	param.orderNumber = orderNumber;
	param.isReload = reqPara.isReload;
	param.isNotFirst = isNull(reqPara.isNotFirst) ? "" : reqPara.isNotFirst;
	param.cardIsChange = reqPara.cardIsChange;
	param.needSearchUserCard = isNull(reqPara.needSearchUserCard) ? "" : reqPara.needSearchUserCard;
	$.ajax({
		url: web_root + '/appService?method=initUserBoundCardAndPaymentDto',
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			$('.mui-content').show();
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {
			console.log("initUserBoundCardAndPaymentDto -- >" + JSON.stringify(data));
			if(typeof data == "string") data = eval('(' + data + ')');
			hasLoadCoupons = false;
			if(reqPara.needSearchUserCard == 'true') {
				userBoundCards = data.userBoundCards;
				if(userBoundCards && userBoundCards.length > 0) {
					var cardNo = userBoundCards[0].CardNo;
					var memberLevelName = isNull(userBoundCards[0].memberLevelName) ? "" : userBoundCards[0].memberLevelName;
					//					$("#card_info_div").click(function(){
					//						if(discountDto.ordersVo.totalUsedTicketCount > 0){
					//							mui.alert('已使用票券,请取消票券使用后更换会员卡');
					//							return;
					//						}
					//		    			openPage("selectCard","../mine/selectCard.html",{cardNo:memberCardNo,userBoundCards:userBoundCards,goBack:"ORDERLIST"});
					//		    		});
					$('#onlyOneCard').html(cardNo + " " + memberLevelName).show();
					$('#onlyOneCard').attr("cardnoValue", cardNo);
				}
			}

			if(data.msgCode != 'SUCCESS') {
				if(data.msgCode == '100404' || data.msgCode == '100405') {
					confirm_new('查询不到会员价格，是否按照原价支付？', function(e) {
						if(e) {
							releatSeat();
							goBackIndex();
						} else {
							getPaymentDtoCallback(data);
						}
					}, '否', '是');
				} else {
					mui.alert(data.msg, function() {
						if(data.msgCode != 'dealingOrder') {
							releatSeat();
						}
						goBackIndex();
					});
				}
			} else {
				if(isNull(data.ordersVo.consumeType)) {
					//没有订单类型，默认为现金订单
					data.ordersVo.consumeType = 0;
				}
				getPaymentDtoCallback(data);
				if(data.ordersVo.consumeType == 1) {
					//积分商城，隐藏票券
					$("#activity_name").hide();
					$("#tickets").hide();
				} else {
					initCouponHtml();
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			console.log(errorThrown);
		}
	});
}

//选择会员卡回调事件
function chooceCard(cardNo) {
	console.log("cardNo--->" + cardNo);
	for(var i = 0; i < userBoundCards.length; i++) {
		if(userBoundCards[i].CardNo == cardNo) {
			$('#onlyOneCard').html(cardNo + " " + userBoundCards[i].memberLevelName);
			$('#onlyOneCard').attr("cardnoValue", cardNo);
			break;
		}
	}
	// 	getPaymentDto({cardIsChange : 'true'});
	initUserBoundCardAndPaymentDto({
		cardIsChange: 'true',
		needSearchUserCard: ''
	});
}

//初始化订单卖品信息
function initChooceMer(loadFromPage) {
	//初始化卖品信息
	var totalAmount = 0;
	var ticketArr = [];

	var serviceFeeAdd = {
		name: "增值服务费",
		count: 0,
		price: 0
	};
	var servicePrice = {
		name: "购票服务费",
		count: 0,
		price: 0
	};
	if(chooce_mers.length > 0) {

		var groupMers = getGroupMer();
		var groupTickets = [];
		$.each(chooce_mers, function(i, item) {
			var repeat = false;
			if(item.itemType != 'MER') {
				if(parseFloat(item.serviceAddFee) > 0){
					serviceFeeAdd.count = parseInt(serviceFeeAdd.count) + 1;
					serviceFeeAdd.price = item.serviceAddFee;
				}
				
				servicePrice.count = parseInt(servicePrice.count) + 1;
				servicePrice.price = item.servicePrice;

				//减去影院补贴
				var price = parseFloat(item.memberPrice) - parseFloat(item.memberCinemaPrice);
				//影院'购票服务费'包含在票价中,清除'购票服务费'
				if(discountDto.ordersVo.servicePriceContainsInTicket == "0") {
					//减去网售服务费
					price = parseFloat(price - parseFloat(item.servicePrice)).toFixed(2);
					var name = "单人影票";
					ticketArr = getTicketPriceGroup(ticketArr, price, name);
				} else {
					price = parseFloat(price).toFixed(2);
					var name = "单人影票(包含" + (item.servicePrice).toFixed(2) + "元购票服务费)";
					ticketArr = getTicketPriceGroup(ticketArr, price, name);
					servicePrice.price = 0;
				}
			}
		});

		if(parseFloat(serviceFeeAdd.price) > 0) {
			ticketArr.push(serviceFeeAdd);
		}
		if(parseFloat(servicePrice.price) > 0) {
			ticketArr.push(servicePrice);
		}
	}
	//展示影票、服务费明细
	totalAmount = showTicketsPriceDetail(ticketArr);
	//展示卖品明细
	totalAmount += showMersDetail(groupMers);

	return totalAmount;
}

/*
 * 获取卖品信息
 */
function getGroupMer() {
	var groupMers = [];
	if(chooce_mers.length > 0) {
		$.each(chooce_mers, function(i, item) {
			var repeat = false;
			if(item.itemType == 'MER') {
				$.each(groupMers, function(i, mer) {
					if(mer.itemKey == item.itemKey) {
						repeat = true;
						mer.count += item.count;
						return false;
					}
				});
				if(!repeat) {
					var mer = {
						"id": item.id,
						"itemKey": item.itemKey,
						"orderNumber": item.orderNumber,
						"itemType": item.itemType,
						"itemName": item.itemName,
						"count": 1,
						"unMemberPrice": item.unMemberPrice,
						"memberPrice": item.memberPrice,
						"memberCinemaPrice": 0,
						"unMemberCinemaPrice": 0,
						"creditPrice": 0,
						"servicePrice": 0,
						"serviceAddFee": 0
					};
					groupMers.push(mer);
				}
			}
		});
	}
	return groupMers;
}

//获取票价明细
function getTicketPriceGroup(ticketArr, price, name) {

	if(ticketArr.length > 0) {
		repeat = false;
		$.each(ticketArr, function(i, ticElement) {
			if(parseFloat(ticElement.price).toFixed(2) == price) {
				ticElement.count = parseInt(ticElement.count) + 1;
				repeat = true;
			}
		});
		if(!repeat) {
			var ticket = {
				name: name,
				count: 1,
				price: price
			};
			ticketArr.push(ticket);
		}

	} else {
		var ticket = {
			name: name,
			count: 1,
			price: price
		};
		ticketArr.push(ticket);
	}
	return ticketArr;
}

//显示票价明细，返回总价
function showTicketsPriceDetail(groupTickets) {
	var movieTicketTotal = 0;
	if(groupTickets && groupTickets == 0) {
		$('.movie_ticket_info_list').hide();
	} else {
		$('.movie_ticket_info_list').show();
	}
	$('.movie_ticket_info').remove();
	if(groupTickets.length > 0) {
		$.each(groupTickets, function(i, item) {
			var currentAmount = item.price * item.count;
			var temp = '<div class="pa10 movie_ticket_info">' +
				'<span class="font13-666">' + item.name + '×' + item.count + '</span>' +
				'<span class="mui-pull-right font13-262">¥' + currentAmount.toFixed(2) + '</span>' +
				'</div>';
			$('.movie_ticket_info_list').append($(temp));
			movieTicketTotal += currentAmount;
		});
	}
	$("#ticket_total").html("¥" + parseFloat(movieTicketTotal).toFixed(2));
	return movieTicketTotal;
}

//显示卖品明细，返回总价
function showMersDetail(groupMers) {
	var merTotal = 0
	$('.mer_info').remove();
	if(groupMers && groupMers.length == 0) {
		$('.mer_info_list').hide();
	} else {
		$('.mer_info_list').show();
	}
	$.each(groupMers, function(i, item) {
		var price = item.memberPrice - item.memberCinemaPrice;
		var temp = '<div class="pa10 mer_info">' +
			'<span class="font13-666">' + getSubStr(item.itemName, 16) + '×' + item.count + '</span>' +
			'<span class="mui-pull-right font13-262">¥' + parseFloat(item.count * price).toFixed(2) + '</span>' +
			'</div>';
		$('.mer_info_list').append($(temp));
		merTotal += item.count * price;
	});
	$(".mer_total").html("¥" + parseFloat(merTotal).toFixed(2));
	$(".all_mer_total").html("¥" + parseFloat(merTotal).toFixed(2));
	return merTotal;
}

//返回排期界面
function goBack() {
	confirm_new("确定要放弃支付吗?", function(e) {
		if(e) {
			console.log("555");
			releatSeat();
			goBackIndex();
		}
	});
}

function releatSeat() {
	var param = getAppBaseParam();
	param.OrderNumber = orderNumber;
	param.jsN = "pay";
	$.ajax({
		url: web_root + "/appService?method=releaseSeat",
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			console.log(errorThrown);
		}
	});
}

//订单详情界面
function ordersDetail(msg) {
	openPage("paySuccess", "pay-success.html", {
		orderNumber: orderNumber,
		goBack: "ORDERLIST"
	});
}

//初始化已选座位展示LI
function initSelectedSeatView() {
	chooce_seats = discountDto.orderItemVos;
	var totalServiceAddFee = parseFloat(discountDto.ordersVo.totalServiceAddFee);
	if(chooce_seats.length > 0) {
		var seatUl = $(".sec_seat");
		seatUl.html('');
		var memberPrice = 0.00;
		var unMemberPrice = 0.00;
		var ticketNum = 0;
		var hall_seat_str = cinemaPlanDto.ScreenName + "一";
		$.each(chooce_seats, function(i, seat) {
			if(seat.itemType == 'TICKET') {
				memberPrice += seat.memberPrice - seat.memberCinemaPrice;
				ticketNum++;
				hall_seat_str += seat.itemName + " ";
			}
		});
		$("#hall_seats").html(hall_seat_str);
		//加上增值服务费
		memberPrice = (memberPrice + totalServiceAddFee).toFixed(2);
		$('#ticket_num').html('数量:' + ticketNum + '张');
		if(ticketNum > 0) {
			var lastLi = $('.sec_seat').find('li').eq(ticketNum - 1);
			if(lastLi && lastLi.attr('class')) {
				lastLi.html(lastLi.html().substring(0, lastLi.html().length - 1));
			}
		}
		$('.sec_seat').find('li').eq(ticketNum - 1).html();
		$('#memberTicketPrice').html('¥' + memberPrice.split('.')[0] + '.<label class="ui-333 ui-fs12" style="font-size:13px;">' + memberPrice.split('.')[1] + '</label>');
		$('.ui-zi').html('¥' + memberPrice.split('.')[0] + '.<label class="ui-333 ui-fs12"style="font-size:13px;">' + memberPrice.split('.')[1] + '</label>');
		seatUl.show();
	}
}

function getPaymentDtoCallback(data) {
	discountDto = data;
	cinemaPlanDto = discountDto.cinemaPlanDto;
	chooce_mers = discountDto.orderItemVos;
	attachDir = data.attachDir;
	MaxSingleGoodsSelect = data.maxSingleGoodsSelect;
	MaxGoodsSelect = data.maxGoodsSelect;
	if(!isNull(cinemaPlanDto.FeatureAppNo)) {
		if(!isNull(data.ordersVo.autoUnlockSeconds) && parseInt(data.ordersVo.autoUnlockSeconds) > 0) {
			showMinute = parseInt(parseInt(parseInt(data.ordersVo.autoUnlockSeconds)) / 60);
			dealPayTime(parseInt(data.ordersVo.autoUnlockSeconds));
		} else {
			releatSeat();
			goBackIndex();
		}
	}

	if(cinemaPlanDto.cinemaNameTips == 1) {
		mui.alert('当前消费影院为:' + cinemaPlanDto.CinemaName);
	}

	//校验订单中是否有电影票
	if(checkProducts(discountDto)) {
		//订单中不包含电影票,单独购买卖品
		console.log("goods-only...");
		$('.movie_info_hide').hide();
		$('.shopping_cart_info_hide').show();
		//初始化界面
		initChooseMersOnly("shopping-cart-selected-goods");
		showMersDetail(getGroupMer());
	} else {
		//增加距离顶部距离(不与倒计时框重叠)
		var bartop = $(".bar-header").outerHeight(true);
		$(".has-header").css({
			"top": bartop
		});

		//订单中包含电影票
		initSelectedSeatView();
		initChooceMer();
	}

	initMerInfo();

	initPay();
	initPriceHtml();
	changePayDetail();

	var recommendGoods = plus.webview.getWebviewById('goods');
	if(recommendGoods) {
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新
		recommendGoods.evalJS("refreshMers()");
	}
}

function initMerInfo() {
	var mers = discountDto.mers;
	//如果影院没有设置卖品，则不显示卖品信息
	if(mers && mers.length > 0) {
		$('#good_info').show();
	} else {
		$('#good_info').hide();
	}
	var userSelectMers = discountDto.userSelectMers; //以前选中的小卖
	if($.isArray(userSelectMers) && userSelectMers.length > 0) {
		plus.storage.setItem("userSelectMers", JSON.stringify(userSelectMers));
	} else {
		plus.storage.removeItem("userSelectMers");
	}
	initChooseMersOnly("selected-goods");
	loadAllMers(mers, userSelectMers);
}

//加载商品，确认订单页显示已选的
function loadSelectMers(mers, userSelectMers) {
	if(!isNull(mers) && mers.length > 0) {
		$('#mer_ul').html('');
		var mersUlCount = 1;
		$('body').show();
		for(var mi = 0; mi < mers.length; mi++) {
			var isSelected = false;
			for(var i = 0; i < userSelectMers.length; i++) {
				if(mers[mi].MerUid == userSelectMers[i]) {
					isSelected = true;
					break;
				}
			}
			var style_str = "";
			//不显示没有选择的卖品
			if(!isSelected) {
				style_str = 'display:none;';
			}
			var html_ = "";
			var urlHtml = '';
			if(!isNull(mers[mi].MerImgUrl)) {
				urlHtml = attachDir + mers[mi].MerImgUrl;
			} else {
				urlHtml = "../../images/bg/image2.png";
				//urlHtml= '<img src="/image/default-goods-picture.jpg"/>';
			}
			var price = parseFloat(mers[mi].SettlePrice).toFixed(2);
			html_ += "<li style='" + style_str + "'><div><img src='" + urlHtml + "'/></div>" +
				"<div class='goods-desc'>" +
				"<p>" + getSubStr(mers[mi].MerName, 14) + "</p>" +
				"<p>" + (isNull(mers[mi].MerDesc) ? "" : getSubStr(mers[mi].MerDesc, 19)) + "</p>" +
				"<p>" +
				"<span class='money'>¥" + price + "</span>" +
				"<span class='num'>"
				//      		  + "<button class='ui-ion-minus'><span></span></button>"
				+
				"<strong class='ui-button-amount'>0</strong>"
				//      		  + "<button class='ui-ion-plus'><span class='mui-icon mui-icon-plusempty'></span></button>"
				+
				"</span></p></div></li>";
			html_ = $(html_);
			$(".selected-goods").append(html_);
			var input = html_.find('.ui-button-amount');
			input.data(mers[mi]);
			synchronValue(html_, userSelectMers, ".ui-button-amount");
		}
	} else {
		$('.go_pay').click();
	}
}

//加载所有商品
function loadAllMers(mers, userSelectMers) {
	$(".all-goods").empty();
	if(!isNull(mers) && mers.length > 0) {
		var mersUlCount = 1;
		$('body').show();
		for(var mi = 0; mi < mers.length; mi++) {
			var html_ = "";
			var urlHtml = '';
			if(!isNull(mers[mi].MerImgUrl)) {
				urlHtml = attachDir + mers[mi].MerImgUrl;
			} else {
				//urlHtml= '<img src="/image/default-goods-picture.jpg"/>';
				urlHtml = "../../images/bg/image2.png";
			}
			var price = parseFloat(mers[mi].SettlePrice).toFixed(2);
			html_ += "<li><div><img src='" + urlHtml + "'/></div>" +
				"<div class='goods-desc'>" +
				"<p>" + getSubStr(mers[mi].MerName, 14) + "</p>" +
				"<p>" + (isNull(mers[mi].MerDesc) ? "" : getSubStr(mers[mi].MerDesc, 19)) + "</p>" +
				"<p>" +
				"<span class='money'>¥" + price + "</span>" +
				"<span class='num'>" +
				"<button class='ui-ion-minus1'><span></span></button>" +
				"<strong class='ui-button-amount1'>0</strong>" +
				"<button class='ui-ion-plus1'><span class='mui-icon mui-icon-plusempty'></span></button>" +
				"</span></p></div></li>";
			html_ = $(html_);
			$(".all-goods").append(html_);
			var input = html_.find('.ui-button-amount1');
			input.data(mers[mi]);
			synchronValue(html_, userSelectMers, ".ui-button-amount1");
		}
	} else {
		$('.go_pay').click();
	}
	//注册数字加减按钮事件
	regInputBtnEven2();
}

/**
 * 校验订单中是否有电影票
 */
function checkProducts(data) {
	var tag = true;
	$.each(data.orderItemVos, function(i, item) {
		if(item.itemType == 'TICKET') {
			tag = false;
			return false;
		}
	});
	return tag;
}

/**
 * 初始化卖品信息(订单中仅含有卖品)
 */
function initChooseMersOnly(className) {
	var totalAmount = 0;
	$("." + className).empty();
	if(chooce_mers.length > 0) {
		var groupMers = [];
		$.each(chooce_mers, function(i, item) {
			var repeat = false;
			if(item.itemType == 'MER') {
				$.each(groupMers, function(i, mer) {
					if(mer.itemKey == item.itemKey) {
						repeat = true;
						mer.count += item.count;
						return false;
					}
				});
				if(!repeat) {
					item = getMerImgUrl(item);
					groupMers.push(item);
				}
			}
		});
		if(groupMers.length > 0) {
			$.each(groupMers, function(i, item) {
				var price = item.memberPrice - item.memberCinemaPrice;
				var html_ = "";
				var urlHtml = '';
				if(!isNull(item.merImgUrl)) {
					urlHtml = attachDir + item.merImgUrl;
				} else {
					urlHtml = "../../images/bg/image2.png";
					//urlHtml= '<img src="/image/default-goods-picture.jpg"/>';
				}
				html_ += "<li><div><img src='" + urlHtml + "'/></div>" +
					"<div class='goods-desc'>" +
					"<p>" + getSubStr(item.itemName, 14) + "</p>" +
					"<p>" + (isNull(item.merDesc) ? "" : getSubStr(item.merDesc, 19)) + "</p>" +
					"<p>" +
					"<span class='money'>¥" + parseFloat(item.memberPrice).toFixed(2) + "</span>" +
					"<span class='num'>" +
					"<strong class='ui-button-amount'>x " + item.count + "</strong>" +
					"</span></p></div></li>";
				html_ = $(html_);
				$("." + className).append(html_);
				var input = html_.find('.ui-button-amount');
				input.data(item);
			});
		}
	}
	return totalAmount;
}

//获取卖品图片
function getMerImgUrl(mer) {
	var all_mers = discountDto.mers;
	for(var mi = 0; mi < all_mers.length; mi++) {
		if(mer.itemKey == all_mers[mi].MerUid) {
			mer.merImgUrl = all_mers[mi].MerImgUrl;
			mer.merDesc = all_mers[mi].MerDesc;
			break;
		}
	}
	return mer;
}

/**
 * 初始化价格信息以及商品信息点击事件
 * @return
 */
function initPriceHtml() {
	if(discountDto.ordersVo.totalMemberPricePay <= 0) {
		$('#ui-confirm-pay').html('确认订单');
	} else {
		$('#ui-confirm-pay').html('确认，去支付');
	}

	if(discountDto.ordersVo.consumeType == 1) {
		$('.memberPrice').hide();
		$('#detailPriceShow').hide();
		$('.memberPayPrice').hide();

		$('.ui-need-pay').html('<span class="ui-fs14 ui-cout">还需支付:</span><span class="ui-fs18 ui-ff0000 memberPoint" style="">31<i style="color: #666;"><span style="color: #666;margin-left: 6px;font-size: 12px;">积分</span></i></span><a href="javascript:void(0);" class="ui-account-detail">明细</a>');
		$('.memberPoint').html(discountDto.ordersVo.point + "<i style=\"color: #666;\"><span style=\"color: #666;margin-left: 6px;font-size: 12px;\">积分</span></i>");
		$('.memberPoint').show();
	} else {
		var memberPrice = (discountDto.ordersVo.totalMemberPrice - discountDto.ordersVo.totalMemberCinemaPrice).toFixed(2);
		var groupPrice = discountDto.ordersVo.totalGroupPrice;
		var memberPayPrice = discountDto.ordersVo.totalMemberPricePay.toFixed(2);
		$('.memberPrice').html('¥' + memberPrice);
		$('#detailPriceShow').html('¥' + memberPrice);
		$('.memberPayPrice').html('¥' + memberPayPrice);
	}

	$('#used_coupon_num').html(discountDto.ordersVo.totalUsedTicketCount);
	$('.activityName').html(discountDto.memberActivityName ? discountDto.memberActivityName : '无');
//	if(!isNull(discountDto.ordersVo.mobilePhone)) {
//		$('#orderPhone').val(discountDto.ordersVo.mobilePhone);
//		$('#orderPhone').trigger('input');
//		$('#orderPhone').parent().find('i.ion-close-circled').show();
//	}
	var myInfo = $.parseJSON(plus.storage.getItem("myInfo"));
	if(!isNull(myInfo) && !isNull(myInfo.MobileNum)){
		$("#editBtn").hide();
		
		$('.accountsphone').css("right","15px");
		$('#orderPhone').val(myInfo.MobileNum);
		$('#orderPhone').trigger('input');
		$('#orderPhone').parent().find('i.ion-close-circled').show();
	}else{
		$("#editBtn").show();
		$('#orderPhone').val("");
		$('.accountsphone').css("right","40px");
	}
}
var t = null;
//订单支付倒计时方法
function timedCount() {
	clearTimeout(t);
	var showText = '';
	if(showSecond == -1 && showMinute == 0) {
		mui.alert("付款已超时，请重新选座!", function() {
			goBackIndex();
		});
		return false;
	} else {
		if(showSecond < 0) {
			showMinute -= 1;
			showSecond = 59;
		}
		if(showMinute < 10) {
			showText = '0' + showMinute;
		} else {
			showText = showMinute;
		}
		showText += '分';
		if(showSecond < 10) {
			showText += '0' + showSecond;
		} else {
			showText += showSecond;
		}
		showText += "秒";
		$('.time_out_cls').text(showText);
		$('.time_out').text(showText);
		t = setTimeout("timedCount()", 1000);
		showSecond -= 1;
	}
}

function dealPayTime(autoUnlockSecond) {
	showSecond = parseInt(autoUnlockSecond) - showMinute * 60 - 1;
	timedCount();
}

function loadtop() {
	$(".ui-goods-up-box .sp-box-big").hide();
	for(var i = 0; i < 3; i++) {
		$(".ui-goods-up-box").find(".sp-box-big").eq(i).show();
	}
}