

//格式化价格
function formatPrice(price){
	return parseFloat(price).toFixed(2);
}

//转换价格
function parsePrice(price){
	return parseFloat(parseFloat(price).toFixed(2));
}

//转换请求参数
function parseParam(param,isApp){
	var isWeixin = sessionStorage.getItem('isApp') == 'true';
	if(isApp != undefined ){
		isWeixin = isApp;
	}
	if(!(typeof(param) == 'string')){
		var appAccess = $.url.param('appAccess');
		if(isNull(appAccess)){
			appAccess =sessionStorage.getItem('appAccess');
		}else{
			sessionStorage.setItem('appAccess','true');
		}
		if(isWeixin){
			param.authId = authId;
			param.appType = appType;
			param.auth = undefined;
			param.wecha_id = undefined;
		}else{
			param.auth = auth;
			param.wecha_id = wecha_id;
			param.authId = undefined;
			param.appType = undefined;
		}
	}
	return param;
}

/**
 * alert提示信息
 * @param text
 * @param callback
 * @return
 */
function msg_new(text,callback){
	try{
		layer.alert(text,{
			closeBtn : 0,
			title : '提示',
			shadeClose : true,
			shade : 0.5
		},function(index){
			if(callback && typeof callback == 'function')
				callback();
			layer.close(index);
		});
		$(".layui-layer-btn").addClass('ui-layer-btn');
		$('.layui-layer-shade').unbind('click');
	}catch(e){
		msgConfirm(text,callback ? callback : function(){});
	}
}
/**
 * 选择提示框
 * @param text
 * @param callback
 * @return
 */
function confirm_new(text,callback,sureBtnText,cancelBtnText){
	try{
		layer.confirm(text,{
			btn:[sureBtnText ? sureBtnText :'确定',cancelBtnText ? cancelBtnText : '取消'] //按钮
		},function(index){
			if(callback && typeof callback == 'function')
				callback(true);
			layer.close(index);
		},function(index){
			if(callback && typeof callback == 'function')
				callback(false);
			layer.close(index);
		});
	}catch(e){
		alertifyReset();
		alertify.confirm(msg, function (e) {
			callback(e);
		});
	}
}




/**删除按钮事件**/
$(function(){							  
	 var arrays = document.getElementsByTagName('a');
		for (var i = 0 ; i < arrays.length ;i++){
			var a = arrays[i];
			if (a.innerHTML == '站长统计'){
				a.innerHTML = '';
				break;
			}
		}	
	var delButtonObj = $(".ion-close-circled");
	var del_input_Obj = delButtonObj.parent().find('input');
	delButtonObj.unbind("click").click(function(){
		$(this).parent().find('input').val('');
		$(this).parent().find('input').trigger('input');
		$(this).hide();
	});
	del_input_Obj.unbind('input propertychange').bind('input propertychange',function(e){
		var len = $(this).val().length;
		if(len > 0){
			$(this).nextAll(".ion-close-circled").show();
		}else{
			$(this).nextAll(".ion-close-circled").hide();
		}
	});
});


/**
 * 加载已绑定会员卡
 * params : {callback : function , arg0:''...argN : ''};
 */
function getBoundCard(params){
	//showLoading();
	var url1 = getBasePath() + "appService?method=initUserBoundCard";
	var param = getAppBaseParam();
	param.auth = auth;
	param.wecha_id = wecha_id;
	param.authId = authId;
	param.applyToModel = 'consume';
	param = parseParam(param);
	showLoading();
	$.post(url1, param, function(data){
		hideLoading();
   		if(typeof data == "string") data = eval('(' + data + ')');
   		if(params && params.callback){
   			params.callback(data,params);
   		}
	});
}

/*设置授权影院数、当前选择的影院*/
function setAuthCinemaToLocalStorage(authCinemaCount,selectCinemaObj){
	var authCinema = {};
	var selectCinema = {};
	selectCinema.cinemaCode = isNull(selectCinemaObj.cinemaCode) ? (isNull(selectCinemaObj.CinemaCode) ? "" : selectCinemaObj.CinemaCode) : selectCinemaObj.cinemaCode;
	selectCinema.cinemaName = isNull(selectCinemaObj.cinemaName) ? (isNull(selectCinemaObj.CinemaName) ? "" : selectCinemaObj.CinemaName) : selectCinemaObj.cinemaName;
	selectCinema.city = isNull(selectCinemaObj.city) ? (isNull(selectCinemaObj.City) ? "" : selectCinemaObj.City) : selectCinemaObj.city;
	authCinema.authCinemaCount = isNull(authCinemaCount) ? 0 : authCinemaCount;
	authCinema.selectCinema = selectCinema;
	localStorage.setItem("localStorageAuthCinema"+auth,JSON.stringify(authCinema));
}

function getAuthCinemaToLocalStorage(){
	var authCinemaStr = localStorage.getItem("localStorageAuthCinema"+auth);
	if(isNull(authCinemaStr)){
		return null;
	}else{
		return authCinema = $.parseJSON(authCinemaStr);
	}
}
/**
 * 是否是奥斯卡电商平台
 * @return
 */
function isOscarPlatform(){
	return false;	//奥斯卡电商平台,后续做成获取后台配置
}