mui.init();
mui.plusReady(function() {
	loadData();
});
var defaultCard = 0;
var cardNo = "",userId = "",cardId = "";
$(function(){
	mui(".mui-content").on("tap","input[name='radio1']",function(){
		var val = $(this).attr("data");
		cardNo = $(this).closest(".memberCard").attr('cardNo');
		userId = $(this).closest(".memberCard").attr("userId");
		if(val == 0){
			mui.confirm('确定将'+ cardNo +'设置为默认会员卡吗？','提示',['确定','取消'],function(e) {
				if (e.index == 0) {
					setDefaultCard(cardNo);
				}
			});
		}
	});
	mui(".mui-content").on("tap",".delBind",function(){
		cardId = $(this).data("id");
		mui.confirm('确定要解绑该会员卡？','提示',['确定','取消'],function(e) {
			if (e.index == 0) {
				delBind();
			}
		});
	});
	mui(".mui-content").on("tap",".forgetPwd",function(){
		openPage("forgetPassword","forgetPassword.html");
	});
	$(".cardInfo[name='password']").keyup(function(){
		this.value = this.value.replace(/[^\d]/g, '');
	})
//	绑定会员卡
	mui('.mui-content').on('tap', '#bindCard', function(e) {
		if(!$(".cardInfo[name='account']").val()){
			mui.toast('手机号/会员卡号不能为空');
			return
		}
		if(!$(".cardInfo[name='password']").val()){
			mui.toast('密码不能为空');
			return
		}else if($(".cardInfo[name='password']").val().length < 6){
			mui.toast('请输入6位数字密码');
	  		return
		}
	  	bindCard();
	});
	
	mui('.mui-content').on('tap', '.forgetPwd', function(e) {
		openPage('forgetPassword','forgetPassword.html',{});
	});
	
	mui('.mui-input-group').on('change', '#setDefault', function() {
		var value = this.checked?"true":"false";
		value == 'true' ? defaultCard = 1 : defaultCard = 0;
		console.log(defaultCard)
	});
});

//  加载会员卡
function loadData() {
		//请求服务端跨域
		var cinemaCode = '62549174';
		var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
		if(!isUsedTestData()) {
			cinemaCode = plus.storage.getItem("currentCinemaCode");
			wecha_id = getWechaId();
		}
		if(isNull(cinemaCode)){
			return;
		}
//	       会员卡色值
		var cardColor = [
		['#C2C2C2','#D9D8D8'],
		['#ABC9DD','#D3E1EC'],
		['#E6B45D','#F0C279'],
		['#262626','#504E4E'],
		];
		$.ajax({
			url: web_root+'/appService?method=loadMemberData',
			type: 'post',
			dataType: 'json',
			data: {
				"auth": auth_code,
				"wecha_id": wecha_id,
				"app": "true"
			},
			beforeSend: function() {
				if(!isUsedTestData()) {
					plus.nativeUI.showWaiting("");
				}
			},
			complete: function() {
				if(!isUsedTestData()) {
					plus.nativeUI.closeWaiting();
				}
			},
			timeout: 20000,
			success: function(data) {
				console.log(JSON.stringify(data));
				var cardData = data.userBoundCardDtoList;
				console.log(JSON.stringify(cardData))
				var _isbound = '',_html = '',_index = 0;
				if(cardData.length === 0){
					var mine = plus.webview.getWebviewById("pages/mine.html");
					if(mine){
						mui.fire(mine,"reloadInfo");
					}
					setTimeout(function(){
						var mywallet = plus.webview.getWebviewById("mywallet");
						if(mywallet){
							mywallet.close();
						}
						plus.webview.currentWebview().close();
					},10);
					//$("#cardBox").html('<center>没有数据</center>');
					return;
				}
				for(var i=0;i<cardData.length;i++){
					switch(cardData[i].memberLevelName){
						case '普通卡':
							_index = 0
							break;
						case '银卡':
							_index = 1
							break;
						case '金卡':
							_index = 2
							break;
						default:
							_index = 3;
					}
//						是否绑定，0为绑定，1为已经解除
					if(cardData[i].isBoundWxTicket === 0){
						_isbound = '<a href="javascript:" class="mui-card-link delBind" data-id="'+ cardData[i].Id +'">解除绑定</a>'
					}
//						是否默认,0不是默认,1是默认
					var radioCheck = '';
					if(cardData[i].defaultCard == 1){
						radioCheck = '<input checked="checked" style="right:0;" name="radio1" data="1" type="radio">'
					}else{
						radioCheck = '<input style="right:0;" name="radio1" data="0" type="radio">'
					}
					_html += '<div class="mui-card memberCard" cardNo="'+ cardData[i].CardNo +'" userId="'+ cardData[i].UserId +'">'+
								'<div class="mui-card-content" style="background:-webkit-linear-gradient(left,'+ cardColor[_index][0] +','+ cardColor[_index][1] +');">'+
									'<div class="card-shadow"></div>'+
									'<h1>'+ cardData[i].memberLevelName +'</h1>'+
									'<h4>'+ cardData[i].CardNo +'</h4>'+
								'</div>'+
								'<div class="mui-card-footer">'+
								'<div>'+
									_isbound+
								'</div>'+
									'<div class="mui-input-row mui-radio">'+
										'<label for="radio1" style="padding-right:35px;">默认卡</label>'+
										radioCheck+
									'</div>'+
								'</div>'+
							'</div>';
				}
				$("#cardBox").html(_html);
			},
			error: function(xhr, type, errorThrown) {
				console.log(xhr);
				console.log(type);
				console.log(errorThrown);
				if(!isUsedTestData()) {
					mui.alert('服务器连接超时，请稍后再试');
				}
			}
		});
	}

//  选择默认卡
function setDefaultCard(num) {
		//请求服务端跨域
		var cinemaCode = '62549174';
		var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
		var cardNo = 9001;
		if(!isUsedTestData()) {
			cinemaCode = plus.storage.getItem("currentCinemaCode");
			wecha_id = getWechaId();
//			cardNo = plus.storage.getItem("cardNo");
		}
		if(isNull(cinemaCode)){
			return;
		}
		
		$.ajax({
			url: web_root+'/appService?method=setDefaultCard',
			type: 'post',
			dataType: 'json',
			data: {
				"auth": auth_code,
				"wecha_id": wecha_id,
				"id": userId,
				"cardNo": num,
				"app": "true"
			},
			beforeSend: function() {
				if(!isUsedTestData()) {
					plus.nativeUI.showWaiting("正在加载，请稍候...");
				}
			},
			complete: function() {
				if(!isUsedTestData()) {
					plus.nativeUI.closeWaiting();
				}
			},
			timeout: 60000,
			success: function(data) {
				loadData();
				console.log(JSON.stringify(data));
			},
			error: function(xhr, type, errorThrown) {
				console.log(xhr);
				console.log(type);
				console.log(errorThrown);
				if(!isUsedTestData()) {
					mui.alert('服务器连接超时，请稍后再试');
				}
			}
		});
	}

//  解除绑定
function delBind() {
	//请求服务端跨域
	var cinemaCode = '62549174';
	var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
	if(!isUsedTestData()) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
	}
	if(isNull(cinemaCode)){
		return;
	}
	$.ajax({
		url: web_root+'/appService?method=deleteUserBoundCard',
		type: 'post',
		dataType: 'json',
		data: {
			"auth": auth_code,
			"wecha_id": wecha_id,
			"id": cardId,
			"app": "true"
		},
		beforeSend: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.showWaiting("正在解除绑定，请稍候...");
			}
		},
		complete: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.closeWaiting();
			}
		},
		timeout: 60000,
		success: function(data) {
			console.log(JSON.stringify(data));
			loadData();
		},
		error: function(xhr, type, errorThrown) {
			console.log(xhr);
			console.log(type);
			console.log(errorThrown);
			if(!isUsedTestData()) {
				mui.alert('服务器连接超时，请稍候再试');
			}
		}
	});
}

//	     添加绑定
function bindCard() {
	//请求服务端跨域
	var cinemaCode = '62549174';
	var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
	if(!isUsedTestData()) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
	}
	if(isNull(cinemaCode)){
		return;
	}
	$.ajax({
		url: web_root+'/appService?method=userBoundCard',
		type: 'post',
		dataType: 'json',
		data: {
			"auth": auth_code,
			"wecha_id": wecha_id,
			"BoundCinemaCode": cinemaCode,
			"defaultCard":defaultCard,
			"Phone": $(".cardInfo[name='account']").val(),
			"Pssword":hex_md5($(".cardInfo[name='password']").val()),
			"app": "true"
		},
		beforeSend: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.showWaiting("正在绑定，请稍候...");
			}
		},
		complete: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.closeWaiting();
			}
		},
		timeout: 60000,
		success: function(data) {
			console.log(JSON.stringify(data));
			$(".cardInfo[name='account']").val('');
			$(".cardInfo[name='password']").val('');
			$("#setDefault").attr("checked",false);
			defaultCard = 0;
			mui.toast(data.msg);
			loadData();
		},
		error: function(xhr, type, errorThrown) {
			console.log(xhr);
			console.log(type);
			mui.toast(type);
			console.log(errorThrown);
			if(!isUsedTestData()) {
				mui.alert('服务器连接超时，请稍候再试');
			}
		}
	});
}