
$(function(){
	var phoneReg = /(^1[3|4|5|7|8]\d{9}$)|(^09\d{8}$)/;
	var pwdReg = /^\d{6}$/;
	mui.init();
//	获取验证码
	mui(".mui-content").on("tap","#getYzm",function(){
		var phone = $(".resetPwd[name='phone']").val();
		if(!phone){
			mui.toast('手机号不能为空');
			return
		}else if(!phoneReg.test(phone)){
			mui.toast('请输入正确手机号');
			return
		}
		verifyUser();
	});
//	完成
	mui(".mui-content").on("tap","#submitNewPwd",function(){
		if(!$(".resetPwd[name='phone']").val()){
			mui.toast('手机号不能为空');
			return
		}
		if(!$(".resetPwd[name='yzm']").val()){
			mui.toast('验证码不能为空');
			return
		}
		if(!$(".resetPwd[name='newPwd']").val()){
			mui.toast('新密码不能为空');
			return
		}else if(pwdReg.test($(".resetPwd[name='newPwd']").val()) == false){
			mui.toast('请输入6位数字密码');
			return
		}
		if(!$(".resetPwd[name='renewPwd']").val()){
			mui.toast('请再次输入新密码');
			return
		}
		if($(".resetPwd[name='newPwd']").val() !== $(".resetPwd[name='renewPwd']").val()){
			mui.toast('两次输入的密码不一致');
			return
		}
		submitRequest();
	});
	mui(".mui-content").on("tap","#goBack",function(){
		mui.back();
	});
})
var countdown = 60;
function setTime(){
	if (countdown == 0) {
		$("#getYzm").text('重新发送');
        countdown = 60;
		$("#getYzm").attr("disabled",false);
    } else {
		$("#getYzm").text(countdown+'秒后重新发送');
		$("#getYzm").attr("disabled",true);
        countdown--;  
        setTimeout(function() {  
            setTime()
        },1000)  
    }
}
//	获取会员
function verifyUser() {
	var cinemaCode = '62549174';
	var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
	var cardNo = $(".resetPwd[name='phone']").val();
	if(!isUsedTestData()) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
	}
	if(isNull(cinemaCode)){
		return
	}
	$.ajax({
		url: web_root+'/appService?method=loadMemberInfo',
		type: 'post',
		dataType: 'json',
		data: {
			"auth":auth_code,
			"wecha_id":wecha_id,
			"cinemaCode":cinemaCode,
			"cardNo":cardNo,
			"app": "true"
		},
		beforeSend: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.showWaiting("正在加载，请稍候...");
			}
		},
		complete: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.closeWaiting();
			}
		},
		timeout: 20000,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.state == '1'){
				mui.toast(data.msg);
				if(data.msgCode == '0'){
					getYzm();
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(xhr);
			console.log(type);
			mui.toast(type);
			console.log(errorThrown);
			if(!isUsedTestData()) {
				mui.alert('服务器连接超时，请稍候再试');
			}
		}
	});
}
//	获取验证码
function getYzm() {
	console.log("进入--->"+web_root);
	var cinemaCode = '62549174';
	var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
	if(!isUsedTestData()) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
	}
	$.ajax({
		url: web_root+'/appService?method=sendCaptchaToCustomerPhone&sendMsgType=resetMemberPassword',
		type: 'post',
		dataType: 'json',
		data: {
			"auth":auth_code,
			"wecha_id":wecha_id,
			"cinemaCode":cinemaCode,
			"phone": $(".resetPwd[name='phone']").val(),
			"app": "true"
		},
		beforeSend: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.showWaiting("");
			}else{
				$("body").append(loading);
			}
		},
		complete: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.closeWaiting();
			}else{
				$(".loading").remove();
			}
		},
		timeout: 20000,
		success: function(data) {
			console.log(JSON.stringify(data));
			data.state == '0' ? mui.toast(data.msg) : '';
			data.state == '1' ? setTime() : '';
		},
		error: function(xhr, type, errorThrown) {
			console.log(xhr);
			console.log(type);
			mui.toast(type);
			console.log(errorThrown);
			if(!isUsedTestData()) {
				mui.alert('服务器连接超时，请稍后再试');
			}
		}
	});
}
//	提交
function submitRequest() {
	//请求服务端跨域
	var cinemaCode = '62549174';
	var wecha_id = 'ocYReuN5UYfesOwi2AJock0R8sBA';
	if(!isUsedTestData()) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
	}
	if(isNull(cinemaCode)){
		return;
	}
	$.ajax({
		url: web_root+'/appService?method=resetMemberPassword',
		type: 'post',
		dataType: 'json',
		data: {
			"auth": auth_code,
			"wecha_id": wecha_id,
			"cinemaCode": cinemaCode,
			"phoneInput": $(".resetPwd[name='phone']").val(),
			"captchaInput": hex_md5($(".resetPwd[name='yzm']").val()),
			"newPassword": hex_md5($(".resetPwd[name='newPwd']").val()),
			"appType": "APP_ANDROID",
			"app": "true"
		},
		beforeSend: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.showWaiting("");
			}
			$("body").append(loading);
		},
		complete: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.closeWaiting();
			}
			$(".loading").remove();
		},
		timeout: 20000,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.msgCode == "0"){
				mui.alert("重置密码成功，请重新登录", function () {
					mui.back();
				});
			}else{
				var errMsg = data.msg;
				if(errMsg.indexOf("错误码：1004") > 0){
					errMsg = "会员不存在";
				}
			 	mui.toast(errMsg);
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(xhr);
			console.log(type);
			mui.toast(type);
			console.log(errorThrown);
			if(!isUsedTestData()) {
				mui.alert('服务器连接超时，请稍后再试');
			}
		}
	});
}