
	var preordainCounts = [],ticketSaleIds = [];
	var phoneReg=/^[1][3,4,5,7,8][0-9]{9}$/;
	mui.init({
		swipeBack:true //启用右滑关闭功能
	});
	var alipayPaying = false;
	var ticketList = JSON.parse(sessionStorage.getItem('buyTicketData'));
	if(!ticketList){
		mui.toast('获取票券信息异常！');
	}
	var totalPrice = Number(sessionStorage.getItem('totalPrice'));
	$("#totalPrice").text(totalPrice.toFixed(2));
	
	var _html = '';
//			colors[0]:兑换；colors[1]:代金券；colors[2]:优惠；
	var colors = [
		['#45BE56','#51E067'],
		['#FE9B08','#FDD521'],
		['#3AA8FC','#51C7FF'],
		];
	console.log(ticketList);
	for(var i=0;i<ticketList.length;i++){
		var ticketData = ticketList[i];
		var _img = '',_index = Number(ticketData.ticketTypeName);
//		每种票券数量
		preordainCounts.push(ticketData.inputBuyNum);
//		每种票券Id
		ticketSaleIds.push(ticketData.ticketSaleId);
		
		//0、兑换券；1、代金券；2、优惠券
		switch(ticketData.ticketTypeName){
			case 0:
				_img = '<img class="imgcss" src="../../img/mine_ticket_dui.png"/>';
				break;
			case 1:
				_img = '<img class="imgcss" src="../../img/mine_ticket_dai.png"/>';
				break;
			case 2:
				_img = '<img class="imgcss" src="../../img/mine_ticket_you.png"/>';
				break;
		}
		_html += '<div class="ticketItem">'+
			'<div class="ticketItem-img">'+
				_img+
			'</div>'+
			'<div class="ticketItem-info">'+
				'<div class="headertext">'+ ticketData.ticketName +'</div>'+
				'<div class="buyControl flexBetween">'+
					'<div class="publictext2">￥ <span class="ticketPrice">'+ ticketData.ticketPrice +'</span></div>'+
					'<div class="controlBtnBox">'+
						'<span class="buy_num">x '+ ticketData.inputBuyNum +'</span>'+
					'</div>'+
				'</div>'+
				'<div class="color" style="background:-webkit-linear-gradient(left,'+ colors[_index][0] +','+ colors[_index][1] +');"></div>'+
			'</div>'+
		'</div>';
		}
		$(".buyTickelist").html(_html);
		
		mui(".mui-content").on("tap",".payment",function(){
			$(".payment").removeClass("select_pay");
			$(this).addClass("select_pay");
			$(this).find("span").css("display","none");
			$(this).siblings().find("span").css("display","block");
		});
		mui(".mui-content").on("tap","#editPhone",function(){
			$("#phoneNum").attr("readonly",false);
			$("#phoneNum").focus();
		});
//		$("#phoneNum").val('13631366666');
//		确认支付
		mui(".mui-content").on("tap","#confirmPay",function(){
			if(!$.trim($("#phoneNum").val())){
				mui.toast('手机号不能为空');
				return
			}
			if(!phoneReg.test($("#phoneNum").val())){
				mui.toast('请输入正确手机号');
				return
			}
			//请求发送票券信息
			createOrderTicketSale(preordainCounts,ticketSaleIds);
		});
		
	mui.plusReady(function(){
		$(document).keydown(function(event){
		    if(event.keyCode ==13){
					if(!$.trim($("#phoneNum").val()) && !phoneReg.test($("#phoneNum").val())){
						mui.toast('请输入正确手机号');
						return false;
					}
					//请求发送票券信息
					createOrderTicketSale(preordainCounts,ticketSaleIds);
					return false;
			  	}
			});
		getPayType();
	});
		
	
//	加载票券数据和支付方式
function getPayType() {
	//请求服务端跨域
	var cinemaCode = '62549174';
	var wecha_id = 'oBte8uKoKfrNOFWULkhmoO3deEjQ';
	if(!isUsedTestData()) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
	}
	if(isNull(cinemaCode)){
		return;
	}
	var param = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"app": "true"
	}
	$.ajax({
		url: web_root+'/appService?method=getAuthCinemInfoList',
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.showWaiting("");
			}else{
				$("body").append(loading);
			}
		},
		complete: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.closeWaiting();
			}else{
				$(".loading").remove();
			}
		},
		timeout: 60000,
		success: function(data) {
//			console.log(JSON.stringify(data));
			var payTypeList;
			if(data){
//				获取当前影院支付方式列表
				for(var i=0;i<data.length;i++){
					if(data[i].CinemaCode === cinemaCode){
						payTypeList = data[i].payTypeList;
					}	
				}
//				判断有哪些支付方式
				var paySelected = false; //判断是否已有选中的支付方式
				if(payTypeList){
					for(var i=0;i<payTypeList.length;i++){
						var obj = payTypeList[i];
//								根据PayType类型并且applyToRecharge = 1才显示
						if(obj.PayType == "ALIPAY"){
//							if(obj.applyToRecharge == 1 ){
								$(".payment[data-type='ALIPAY']").show();
								paySelected = true;
								$(".payment[data-type='ALIPAY']").addClass("select_pay");
								$(".select_pay").find("span").css("display","none");
//							}
						}
						if(obj.PayType == "WEIXIN"){
//							if(obj.applyToRecharge == 1 && isweixin()){
								$(".payment[data-type='WEIXIN']").show();
								paySelected === false ? $(".payment[data-type='WEIXIN']").addClass("select_pay") : '';
								$(".select_pay").find("span").css("display","none");
//							}
						}
					}
					
				}else{
					mui.toast("由于影院还没配置支付方式，该功能无法使用，请谅解。");
				}
				
			}else{
				mui.confirm('请先绑定会员卡','提示',['确定','取消'],function(e) {
					if (e.index == 0) {
//						window.location.href="bindCard.html"
						openPage("bindCard","bindCard.html",{});
					}
				});
			}
			
		},
		error: function(xhr, type, errorThrown) {
			console.log(xhr);
			console.log(type);
			mui.toast(type);
			console.log(errorThrown);
			if(!isUsedTestData()) {
				mui.alert('服务器连接超时，请稍后再试');
			}
		}
	});
}

	
//	请求发送票券信息
	function createOrderTicketSale(counts,ids) {
		//请求服务端跨域
		var cinemaCode = '62549174';
		var wecha_id = 'oBte8uKoKfrNOFWULkhmoO3deEjQ';
		var phone = $.trim($("#phoneNum").val());
		var OrderPayType = $(".payment.select_pay").data('type');
//		OrderPayType = 'WEIXIN';
		if(!isUsedTestData()) {
			cinemaCode = plus.storage.getItem("currentCinemaCode");
			wecha_id = getWechaId();
		}
		if(isNull(cinemaCode)){
			return
		}
	
		var param = {
			"auth": auth_code,
			"wecha_id": wecha_id,
			"cinemaCode": cinemaCode,
			"phone": phone,
			"preordainCounts": counts.join(","), 
			"ticketSaleIds": ids.join(","),
			"OrderPayType": OrderPayType,
			"appAccess": "true",
			"oscarApp":"true",
			"currentIp":returnCitySN["cip"]
		}
		console.log("传参："+JSON.stringify(param));
		$.ajax({
			url: web_root+'/appService?method=createOrderTicketSale',
			type: 'post',
			dataType: 'json',
			data: param,
			beforeSend: function() {
				if(!isUsedTestData()) {
					plus.nativeUI.showWaiting("正在加载");
				}
			},
			complete: function() {
				if(!isUsedTestData()) {
					plus.nativeUI.closeWaiting();
				}
			},
			timeout: 60000,
			success: function(data) {
				console.info("order:" + JSON.stringify(data));
				if(data.state === 1){
					//支付宝支付
					if(OrderPayType === 'ALIPAY'){
						plus.storage.setItem("showPrint","false");
						var channel = null;
						console.log("data--->"+JSON.stringify(data));
						if(alipayPaying){
							return;
						}
						console.log(data.payDto.sHtmlText)
						plus.payment.getChannels(function(channels){
					        channel = channels[0];
					        alipayPaying = true;
						    plus.payment.request(channel,data.payDto.sHtmlText,
						    	function(result){
						    		alipayPaying = false;
						    		param.orderNumber = data.OrderNumber;
							    	console.log("支付宝支付返回结果--》"+JSON.stringify(result));
					                queryAlipayResult(param);
					            },
					            function(error){
					            	alipayPaying = false;
					            	console.log("支付宝支付返回结果--》"+JSON.stringify(error));
					                if(error.code == -100 || error.code == '-100'){
					                	//用户取消，不做操作
					                	mui.alert("取消操作");
					                }else{
					                	mui.alert("支付失败：" + error.code+"。若扣款成功,请联系影院客服人工退款。");
					                	//查询并退款
										dealAlipayFail(data.OrderNumber,data.AmountDiscount);
					                }
				            	}
					        );
					    },function(e){
					    	alipayPaying = false;
					        mui.alert("获取支付通道失败："+e.message);
					    });
					}else if(OrderPayType === "WEIXIN"){
						var payDto = data.payDto;
//						微信支付
		        		var channel = null;

						plus.payment.getChannels(function(channels) {
							for(var i in channels) {
								if(channels[i].id == 'wxpay') {
									channel = channels[i];
			
									var wxappid = payDto.appid; //appid
									var prepayid = payDto.prepayid; //商户订单号
									var timestamp = payDto.timestamp; //当前时间戳
									var wxpartnerid = payDto.partnerid; //商户号
									var partnerKey = payDto.secretkey;
									var noncestr = payDto.noncestr;
									var signStr = "appid=" + wxappid + "&noncestr=" + noncestr + "&package=" + "Sign=WXPay" + "&partnerid=" + wxpartnerid + "&prepayid=" + prepayid + "&timestamp=" + timestamp + "&key=" + partnerKey;
			
									console.log("signStr:" + signStr);
			
									var sign = $.md5(signStr).toUpperCase(); //生成签名
									var order = '{"appid":"' + wxappid + '","noncestr":"' + noncestr + '","package":"Sign=WXPay","partnerid":"' + wxpartnerid + '","prepayid":"' + prepayid + '","timestamp":' + timestamp + ',"sign":"' + sign + '"}';
			
									console.log("varpay:" + JSON.stringify(order));
									plus.payment.request(channel, order, function(result) {
										plus.nativeUI.alert("恭喜您,支付成功,订单处理结果请留意订单详情,若购买失败,24小时内将自动为您退款", function() {
											openPage("orderRecord", "/pages/mine/orderRecord.html", {type:"purchaseVoucher"});
										});
									}, function(e) {
										if( e.message.indexOf("-2") > -1 || e.message.indexOf('User canceled') > -1){
											//用户取消  不做处理
										}else{
											plus.nativeUI.alert("支付失败：" + JSON.stringify(e));
										}
									});
								}
							}
						}, function(e) {
							alert("获取支付通道失败：" + e.message);
							return;
						});
					}
				}else{
					mui.toast(data.msg);
				}
			
			},
			error: function(xhr, type, errorThrown) {
				console.log(xhr);
				console.log(type);
				mui.toast(type);
				console.log(errorThrown);
				if(!isUsedTestData()) {
					mui.alert('服务器连接超时，请稍后再试');
				}
			}
		});
	}
	
//主动向支付宝发起查询支付结果，查询后后台进行处理
function queryAlipayResult(param){
   	$.ajax({
        url : web_root + "/appService?method=handleAlipayAppTicketSaleTrade",
        type : 'post',
        dataType:'json',
        data:param, 
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
        timeout : 10000,
        success : function(data){
        	console.log("向支付宝发起查询支付结果:"+JSON.stringify(data));
        	if(data.code == 'success'){
//      		alert(JSON.stringify(param));
        		//支付成功
        		plus.storage.setItem("showPrint","true");
//      		window.location.href="paySuccess.html?orderNum="+param.orderNumber+"&phoneNum="+param.phone;
				
          		openPage('paySuccess','./paySuccess.html',{'orderNum': param.orderNumber,'phoneNum':param.phone});
    		}else{
    			//支付宝支付失败
    			if(data.code == 'fail' || data.code == 'update_pay_error'){
    				//支付宝支付成功，但是购买票券失败
	                mui.alert("支付成功，但购买票券失败,请联系影院客服人工退款。", '', function() {
						//openPage("orderRecord", "../mine/orderRecord.html", {});
					});
	    		}else{
	    			mui.alert(data.msg);
	    		}
	    	}
        },
        error : function(xhr,type,errorThrown){
            console.log(JSON.stringify(xhr));
            console.log(type);
        		alert(type);
            console.log(errorThrown);
        }
    });
}

//支付宝支付失败，主动向支付宝发起查询支付结果，查询若支付成功，则进行退款
function dealAlipayFail(orderNumber,payAmount) {
	var param = getAppBaseParam();
	param.orderNumber = orderNumber; 
	param.payAmount = payAmount;
	param.orderType = '2';
	$.ajax({
		url: web_root + "/appService?method=alipayAppTradeRefund",
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {

		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			console.log(errorThrown);
		}
	});
}

//查询微信订单信息
function queryWXOrder(orderNum){
	console.log(orderNum);
	console.log("IP>>:"+returnCitySN["cip"]);
	
	var cinemaCode = '62549174';
	var wecha_id = 'oBte8uKoKfrNOFWULkhmoO3deEjQ';
	
	if(!isUsedTestData()) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
	}
	if(isNull(cinemaCode)){
		return
	}
	
	var param = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"cinemaCode": cinemaCode,
		"orderNumber": orderNum,
		"currentIp":returnCitySN["cip"]
	}
	$.ajax({
        url : web_root + "/appService?method=queryWXOrder",
        type : 'post',
        dataType:'json',
        data:param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("正在加载,请稍后");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
        timeout : 10000,
        success : function(data){
        	console.log(data);
        	if(data.resultCode === "SUCCESS"){
        		// window.location.href="paySuccess.html?orderNum="+orderNum;
        		openPage('paySuccess','./paySuccess.html',{'orderNum': orderNum})
        	}else{
        		mui.alert(data.msg);
        	}
        },
        error : function(xhr,type,errorThrown){
            console.log(JSON.stringify(xhr));
            console.log(type);
            alert(type);
            console.log(errorThrown);
        }
    });

}


//微信支付
function wxPayment(phone,orderNum){
	console.log("ip:" + returnCitySN["cip"]+','+returnCitySN["cname"]);
//	alert("auth_code:"+auth_code+",wecha_id:"+plus.device.uuid+",orderNumber:"+orderNum+",orderPayType:WEIXIN,"+"phone:"+phone+",currentIp:"+returnCitySN["cip"]);
	$.ajax({
        url : web_root + "/appService?method=appWeiXinPayment",
        type : 'post',
        dataType:'json',
        data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"orderNumber":orderNum,
			"orderPayType":"WEIXIN",
			"phone":phone,
			"currentIp":returnCitySN["cip"]
		},
		beforeSend: function() {
			plus.nativeUI.showWaiting("正在加载,请稍候");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
        timeout : 10000,
        success : function(data){
        	if(!data && !data.mweb_url){
        		console.log("url:" + data.mweb_url);
        		var url = "http://dev.movie365.cn/m365/weixin/vn/appPayment?auth=" + 
        				auth_code + "&wecha_id=" + getWechaId() + "&param_url=" + data.mweb_url + "&appAccess=true";
//      		openPage('wxpayment',url,{});
        		plus.runtime.openURL(url);
        	}
        },
        error : function(xhr,type,errorThrown){
            console.log(JSON.stringify(xhr));
            console.log(type);
            alert('微信支付出错');
            console.log(errorThrown);
        }
    });

}