mui.init({
	swipeBack: true //启用右滑关闭功能
});
//			初始化顯示全部
var controls = document.getElementById("segmentedControls");
var contents = document.getElementById("segmentedControlContents");
controls.querySelector('.mui-control-item').classList.add('mui-active');
contents.querySelector('.mui-control-content').classList.add('mui-active');
var carInfo = {};
carInfo.proInfo = [];

var selectMersData = [];
var merDatas;
var MaxSingleGoodsSelect = 5; //卖品-单品购买上限
var MaxGoodsSelect = 20; //卖品-购买总数上限
var attachDir = "";

//			加载卖品数据	
//loadMers();
mui.plusReady(function() {
	var params = plus.webview.currentWebview();
	selectMersData = params.selectMersData;
	loadMers();

	//	sessionStorage.removeItem('carInfo');
	//	if(sessionStorage.getItem('carInfo')){
	//		carInfo = JSON.parse(sessionStorage.getItem('carInfo'));
	//		$("#carNum").text(carInfo.carNum);
	//		$("#totalPrice").text(carInfo.totalPrice);
	//	}
	//	加减操作
	mui(".mui-content").on("tap", "#reduceNum", function(e) {
		e.stopPropagation();
		var $num = $(this).siblings("span");
		var singlePrice = Number($(this).closest(".goods-desc").find(".moneyTxt").text());
		if($num.text() > 0) {
			$num.text(Number($num.text()) - 1);
			$("#carNum").text(Number($("#carNum").text()) - 1);
			$("#totalPrice").text((Number($("#totalPrice").text()) - singlePrice).toFixed(2));
			var $li = $(this).parent().parent().parent();
			reduceCartMers($li.data());
		}
	});
	mui(".mui-content").on("tap", "#addNum", function(e) {
		e.stopPropagation();
		var $num = $(this).siblings("span");
		var singlePrice = Number($(this).closest(".goods-desc").find(".moneyTxt").text());
		var $li = $(this).parent().parent().parent();
		var mId = $li.data().Id;
		console.log(getTotalMersCount());
		if(getTotalMersCount() >= MaxGoodsSelect || getMerSelectCount(mId) >= MaxSingleGoodsSelect) {
			return;
		}
		$num.text(Number($num.text()) + 1);
		$("#carNum").text(Number($("#carNum").text()) + 1);
		$("#totalPrice").text((Number($("#totalPrice").text()) + singlePrice).toFixed(2));

		addCartMers($li.data(), attachDir);
	});

	$("#goShoppingCar").click(function() {
		if(selectMersData.length < 1) {
			return;
		}
		openPage('shop-cart', 'shop-cart.html', {
			"selectMersData": selectMersData
		});
	});

	//	跳转到详情页
	mui(".mui-content").on("tap", ".productItem", function() {
		var _id = $(this).data("id");
		var _num = $(this).find(".controlNum").text();
		carInfo.totalPrice = $("#totalPrice").text();
		carInfo.carNum = $("#carNum").text();
		var i = 0;
		var infoId = [];
		$(".productItem").each(function() {
			var obj = {};
			if(infoId.indexOf($(this).data("id")) < 0) {
				infoId.push($(this).data("id"));
				obj.proId = $(this).data("id");
				obj.proNum = $(this).find(".controlNum").text();
				carInfo.proInfo[i] = obj;
			}
			i++;
		});
		openPage("shop-detail", "shop-detail.html", {
			"mer": $(this).data(),
			"attachDir": attachDir,
			"selectMersData": selectMersData,
			"MaxGoodsSelect": MaxGoodsSelect,
			"MaxSingleGoodsSelect": MaxSingleGoodsSelect
		});
	})

	//添加newId自定义事件监听
	window.addEventListener('resetData', function(event) {
		//获得事件参数
		selectMersData = event.detail.selectMersData;
		$("#content1" + ' .mui-table-view').empty().append('<li class="mui-table-view-cell"><div class="icon_div"></div>全部<span class="icon_Number1"></span></li>');
		$("#content2" + ' .mui-table-view').empty().append('<li class="mui-table-view-cell"><div class="icon_div"></div>卖品<span class="icon_Number2"></span></li>');
		$("#content3" + ' .mui-table-view').empty().append('<li class="mui-table-view-cell"><div class="icon_div"></div>套餐<span class="icon_Number3"></span></li>');
		$("#content4" + ' .mui-table-view').empty().append('<li class="mui-table-view-cell"><div class="icon_div"></div>服务<span class="icon_Number4"></span></li>');
		creatMersItem(merDatas);
		var total = getTotalMersCount();
		var totalPrice = getTotalMersPrice();
		$("#carNum").text(total);
		$("#totalPrice").text(totalPrice);
	});
})

function loadMers() {
	//请求服务端跨域
	var cinemaCode = '62549174';
	var wecha_id = 'oBte8uKoKfrNOFWULkhmoO3deEjQ';
	if(mui.os.plus) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
	}
	$.ajax({
		url: web_root + "/appService?method=loadSellMers",
		type: 'post',
		dataType: 'json',
		data: {
			"auth": auth_code,
			"wecha_id": wecha_id,
			"cinemaCode": cinemaCode
		},
		beforeSend: function() {
			if(mui.os.plus) {
				plus.nativeUI.showWaiting("");
			}
		},
		complete: function() {
			if(mui.os.plus) {
				plus.nativeUI.closeWaiting();
			}
		},
		timeout: 60000,
		success: function(data) {
			console.log("loadSellMers" + JSON.stringify(data));
			if(JSON.stringify(data.member) == '{}') {
				mui.toast('没有数据')
				return
			}
			//					创建列表
			merDatas = data.merData;
			MaxGoodsSelect = data.maxGoodsSelect;
			MaxSingleGoodsSelect = data.maxSingleGoodsSelect;
			attachDir = data.attachDir;
			sessionStorage.setItem('proData', JSON.stringify(data));
			creatItem(data);
		},
		error: function(xhr, type, errorThrown) {
			console.log(xhr);
			console.log(type);
			console.log(errorThrown);
			if(mui.os.plus) {
				//mui.alert('服务器连接超时，请稍后再试');
			}
		}
	});
}
//			开始创建
function creatItem(data) {
	//			创建主选单 创建额外菜单
	//creatMenuItem(data.typeList);
	//			在对应菜单创建li
	creatMersItem(data.merData);
}
//		创建主菜单
function creatMenuItem(typeList) {
	//			生成对应菜单			
	var menu = '';
	for(var i = 0; i < typeList.length; i++) {
		if(typeList[i] != 1 && typeList[i] != 3 && typeList[i] != 4) {
			//未知菜单 
			menu += '<a class="mui-control-item" href="#content5" data-list-type="' + typeList[i] + '">更多选择</a>';
			//					如果存在未知的未知菜单 typeList 创建对应的子列表
			var childConet = '<div id="content5" class="mui-control-content"><ul class="mui-table-view"><li class="mui-table-view-cell"><div class="icon_div"></div>服务</li></ul></div>';
			$("#segmentedControlContents").append(childConet);
		}
	}
	$("#segmentedControls").append(menu);
}
//		创建内容 数组分发
function creatMersItem(data) {
	//			全部  all
	var allMers = data,
		allId = '#content1'
		$(".icon_Number1").text('('+data.length+')');
	//			卖品列表 1
	goodsMers = [], goodsId = '#content2';
	//			套餐 4
	needsMers = [], needsId = '#content3'
	//			服务	3
	serversMers = [], serversId = '#content4'
	//			更多内容
	moreMers = [], moreId = "#content5";
	//			循环插入对应数组
	for(var i = 0; i < data.length; i++) {
		if(data[i].MerTypeId == 1) {
			goodsMers.push(data[i]);
		} else if(data[i].MerTypeId == 4) {
			needsMers.push(data[i]);
		} else if(data[i].MerTypeId == 3) {
			serversMers.push(data[i]);
		} else {
			moreMers.push(data[i]);
		}
	}
	$(".icon_Number2").text('('+goodsMers.length+')');
	$(".icon_Number3").text('('+needsMers.length+')');
	$(".icon_Number4").text('('+serversMers.length+')');
	//			封装数据数组 方便创建对象
	var dataArray = [{
			'id': allId,
			'data': allMers,
		},
		{
			'id': goodsId,
			'data': goodsMers,
		},
		{
			'id': needsId,
			'data': needsMers,
		},
		{
			'id': serversId,
			'data': serversMers,
		},
		{
			'id': moreId,
			'data': moreMers,
		}
	];
	//			动态创建
	for(var i = 0; i < dataArray.length; i++) {
		var order = dataArray[i];
		if(order.data.length != 0) {
			createLiItem(order.data, order.id);
		}
	}
};
//		渲染模板 对应content 没有数据
function createNoneGoods(contentId) {
	var noneHtml = '<div>没有商品哦!</div>';
	$(contentId + ' .mui-table-view').append(noneHtml);
}
//		渲染模板 对应content li
function createLiItem(data, contentId) {
	//	var htmlValue = '';
	for(var i = 0; i < data.length; i++) {
		var order = data[i];
		var htmlValue = LiItem(order);
		var $_li = $(htmlValue);
		$_li.data(order);
		//			在对应ID下插入内容
		$(contentId + ' .mui-table-view').append($_li);
	}
	var total = getTotalMersCount();
	var totalPrice = getTotalMersPrice();
	$("#carNum").text(total);
	$("#totalPrice").text(totalPrice);
};
//		拼接li 
function LiItem(data) {
	var listNum = 0;
	//	if(carInfo){
	//		var proInfo = carInfo.proInfo;
	//		for(var i=0;i<proInfo.length;i++){
	//			if(data.Id == proInfo[i].proId){
	//				listNum = proInfo[i].proNum;
	//			}
	//		}
	//	}
	listNum = getMerSelectCount(data.Id);
	var HtmlValue = '';
	//			商品图片
	var imgHtml = '';
	if(data.MerImgUrl && data.MerImgUrl != '') {
		imgHtml = '<img src="' + attachDir + data.MerImgUrl + '"/>';
	} else {
		//imgHtml = '<img src="../../images/default-goods-picture.jpg"/>';
		imgHtml = '<img src="../../images/bg/image2.png"/>';
	}
	//			商品名称
	var goodsNameHtml = '<p class="goods-name goods-text">' + data.MerName + '</p>';
	//			商品详情
	var goodsInfoHtml = '';
	//			判断是否有商品详情
	if(!data.MerDesc || data.MerDesc == '') {
		goodsInfoHtml = '<p class="goods-info goods-text">没有商品详情哦!</p>';
	} else {
		goodsInfoHtml = '<p class="goods-info goods-text">' + data.MerDesc + '</p>';
	}
	//			单个商品价格
	var moneyHtml = '<p class="money" style="font-size:16px;color: #FF5200;">¥ <i class="moneyTxt">' + data.SettlePrice + '</i></p>';
	//			个数
	//			var numberHtml = '<strong>'+data.+'</strong>';
	HtmlValue = '<li class="productItem" data-id="' + data.Id + '">' +
		'<div>' + imgHtml + '</div>' +
		'<div class="goods-desc">' +
		goodsNameHtml + '' + goodsInfoHtml + moneyHtml +
		'<div class="controlNumber">' +
		'<i id="reduceNum">-</i>' +
		'<span class="controlNum">' + listNum + '</span>' +
		'<i id="addNum">+</i>' +
		'</div>' +
		'</div></li>';
	//			返回Html
	return HtmlValue;
}