var orderNumber;
var starttime;
var tpfee;
var tickenum;
var CinemaCode;


function displayDetail(data) {
	var ordersDto = data.ordersDto;
	var cinemaPlanDto = data.cinemaPlanDto;
	var orderItemDtos = data.orderItemDtos;
	CinemaCode = ordersDto.CinemaCode;
    $("#cinemaName").html(ordersDto.CinemaName);
	$("#orderNumber").html(ordersDto.OrderNumber);
	var OrderCodeDis = ordersDto.OrderCode;
	if(!isNull(cinemaPlanDto)){
		var ticketNum = 0;
		var hall_seat_str = cinemaPlanDto.ScreenName +" ";
		if(orderItemDtos.length > 0){
			$.each(orderItemDtos,function(i,seat){
				if(seat.OrderItemType == 'TICKET'){
					ticketNum++;
					hall_seat_str += seat.Name + " "; 
				} 
			});
			$('.select_seat_number').html(hall_seat_str);
		}
		var span ="<span class='font14-999' style='padding-left:5px;'>x"+ticketNum+"</span>";
		$("#filmName").html(cinemaPlanDto.PlanFilmNames + span);
		$("#hallName").html(cinemaPlanDto.ScreenName);
		var startTime_this = subTimeSeconds(cinemaPlanDto.StartTime);
		starttime=cinemaPlanDto.StartTime;
		
		$("#hall_seats").html(hall_seat_str);
	}
	
	$("#show_time").html(startTime_this);
	$("#orderStatus").html(ordersDto.OrderStatusName);
	$("#mobilePhone").html(ordersDto.MobilePhone);
	$('#createTime').html(ordersDto.CreateTime);
	if (ordersDto.canPay == '1') {
		$(".needPay").show();
	}else{
		$(".needPay").remove();
		var istp=data.tpXLK;
		tpfee=data.tpFee;
		if(istp && ordersDto.OrderStatus == 'SUCCESS'){
			$(".ui-confirm-pay").show();
		}else{
			$(".ui-confirm-pay").remove();
		}
	}
	$('.pay_mer_list').empty();
	var seatNames = "";
	var merLi = '';
	for(var j = 0; j< orderItemDtos.length; j++){
		if (orderItemDtos[j].OrderItemType=='MER') {
//			merLi += '<span >'+orderItemDtos[j].Name+orderItemDtos[j].Count+'份</span>';
			merLi += '<p class="" style="font-size:16px;color: #262A32;">' + orderItemDtos[j].Name +' <span style="font-size: 14px;color: #3F3F3F;">x'+ orderItemDtos[j].Count + '</span></p>';
		}else{
			seatNames += '<label class= \'ui-777\'>'+orderItemDtos[j].Name+'</label>' ;
		}
	}
	
	$('.pay_mer_list').append(merLi);
	if(isNull(merLi)){
		$('.pay_mer_list').hide();
	}else{
		$('.pay_mer_list').show();
	}
	
	if(ordersDto.ConsumeType == 1)
	{
		//积分订单
		var totalPoint = 0;
		$.each(orderItemDtos,function(i,item){
			totalPoint += item.Point * item.Count;
		});
		$("#orderPoint").html(totalPoint);
		$(".CRM").hide();
		$(".CRM_POINT").show();
	}
	else
	{
		$("#orderAmount").html(parseFloat(ordersDto.AmountDiscount).toFixed(2)+'元');
		if (!isNull(ordersDto.ServicePriceAmount) && parseFloat(ordersDto.ServicePriceAmount) > 0) {
			$("#orderAmount").html($("#orderAmount").html()+'(含服务费'+parseFloat(ordersDto.ServicePriceAmount).toFixed(2)+'元)');
		}
	}
	
	
	if ( ordersDto.OrderStatus == 'SUCCESS') {
		var PrintNo = "";
		if (!isNull(ordersDto.PrintNo) && ordersDto.PrintNo.length > 0) {
			PrintNo = ordersDto.PrintNo;
			PrintNo = PrintNo.substring(CinemaCode.length, PrintNo.length);
			$("#printNo").html(PrintNo);
			genGetCodeImg(PrintNo);
			//if((ordersDto.PrintStatus != 'Yes')) {
				//已取票不能参与活动
				getMpActivity(ordersDto.OrderNumber);
			//}
		}else{
			$("#printNoTr").hide();
		}
		if (ordersDto.PrintStatus == 'Yes') {
			$("#isPrintTxt").html('是');
		} else {
			$("#isPrintTxt").html('否');
		}
		if ((!isNull(ordersDto.MerAmount) && parseFloat(ordersDto.MerAmount) > 0
				|| !isNull(ordersDto.DeliveryStatus))) {
			$("#deliveryStatusTr").show();
			if (!isNull(ordersDto.DeliveryStatus) && ordersDto.DeliveryStatus == 'Yes') {
				$("#isTakeMerTxt").html('是');
			} else {
				$("#isTakeMerTxt").html('否');
			}
		}
		$('#activitiesName').html(ordersDto.RuleGroupName ? ordersDto.RuleGroupName : '无');
		initPayInfoHtml(data);
	}else{//未付款
		$('.success_info').hide();
		$(".needPay").show();
		console.log(JSON.stringify(cinemaPlanDto));
		if(isNull(cinemaPlanDto)){
			$(".movie_ticket_info").hide();
			$(".pay_mer_list").removeClass("margintop10");
			$(".trade_time").text("下单时间");
			$('.pay_mer_list').append("<p>"+ordersDto.CinemaName+"</p>");
			$(".divcount").hide();
		}
	}
}

function initPayInfoHtml(data){
	var orderPayDto = data.orderPayDto;
	var orderPayTicketDtos = data.orderPayTicketDtos;
	$('#pay_info').html('');
	var temp = '';	
	var cinemaPayAmount = 0;
	var ticketPayAmount = 0;
	var ticketCreditAmount = 0;
	if(data.ordersDto.OrderStatus == 'SUCCESS'){
		
		if(data.ordersDto.ConsumeType == 1)
		{
			//显示积分订单信息
			temp = '积分支付:' + data.ordersDto.AmountDiscount + '积分';
			$('#pay_info').html(temp);
			return;
		}
		
		for(var i in orderPayTicketDtos){
			tickenum++;
			var payTicket = orderPayTicketDtos[i];
			ticketPayAmount += payTicket.payAmount;
			ticketCreditAmount += payTicket.creditAmount;
		}
		if(ticketPayAmount > 0){
			temp += '票券支付:'+parseFloat(ticketPayAmount).toFixed(2)+'元，';
		}
		if(ticketCreditAmount > 0){
			temp += '票券抵用:'+parseFloat(ticketCreditAmount).toFixed(2)+"元，";
		}
		if(orderPayDto.PayAmount > 0){
			temp += orderPayDto.OrderPayTypeName+orderPayDto.PayAmount+"元，";
		}
		if($.trim(temp).length > 0){
			temp = temp.substring(0,temp.length-1);
		}
	}
	$('#pay_info').html(temp);
}


function genGetCodeImg(printNo){
	$('#show_qrcode').qrcode({
		text	: printNo,
		width : '88',
		height : '88'
	});	
	$("#show_barcode").barcode(printNo, "code128",{barWidth: 2,barHeight:70});
	//判断是否已开通微自助
	//判断是否已开通微自助
	mui.ajax({
		url : web_root + '/appService?method=getCinemaHasMicroBuffet',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"cinemaCode":CinemaCode,
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			console.info("order-data:" +JSON.stringify(data));
			if(!isNull(data)){
				if(typeof data == 'string'){
					data = $.parseJSON(data);
				}
	    			
	        	if(data.MicroBuffet == 1){
	        		$('#ui_take_ticket_btn').show();
					$('#ui_take_ticket_btn').click(function(){
						changePage(weizzHref+'/cpcm/static/yjqp/get-ticket.jsp?get_code='+printNo);
					});
		        }
			}
			
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
			}
  		}
	});

}


function goPay(){
	openPage("account","/pages/accounts/accounts.html",{orderNumber:orderNumber,cinemaCode:CinemaCode})
}

var issubimt = 0;
function refund(){
	if(tickenum > 0){
		//使用了票卷支付不得取消订单
		mui.alert("由于使用了票券，不得取消订单！");
		return;
	}
	
	var btnArray = ['否', '是'];
	mui.confirm('取消订单的手续费为'+tpfee+'元,您确定要取消？', btnArray, function(e) {
		if (e.index == 0) {
			if (issubimt==1) {
				//防止重复提交
				return;
			}
			issubimt=1;
			refundOrder();
		}
	});
}

function refundOrder(){
	mui.ajax({
		url : web_root + '/appService?method=refund',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"OrderNumber":orderNumber,
			"starttime":starttime
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			console.info("order-data:" +JSON.stringify(data));
			if(!isNull(data)){
				var states=data.msgCode;
				if(states=='0'){
					mui.alert('取消成功',function(){
						goBackIndex();
					});
				}else if(states == '3001rr'){
					mui.alert(data.msg,function(){
						goBackIndex();
					});
				}else{
					mui.alert(data.msg);
				}
			}
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
			}
  		}
	});
}

function cancelOrder(){
	mui.ajax({
		url : web_root + '/appService?method=releaseSeat',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"OrderNumber":orderNumber,
			"jsN":"consume_order_detail"
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			mui.alert('取消成功',function(){
				goBackIndex();
			});
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
			}
  		}
	});	
}

/**
 * num传入的数字，n需要的字符长度
 * @param num
 * @param n
 * @return
 */
function prefixInteger(num, n) {
    return (Array(n).join(0) + num).slice(-n);
}

/**
 * 去掉时间的秒
 * @param dateTime 格式:yyyy-MM-dd HH:mm:ss
 */
function subTimeSeconds(dateTime) {
	var new_dateTime = dateTime.substring(0,dateTime.length-3);
	return new_dateTime;
}

/**
 * 获取营销活动
 * @return
 */
function getMpActivity(orderNO){
	
	mui.ajax({
		url : web_root + '/appService?method=getMpActivity',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"orderNumber":orderNO,
			"cinemaCode":CinemaCode,
			"activeEntrance":"1",
			"returnUrl":"",
			"app":"true"
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}

   	   		if(!isNull(data) && !isNull(data.url)){
   	   			var image = data.image;
   	   			var remark = data.activity_desc;
   	   			var activityUrl = data.url;
   	   			$('#activityRemark').html(remark);
   	   			$('#toPlay').click(function(){
   	   				openPage("activity",activityUrl,{});
// 	   				to_page(activityUrl);
   	   			});
   	   			$('#activityImg').attr('src',image);
   	   			$('#activityDiv').show();
   	   		}else{
   	   			console.log("不能抽奖");
   	   		}
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
			}
  		}
	});	
}
