/**转换影片放映版本**/
function transVersion(version){
	if("普通" == version ){
		version = "2D";
	}else if("普通立体" == version){
		version = "3D";
	}else if("IMAX" == version){
		version = "IMAX";
	}else if("IMAX立体" ==  version){
		version = "IMAX 3D";
	}else if("中国巨幕" == version){
		version = "DMAX";
	}else if("中国巨幕立体" == version){
		version = "DMAX 3D";
	}else{
		//console.log("没有匹配的放映效果-->"+version);
	}
	return version;
}

/**日期相減取天**/
function dateDiff(selectDate){
	var date1= getCurrentDate();
    var date2 = new Date(selectDate);
    var diffDays = parseInt(Math.abs(date2.getTime() - date1.getTime()) / 1000 / 60 / 60 /24); //把相差的毫秒数抽象為天数
    selectDate = selectDate.substring(5,selectDate.length);
    var transResultDate = selectDate;
    switch(diffDays){
    	case 0 : transResultDate =	"今天"+selectDate;break;
    	case 1 : transResultDate =	"明天"+selectDate;break;
    	case 2 : transResultDate =	"后天"+selectDate;break;
    	default: transResultDate;
    }
    return transResultDate;
}
/**
 * 比较日期大小
 * @param selectDate
 * @return
 */
function compareDay(selectDate){
	var date1= new Date();
	var tempStr = (selectDate+" 00:00:00").toString().replace(/-/g,"/");
	var date2 = new Date(tempStr);  
	return date2.getTime() > date1.getTime();  
}

/**获取当前日期**/
function getCurrentDate(){
	var date = new Date();
	var DateStr = (date.getFullYear()+"-"+(date.getMonth()+1)+"-"+date.getDate());
    var converted = Date.parse(DateStr);  
    var myDate = new Date(converted);  
    if (isNaN(myDate))   {   
        var arys= DateStr.split('-');  
        myDate = new Date(arys[0],--arys[1],arys[2]);  
    }  
    return myDate; 
}

function setCurrentCinemaDtoFromStorage(cinemaCode){
	var currentCityCinema = localStorage.getItem("currentCityCinema");
	if(!isNull(currentCityCinema)){
		var cinemaList = $.parseJSON(currentCityCinema);
		$.each(cinemaList,function(i,cinema){
			if(cinemaCode == cinema.CinemaCode){
				var currentCinema = cinema;
   				localStorage.setItem("currentCinema",JSON.stringify(currentCinema));
   				localStorage.setItem("cinemaCode",cinema.CinemaCode);//从缓存中获取当前所选的影院
   				localStorage.setItem("cityName",currentCinema.City);
   			   	localStorage.setItem("regLimit",currentCinema.regLimit);
   			   	localStorage.setItem("getMpActivity",currentCinema.getMpActivity);
   				putSession('cinemaName', currentCinema.CinemaName);
			}
		});
		if(currentCityCinema.length == 1){
			putSession("currenCityCinemaMore","N");
		}else{
			putSession("currenCityCinemaMore","Y");
		}
	}
}

function getCurrentCinemaDtoFromStorage(cinemaCode){
	var currentCityCinema = plus.storage.getItem("currentCityCinema");
	var currentCinema = {};
	if(!isNull(currentCityCinema)){
		var cinemaList = $.parseJSON(currentCityCinema);
		$.each(cinemaList,function(i,cinema){
			if(cinemaCode == cinema.CinemaCode){
				currentCinema = cinema;
			}
		});
	}
	return currentCinema;
}
