var orderNumber;//订单编号
var cinemaCode;//影院编码
var showPrint;
var wecha_id;

function bindEvent(){
	$('#returnIndex').click(function(){
		mui.back();
	});
}

function initData(){
	
	if(isNull(orderNumber)){
		msg_new('非法请求',function(){
			openPage("index","/pages/index.html",{});
		});
	}
	
	loadCinemaInfo(orderNumber);
	
	if(showPrint == 'true'){
		mui.ajax({
			url : web_root + '/appService?method=getSuccessInfo',
			type : 'post',
			dataType:'json',
			data:{
				"autoAppend":true,
				"orderNumber":orderNumber,
				"auth":auth_code,
				"wecha_id":getWechaId()
			},
		  	beforeSend: function(data) {
		  		if(mui.os.plus){
		  			plus.nativeUI.showWaiting();
		  		}
		  	},
		  	timeout : 100000,
		  	success : function(res){
			  	if(mui.os.plus){
			  		plus.nativeUI.closeWaiting();  
			  	}
				console.info("getSuccessInfo:" +JSON.stringify(res));
				
				if(!isNull(res)){
					cinemaCode = res.CinemaCode;
					var printNo = res.PrintNo? res.PrintNo.replace(res.CinemaCode,'') : '';
					$('#printNo').html(printNo);
					$('.phonenum__').html(handelPhone(res.MobilePhone));
					$('#show_detail').click(function(){
						var consumeDetail = plus.webview.getWebviewById('consumeDetail');
						if(consumeDetail) {
							mui.fire(consumeDetail,'reload',{'orderNum':res.OrderNumber});
						}
						openPage("consumeDetail","/pages/consumeDetail.html",{'orderNum':res.OrderNumber});
					});
					genGetCodeImg(printNo,res.CinemaCode);
					getMpActivity(res.OrderNumber);
				}else{
					msg_new('订单不存在,确定后返回首页',function(){
						openPage("index","/pages/index.html",{});
					});
				}
		  	},
		  	error : function(xhr,type,errorThrown){
			  	if(mui.os.plus){
			  		plus.nativeUI.closeWaiting();  
			  	}
		  	}
		});		
	}else{
		$('#show-more').hide();
		$('#show_detail').html('查看订单').click(function(){
			openPage("consumeDetail","/pages/consumeDetail.html",{'orderNum':res.OrderNumber});
		}).show();
		$('.suc_tips').html('支付成功,请关注订单状态');
	}
}

function loadCinemaInfo(orderNumber){
	mui.ajax({
		url : web_root + '/appService?method=loadCinemaInfo',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"orderNumber":orderNumber
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			console.info("loadCinemaInfo:" +JSON.stringify(data));
			
			if(typeof(data) == 'string'){
				data = $.parseJSON(data);
			}
			if(!isNull(data) && !isNull(data.CinemaCode)){
				showCinemaInfo(data.attachDir,data);
			}
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}
	});		
}

function genGetCodeImg(printNo,cinemaCode){
	$('#show_qrcode').qrcode({
		text	: printNo,
		width : '88',
		height : '88'
	});	
	$("#show_barcode").barcode(printNo, "code128",{barWidth: 2,barHeight:70});
	//判断是否已开通微自助
	mui.ajax({
		url : web_root + '/appService?method=getCinemaHasMicroBuffet',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"cinemaCode":cinemaCode
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			console.info("getCinemaHasMicroBuffet:" +JSON.stringify(data));
			
			if(typeof(data) == 'string'){
				data = $.parseJSON(data);
			}
        	if(data.MicroBuffet == 1){
        		$('.mod_blue_btn').show();
				$('.mod_blue_btn').click(function(){
					to_page(weizzHref+'/cpcm/static/yjqp/get-ticket.jsp?get_code='+printNo);
				});
	        }
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}
	});	
}

/**
 * 获取营销活动
 * @return
 */
function getMpActivity(orderNO){
	
	mui.ajax({
		url : web_root + '/appService?method=getMpActivity',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"orderNumber":orderNO,
			"cinemaCode":cinemaCode,
			"activeEntrance":"1",
			"returnUrl":"",
			"app":"true"
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}

   	   		if(!isNull(data) && !isNull(data.url)){
   	   			var image = data.image;
   	   			var remark = data.activity_desc;
   	   			var activityUrl = data.url;
   	   			$('#activityRemark').html(remark);
   	   			$('#toPlay').click(function(){
   	   				openPage("activity",activityUrl,{});
// 	   				to_page(activityUrl);
   	   			});
   	   			$('#activityImg').attr('src',image);
   	   			$('#activityDiv').show();
   	   		}else{
   	   			console.log("不能抽奖");
   	   		}
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
			}
  		}
	});	
}


function showCinemaInfo(attachDir,currentCinema){
	console.log(attachDir);
	console.log(JSON.stringify(currentCinema));
	
	var cinemaInfoClassObject = $(".address-new");
	var imgDir = attachDir + currentCinema.CoverImgUrl;
	if(isNull(currentCinema.CoverImgUrl)){
		imgDir ='/image/default-cinema-picture.jpg';
	}
	cinemaInfoClassObject.find(".icon img").attr("src",imgDir);
	cinemaInfoClassObject.find(".name").html(currentCinema.CinemaName);
	cinemaInfoClassObject.find(".add").html("<i></i>"+ (isNull(currentCinema.Address) ? "还没填写哦" : currentCinema.Address));
	cinemaInfoClassObject.find(".ph").html("<i></i>"+(isNull(currentCinema.ContactPhone) ? "还没填写哦" :  currentCinema.ContactPhone));
	cinemaInfoClassObject.show();
}
// 处理手机号码
function handelPhone(phone) {
	var str = phone;
	var newPhone = str.substr(0,3) + '****' + str.substr(7);
	return newPhone;
}
