
var max_chooce_num = 4;
var zoom = 1;
var attachDir;//图片网络路径
var maxRows = 0;//最大行数
var firstTdY = '';
var maxYCoord;//最大绝对定位Y坐标
var minYCoord;
var planInfo = {};//放入缓存数据
var MaxSingleGoodsSelect;//小食单品最大购买数量
var MaxGoodsSelect;//小食最大购买总数
var zoomFlag=true;
var memPriceList;
var lowerPrice;
var levelName;
var hallName;
var userLockSeats = new Array(); //订单中已选座位
var sold_seats = new Array();//已经锁定的座位(卖出+提交订单未付款)
var CinemaCode;//影院编码
var FeatureAppNo;//场次
var filmCode;//影片编码
var featureDate;//选择场次日期
var wecha_id;

var imageSeatUrl = {
	/*单座*/
	'Available' : 'Available',
	'Unavailable' : 'icon_no_buy',
	'chooce' : 'icon_sell',
	/*包厢*/
	'Unavailable_more_left' : 'group-seat-sold-left',
	'Unavailable_more_middle' : 'group-seat-sold-center',
	'Unavailable_more_right' : 'group-seat-sold-right',
	'Available_more_left' : 'group-seat-buy-left',
	'Available_more_middle' : 'group-seat-buy-center',
	'Available_more_right' : 'group-seat-buy-right',
	'chooce_more_left' : 'group-seat-lock-left',
	'chooce_more_middle' : 'group-seat-lock-center',
	'chooce_more_right' : 'group-seat-lock-right',
	/*情侣座*/
	'Available_lover_more_left' : 'lover-double-seat-buy-left',
	'Available_lover_more_right' : 'lover-double-seat-buy-right',
	'chooce_lover_more_left' : 'lover-double-seat-lock-left',
	'chooce_lover_more_right' : 'lover-double-seat-lock-right',
	'Unavailable_lover_more_left' : 'lover-double-seat-sold-left',
	'Unavailable_lover_more_right' : 'lover-double-seat-sold-right',
	/*屏幕*/
	'seat_screen':'../../images/seat-screen.png'	
};

var seatClass={
	'chooce' : 'icon_sell',
	'Unavailable' : 'icon_no_buy',
	'vip_Available' :'ui-icon-member',
	'vip_Unavailable' : 'vip-one-seat-sold',
	'vip_chooce' : 'ui-member-seat-selected'
};



/*********************************************************** 加载数据及初始化页面  ***********************************************************/

/**预处理操作*/
function pretreatment()
{
	//清空缓存中的信息
	plus.storage.removeItem("seatParam");
	plus.storage.removeItem("seatChangeUrl");
	//缓存中获取数据
	$('#OriginalPrice').hide();
	
	//票价数据
	list_seat;//票价list
	price1 = 0;//非会员价
	price2 = 0;//会员价
	card_tag = false;//是否有未绑定卡
	
	//座位图数据
	zoomFlag = false;
	userLockSeats = new Array();
	sold_seats = new Array();
	zoom = 1;
	$(".cinema-list-else").hide();
	$(".backdrop").removeClass("visible active");
	planInfo = {};
	
	//界面
	$("#featureTime").html("");
	$("#filmVersion").empty();
	$("#current-seats").empty();
	$(".seat-number").empty();
	$(".ui-user-submit").remove();
	showChooseSeatsPrice();
	recovery();
}


/**绑定事件*/
function bindMoviePageEvent(){
	
	$(".list-btn-way").on("click",function(e){
		$(".model_css_warp,.model_css").show();
		e.stopPropagation();
		showAnotherPlan();
	});
	$(".backdrop").on("click",function(e){
		e.stopPropagation();
		$(".cinema-list-else").hide();
		$(".backdrop").removeClass("visible active");
	});

	$(".ui_price").click(function(e) {
		e.stopPropagation();
		$(this).next().slideToggle();
		$(".ui_price").toggleClass("ui_point");
	});
	//删除选中座位
    $(".ion-close-circled").on("click",function(){
 	   $(".ui-user-submit").remove();
 	   $(".icon_sell").removeClass("icon_sell");
 	   $(".ui-member-seat-selected").removeClass("ui-member-seat-selected").addClass("ui-icon-member");
 	   
 	   $(".group-seat-lock-left").removeClass("group-seat-lock-left").addClass("group-seat-buy-left");
 	   $(".group-seat-lock-center").removeClass("group-seat-lock-center").addClass("group-seat-buy-center");
 	   $(".group-seat-lock-right").removeClass("group-seat-lock-right").addClass("group-seat-buy-right");
 	   $(".lover-double-seat-lock-left").removeClass("lover-double-seat-lock-left").addClass("lover-double-seat-buy-left");
 	   $(".lover-double-seat-lock-right").removeClass("lover-double-seat-lock-right").addClass("lover-double-seat-buy-right");
		   
 	   $(".choice").removeClass("choice");
 	   
 	   showChooseSeatsPrice();
 	   recovery();
    });
}


//添加newId自定义事件监听
window.addEventListener('memberPricesRefresh',function(event){
//	console.log("刷新。。。。memberPricesRefresh"); 
	getCurrentScheduleMemberPrices();
});


var list_seat;//票价list
var price1 = 0;//非会员价
var price2 = 0;//会员价
var card_tag = false;//是否有未绑定卡


/**
 * 获取当前场次会员价格
 */
function getCurrentScheduleMemberPrices()
{
//	console.log("--getCurrentScheduleMemberPrices")
	//加载票价数据
	renderPlan();
	mui.ajax({
	    url : web_root + '/appService?method=getPlanMemberPriceForAppoint',
	    type : 'post',
	    dataType:'json',
	    data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"cinemaCode":CinemaCode,
			"featureAppNo":FeatureAppNo,
			"app":true
		 },
		beforeSend: function(data) {
		  	if(mui.os.plus){
		  		plus.nativeUI.showWaiting(); 
		  	}
	    },
	    timeout : 100000,
	    success : function(data){
	      	if(mui.os.plus){
	      		plus.nativeUI.closeWaiting();  
	      	}
	  		console.info("price-data:" +JSON.stringify(data));
	  		loadCurrentScheduleMemberPrices(data);
	    },
	    error : function(xhr,type,errorThrown){
	      	if(mui.os.plus){
	      		plus.nativeUI.closeWaiting();  
	      	}
	    }
    });
}

function loadCurrentScheduleMemberPrices(data){
    
    if(!isNull(data)){
		var currentName = "";
		list_seat = data.results;
		$.each(list_seat,function(i,data){
			//返回数据有多种会员卡，获取用户对应会员卡
			if("未绑卡" == data.cardLevelName)
			{
				price1 = data.price;
				$('#OriginalPrice').show();
				card_tag = true;
			}
			else{
				price2 = data.price;
				currentName = data.cardLevelName;
			}
		});
		if(getAllSelectedSeats().length > 0){
			var ticketsPrice = parseFloat(price2);
			var currentPrice = (ticketsPrice * getAllSelectedSeats().length).toFixed(2);
			var arr = currentPrice.split('.');
			$(".ui-zi").html("¥"+ arr[0] + ".");
			if(arr.length > 1)
			{
				$('.ui-zi-0').html(arr[1]);
			}
		}
	}
}


function goChooceMer(){
	
	mui.ajax({
        url : web_root + '/appService?method=loadMers',
        type : 'post',
        dataType:'json',
        data:{
		"auth":auth_code,
		"wecha_id":getWechaId(),
		"CinemaCode":CinemaCode,
		"appAccess":true
		},
		beforeSend: function(data) {
		  	if(mui.os.plus){
		  		plus.nativeUI.showWaiting(); 
		  	 }
	  	},
	  		timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			//console.info("mer-data:" +JSON.stringify(data));
			loadMersData(data);
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}			
    });
}

function loadMersData(data){
	if(typeof data == "string") data = eval('(' + data + ')');
	//卖品
    var mers = data;
  	//绑定下一步事件
	$('.ui-submit').click(function(){
		//座位大于0，可以提交订单
		if(getAllSelectedSeats().length>0)
		{
			var chooce_seats = [];
    		sessionStorage.setItem("isVipSelectSeat","N");
    		var isVipSelectSeat = false;
    		getAllSelectedSeats().each(function(){
    			chooce_seats.push($(this).data());
    			if(!isVipSelectSeat){
    				var  memberLevelCode = $(this).data().MemberLevelCode;
    				if(!isNull(memberLevelCode) && memberLevelCode!= "AllUser"){
    					sessionStorage.setItem("isVipSelectSeat","Y");
    					isVipSelectSeat = true;
    					
    				}	
    			}
    		});
    		var urlParam = {id:"account",page:"/pages/accounts/accounts.html"};
    		if(mers && mers.length > 0){
    			urlParam.id = "goods";
    			urlParam.page = "/pages/goods/recommend-goodsl.html";
    			planInfo.cinemaMers = mers;
    		}
    		turnToLoginPage(chooce_seats,urlParam);
		}
	});
}

function getSeatsData(){
	$('.ui_item').hide();
	mui.ajax({
		url : web_root + '/appService?method=loadPlanSite',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"CinemaCode":CinemaCode,
			"FeatureAppNo":FeatureAppNo,
			"appAccess":true
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			//console.info("seats-data:" +JSON.stringify(data));
			loadSeats(data);
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}
	});
}


//加载座位图
function loadSeats(data){
	
	$('.ui_item').show();
	if(typeof data == "string") data = eval('(' + data + ')');
    if (data.state == "1" || data.state == 1) {
    	
    	attachDir = data.attachDir;
    	MaxSingleGoodsSelect = data.MaxSingleGoodsSelect;
    	MaxGoodsSelect = data.MaxGoodsSelect;
    	max_chooce_num = data.MaxSeat;
    	cinemaPlanDto = data.cinemaPlanDto;
    	ServicePriceContainsInTicket = cinemaPlanDto.ServicePriceContainsInTicket;
    	mySeatDatas = data.PlanSiteState; //座位数据
    	//场次信息
        $("#filmName").html(cinemaPlanDto.PlanFilmNames);
        lang_version = '';
		if (cinemaPlanDto.PlaythroughFlag == "NO") {
			lang_version = cinemaPlanDto.CinemaPlanFilmDto[0].Lang + '/' + cinemaPlanDto.CinemaPlanFilmDto[0].Version;
		}
		phone = isNull(data.user.Phone) ? "" : data.user.Phone;
		//原价，取挂牌价(票价 = 挂牌价 + 票务增值服务费 + 影院设置服务费)
		price = parseFloat(cinemaPlanDto.ListingPrice) + parseFloat(cinemaPlanDto.ServiceAddFee) + parseFloat(cinemaPlanDto.ServicePrice);
		if(isNull(list_seat) && price1 == 0)
		{
			price1 = price;
		}
		hallName=cinemaPlanDto.ScreenName;
		$('#cinemaName').html(cinemaPlanDto.CinemaName);
        $("#filmLang").html(lang_version);
		var day=transferDate(cinemaPlanDto.FeatureDate)+" "+cinemaPlanDto.StartTime.substring(11,cinemaPlanDto.StartTime.length-3);
        $("#featureTime").html(day);
        $('#tips').html('最多可选'+max_chooce_num+"个座位");
        $("#filmLang").html(cinemaPlanDto.CinemaPlanFilmDto[0].Lang);
        $("#filmVersion").find("span").remove();
        $("#filmVersion").append("<span class=\"icon_cinema_css\">" + transVersion(cinemaPlanDto.CinemaPlanFilmDto[0].Version) + "</span>");
        if(!isNull(cinemaPlanDto.FilmLabel))
        {
        	//场次标签
        	asseFilmLabels(cinemaPlanDto.FilmLabel);
        }
		//座位锁定时间
        lockLength = data.lockLength;
        
        //已选座位
        if(!isNull(data.userLockSeats))
        {
        	userLockSeats = data.userLockSeats;
        }
         
        initSeats();
    	page_height();
    	//检验是否还有空座
		checkAvailableSeat();
        
   } else {
	   msg_new(data.msg, function () {
	  		if (!isNull(data.msgCode) && data.msgCode == 'MAS_VALID_ORDER_COUNT') {
			    //var changeUrl = "/m365/weixin/vn/orderHistory?auth=" + auth + "&wecha_id=" + wecha_id+"&authId="+authId;
	            //changePage(changeUrl);
	            openPage('orderHistory','../orderHistory.html',{});
			}else{
				//分享时场次过期或出问题，跳转回首页，其他按原来流程返回上一步
				//openPage('index','../index.html',{});
				backHomePage();
			}
        });
    }
}

function backHomePage(){
	var arr = ["pages/home.html","pages/shop.html","pages/activity.html","pages/mine.html","filmDetails"];
	var home = plus.webview.getLaunchWebview().id;
	var all = plus.webview.all();
	for(var i in all){
		if($.inArray(all[i].id,arr) ==-1 && all[i].id !=home){
			plus.webview.close(all[i]);
		}
	}
	plus.webview.getLaunchWebview().show();
}

/** 当前场次是否有可售座位 **/
function checkAvailableSeat()
{
	var seats = $('.cartoon-pic');
	tag = true;
	$.each(seats,function(i,seat){
		seat = $(seat);
		if(!seat.hasClass("icon_no_buy") && !seat.hasClass("vip-one-seat-sold") && 
				!seat.hasClass("group-seat-sold-left") && !seat.hasClass("group-seat-sold-center")&& 
				!seat.hasClass("group-seat-sold-right") && !seat.hasClass("lover-double-seat-sold-right") && 
				!seat.hasClass("lover-double-seat-sold-left"))
		{
			tag = false;
			return false;
		}
		
	});
	if(tag)
	{	
		msg_new('当前场次无可售座位，请选择其他场次', function () {
			//其他按原来流程返回上一步
//			if(!isNull(window.history) && window.history.length > 1){
//				window.history.back();
//			}else{
				
				 //openPage('index','../index.html',{});
				 backHomePage();
//			}
	    });
	}
}

//排序
var asc = true;
/* 整个电影院视为x,y轴的平面图;x轴为行,y轴为列 */
var seats_begin_num;//X轴最小数值
var seats_end_num;//X轴最大数值

//初始化座位图
function initSeats(){
	
	$('.ui_item').html('');
	table = $('.ui_item');
	var rows = groupSeat();
	//获取最大列数
	var maxColumns;
	var minXCoord;
	var maxXCoord;
	$.each(mySeatDatas,function(i,seat){
		var seatXCoord = parseInt(seat.XCoord);
		var seatYCoord = parseInt(seat.YCoord);
		if(minXCoord != undefined && minXCoord > seatXCoord){
			minXCoord = seatXCoord;
		}else if(minXCoord == undefined){
			minXCoord = seatXCoord;
		}
		if(maxXCoord != undefined && maxXCoord < seatXCoord){
			maxXCoord = seatXCoord;
		}else if(maxXCoord == undefined){
			maxXCoord = seatXCoord;
		}
		if(minYCoord != undefined && minYCoord > seatYCoord){
			minYCoord = seatYCoord;
		}else if(minYCoord == undefined){
			minYCoord = seatYCoord;
		}
		if(maxYCoord != undefined && maxYCoord < seatYCoord){
			maxYCoord = seatYCoord;
		}else if(maxYCoord == undefined){
			maxYCoord = seatYCoord;
		}
	});
	
	seats_begin_num = parseInt(minXCoord);
	seats_end_num = parseInt(maxXCoord);
	
	maxRows = maxYCoord - minYCoord +1;
	maxColumns = maxXCoord - minXCoord +1;
	//table.append('<div class="theater-screen"><img src="'+imageSeatUrl['seat_screen']+'" alt=""><p class="sign" data-title="'+hallName+'"></p></div><ul class="seat-table"></ul>');
	table.append('<div class="theater-screen"><p class="sign" data-title="'+hallName+'"></p></div><ul class="seat-table"></ul>');
	var seatTable=$('.seat-table');
	//画座位图框架
	for(var i = minYCoord;i<= maxYCoord;i++){
		var tr = $('<li class="seat-row"/>');
		tr.appendTo(seatTable);
		for(var j = minXCoord ; j <= maxXCoord;j++){
			var td = $('<span class="not-seat"></span>');
			
			
			td.attr('id',i+'_'+j);
			var imgchild="<span class=\"inner\"></span>";
			td.append(imgchild);
			td.appendTo(tr);
		}
	}
	$('<div class="mid-line"></div>').appendTo(seatTable);
	
	//循环每行
	$.each(rows,function(i,row){
		var rowGroups = [];
		//循环每行的座位
		$.each(row.seats,function(j,seat){
			
			//获取组合座位
			var groupSeats = getGroupSeat(seat.GroupCode,row.seats);
			var repeats = rowGroups.filter(function(group){
				return group.groupNo == seat.GroupCode;
			});
			//判断是否为VIP座位
			var is_vip = "";
			if(seat.MemberLevelCode && seat.MemberLevelCode != 'AllUser'){
				is_vip = "vip_";
			}
			if(repeats.length < 1){
				//组合座
				//获取座位框
				var td = $('#'+seat.YCoord+'_'+seat.XCoord);
				//添加自定义样式,用于放大缩小操作
				td.addClass('seat_'+(groupSeats ? groupSeats.seats.length : 1));
				//删除掉临时样式,用于为留空处增加seat_1样式,作为放大缩小的搜索凭据
				td.removeClass('temp_seat_class');
				//判断是否为组合座,若为组合座会合并座位框
				if(groupSeats){
					//获取组合座位中的座位数量
					var groupSize = groupSeats.seats.length;
					//计算组合座位合并后需追加的大小
					var appendSize = 4*(groupSize-1)/groupSize;
					rowGroups.push(groupSeats);
					//组合情侣座及包厢
					asseSeats(groupSize,td,groupSeats.seats);
					
				}else{
					td.removeClass("not-seat");
					td.addClass("seat1 has-seat");
					//单座
					var imgchild=$('<span class="cartoon-pic"></span>');
					if(seatClass[is_vip+seat.Status]!=undefined)
					{
						imgchild.addClass(seatClass[is_vip+seat.Status]);
					}
					
					if(seat.Status == 'Unavailable')
					{
						//将已经锁定的座位放入已锁座集合
						sold_seats.push(seat);
					}
					
					seat.img = is_vip+seat.Status;
//					imgchild.attr('id',replaceAll(seat.SeatCode,'#',''));
					imgchild.attr('name',replaceAll(seat.SeatCode,'#',''));
					imgchild.data(seat);
					imgchild.appendTo(td.find(".inner"));
				}
			}
		});
	});
	
	//绘制行号
	drawLineNum(maxRows);
	controlSeat();
	recoverySeats();
	showChooseSeatsPrice();

	//最佳观影区 start
	var besttopseat;
	var bestleftseat;
	var seatheight = $(".seat-table").height()/maxRows;
	var seatwidth = $(".seat-table").width()/maxColumns;
	if(maxColumns<15 && maxColumns%2 ==0){
		besttopseat = Math.round(maxRows /3);	//上边
		bestleftseat =  Math.round((maxColumns/2)-(4/2)); //左边
		bestrows =  Math.round(maxRows/3); //最佳行数  
		bestColumns = 4; //最佳列数 
		var bestdiv = '<div class ="look-b"><div>';
		bestdiv = $(bestdiv).css({
					width: bestColumns*seatwidth,
					height:bestrows*seatheight,
					top:besttopseat*seatheight,
					left:bestleftseat*seatwidth
		});
		$(".seat-table").append(bestdiv);
	}
	else if(maxColumns<15 && !maxColumns%2 ==0){
		besttopseat = Math.round(maxRows /3);	//上边
		bestleftseat =  Math.round((maxColumns/2)-(5/2)); //左边
		bestrows =  Math.round(maxRows/3); //最佳行数  
		bestColumns = 5; //最佳列数 
		var bestdiv = '<div class ="look-b"><div>';
		bestdiv = $(bestdiv).css({
					width: bestColumns*seatwidth,
					height:bestrows*seatheight,
					top:besttopseat*seatheight,
					left:bestleftseat*seatwidth
		});
		$(".seat-table").append(bestdiv);
	}
	else if(16<maxColumns<21 && maxColumns%2 ==0){
		besttopseat = Math.round(maxRows /3);	//上边
		bestleftseat =  Math.round((maxColumns/2)-(6/2)); //左边
		bestrows =  Math.round(maxRows/3); //最佳行数  
		bestColumns = 6; //最佳列数 
		var bestdiv = '<div class ="look-b"><div>';
		bestdiv = $(bestdiv).css({
					width: bestColumns*seatwidth,
					height:bestrows*seatheight,
					top:besttopseat*seatheight,
					left:bestleftseat*seatwidth
		});
		$(".seat-table").append(bestdiv);
	}
	else if(16<maxColumns<21 && !maxColumns%2 ==0){
		besttopseat = Math.round(maxRows /3);	//上边
		bestleftseat =  Math.round((maxColumns/2)-(7/2)); //左边
		bestrows =  Math.round(maxRows/3); //最佳行数  
		bestColumns = 7; //最佳列数 
		var bestdiv = '<div class ="look-b"><div>';
		bestdiv = $(bestdiv).css({
					width: bestColumns*seatwidth,
					height:bestrows*seatheight,
					top:besttopseat*seatheight,
					left:bestleftseat*seatwidth
		});
		$(".seat-table").append(bestdiv);
	}
	else if(maxColumns>21 && maxColumns%2 ==0){
		besttopseat = Math.round(maxRows /3);	//上边
		bestleftseat =  Math.round((maxColumns/2)-(8/2)); //左边
		bestrows =  Math.round(maxRows/3); //最佳行数  
		bestColumns = 8; //最佳列数 
		var bestdiv = '<div class ="look-b"><div>';
		bestdiv = $(bestdiv).css({
					width: bestColumns*seatwidth,
					height:bestrows*seatheight,
					top:besttopseat*seatheight,
					left:bestleftseat*seatwidth
		});
		$(".seat-table").append(bestdiv);
	}
	else if(maxColumns>21 && !maxColumns%2 ==0){
		besttopseat = Math.round(maxRows /3);	//上边
		bestleftseat =  Math.round((maxColumns/2)-(9/2)); //左边
		bestrows =  Math.round(maxRows/3); //最佳行数  
		bestColumns = 9; //最佳列数 
		var bestdiv = '<div class ="look-b"><div>';
		bestdiv = $(bestdiv).css({
					width: bestColumns*seatwidth,
					height:bestrows*seatheight,
					top:besttopseat*seatheight,
					left:bestleftseat*seatwidth
		});
		$(".seat-table").append(bestdiv);
	}
	//最佳观影区end
}

//绘制左边栏行号
function drawLineNum(rows){

	var asc = true;
	//判断排列是否颠倒
	var tempY = parseInt(minYCoord);
	if(firstTdY == maxYCoord+""){
		asc = false;
	}
	
	$('.seat-number').find('.seat-no-ul').remove();
	$('.seat-number').append('<ul class="seat-no-ul">');
	
	for(var i = 0 ; i < rows ; i++){
		
		var tempRows = findCoordYSeats(tempY);
		if(tempRows.length > 0){
			$('.seat-no-ul').append('<li id="'+tempRows[0].RowNum+'">'+tempRows[0].RowNum+'</li>');
		}else{
			$('.seat-no-ul').append('<li>&nbsp;</li>');
		}
		tempY++;
	};
}

//组合情侣座及包厢
function asseSeats(num,td,seats)
{
	var is_vip="";
	var seatId="";
	var seatX;
	$.each(seats,function(k,seat){
		
		if(k==0){
			//获取第一个座位的x序数
			seatX=seat.XCoord;
			//获取组合座位第一个座位的id座位共同id
			seatId=replaceAll(seat.SeatCode,'#','');
		}else{
			td = $('#'+seat.YCoord+'_'+seat.XCoord);
		}
		var imgIndex = "";
		
		if(num==2){
			if(k == 0){
				imgIndex = is_vip+seat.Status+"_lover_more_left";
			}else{
				if(parseInt(seatX)<parseInt(seat.XCoord)){
					//第一个座位x序数小于组合座位中其他座位的序数，升序排列
					imgIndex = is_vip+seat.Status+"_lover_more_right";
				}else{
					var firstImg=is_vip+seat.Status+"_lover_more_right";
					var lastImg=is_vip+seat.Status+"_lover_more_left";
					imgIndex = lastImg;
					//第一个座位x序数大于组合座位中其他座位的序数，降序排列
					$('#'+seat.YCoord+'_'+seatX).find('.cartoon-pic').removeClass(imageSeatUrl[lastImg]).addClass(imageSeatUrl[firstImg]);
				}
				
			}
		}else{
			imgIndex = is_vip+seat.Status+"_more_middle";
			if(k == 0){
				imgIndex = is_vip+seat.Status+"_more_left";
			}else if( k == num-1){
				if(parseInt(seatX)<parseInt(seat.XCoord)){
					imgIndex = is_vip+seat.Status+"_more_right";
				}else{
					var firstImg=is_vip+seat.Status+"_more_right";
					var lastImg=is_vip+seat.Status+"_more_left";
					imgIndex = lastImg;
					$('#'+seat.YCoord+'_'+seatX).find('.cartoon-pic').removeClass(imageSeatUrl[lastImg]).addClass(imageSeatUrl[firstImg]);
				}
				
			}
		}
		
		td.removeClass("not-seat");
		td.addClass("seat1 has-seat");
		//单座
		var imgchild=$('<span class="cartoon-pic"></span>');
		if(imageSeatUrl[imgIndex]!=undefined){
			imgchild.addClass(imageSeatUrl[imgIndex]);
		}
		
		if(seat.Status == 'Unavailable'){
			//将已经锁定的座位放入已锁座集合
			sold_seats.push(seat);
		}
		
		seat.img = is_vip+seat.Status;
		imgchild.attr('name',seatId);
		imgchild.data(seat);
		imgchild.appendTo(td.find(".inner"));
	});
}


/*** 换一场 渲染场次信息*/
function renderPlan(){
	mui.ajax({
        url : web_root + '/appService?method=loadSchedule',
        type : 'post',
        dataType:'json',
        data:{
		"auth":auth_code,
		"wecha_id":getWechaId(),
		"cinemaCode":CinemaCode,
		"filmCode":filmCode,
		"featureDate":featureDate
		},
		beforeSend: function(data) {
		  	if(mui.os.plus){
		  		plus.nativeUI.showWaiting(); 
		  	 }
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			console.info("schedule-data:" +JSON.stringify(data));
			var myInfo = $.trim(plus.storage.getItem("myInfo"));
			if(isNull(myInfo)){
				rederPlanNonmembersDeail(data);
			}else{
				rederPlanMembersDeail(data);
			}
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}			
    });	
}

function showAnotherPlan()
{
	$(".backdrop").addClass("visible active");
	var liLength=$(".schedule ul li").length;
	if(liLength>3){
		var bcHeight=$(".mod_li").outerHeight(true);
		var newHeightT=bcHeight*4-bcHeight/2+50;
		var newHeight=bcHeight*4-bcHeight/2;
		$(".cinema-list-else").css({"height":newHeightT});
		$(".schedule").css({"height":newHeight,"overflow":"auto"});
	}
}

/**
 * 会员的数据加载
 * @param schedule
 */
function rederPlanMembersDeail(schedule){
	
	//影院设置服务费
	var servicePrice=schedule.servicePrice;
	$('.ui_card_explain').hide();
	var planList = schedule.planList;
	var planObjLi = $('#normal_schedule');
	planObjLi.empty();
	if(!isNull(planList)){
		var listingPrice_;//最优惠票价
		var plan_;//最优惠场次
		var tag = false;//不同场次票价是否一致
		$.each(planList,function(k,plan){
			plan.filmCode = plan.fimlCode;
			//初始票价(未获取营销活动) = 挂牌价 + 票务增值服务费 + 商家设置服务费
			var listingPrice = parseFloat(plan.listingPrice) + parseFloat(plan.serviceAddFee)+ parseFloat(servicePrice);
			var content="<tr style='height:63px;border-bottom: 1px solid #f0f0f0;' class=\"mod_li\" id='plan_"+plan.featureAppNo+"'>"
	    	+ "<td class=\"ui-float-l css_leftf\"style='padding: 10px 0;'>"
	    			+"<span class=\"css32\" style='color: #262A32;'>"+plan.startTime.substring(10,16)+"</span>"
	    			+"<img src='../../images/icon_sun.png' style='width: 20px;height: 20px;margin-left: 5px;vertical-align: sub;'/>"
	    			+ "<h4 class=\"css24\" style='padding-top: 5px;'>"+plan.endTime.substring(10,16)+"<span class=\css24\">散场</span></h4>"
	    	+"</td>"
    		+ "<td class=\"ui-float-l\" style='padding: 10px 0;width:4.75rem;text-align: center'>"
    				+"<span class=\"css28\"style='color: #262A32;'>"+plan.language+"/"+transVersion(plan.version)+"</span>"
    				+"<h4 class=\"css24\" style='padding-top: 5px;'>"+plan.screenName+"</h4>"
    		+  "</td>" 	
    		+ '<td class="ui-float-l" id="ui_prices"style="padding: 10px 0;">'
    			+'<span style="color: #FF5200;" class="css28-color" value="'+levelName+'"id="price'+plan.featureAppNo+'">¥&nbsp;'+ checkPrice(listingPrice) +'</span>'
//  			+'<h4 class="css24" style="padding-top: 5px;"><span class="cprice">原价 ¥ '+ checkPrice(listingPrice) +'</span></h4>'
    		+'</td>';
    		//添加场次标签
			if(!isNull(plan.filmLabel)){
				var arr = plan.filmLabel.split(",");
				content += "<td class=\"newtags\">";
				for(var i = 0;i < arr.length;i++){
					if(arr[i] == "1"){
						content += "<span class=\"tagred\">首映</span>";
					}else if(arr[i] == "2"){
						content += "<span class=\"tagyellow\">明星</span>";
					}else if(arr[i] == "3"){
						content += "<span class=\"tagpurple\">点映</span>";
					}else if(arr[i] == "4"){
						content += "<span class=\"taggreen\">立减</span>";
					}
				}
				content += "</td>";
			}
			content += "<td style='position: relative;' class='css_rightf'>";
			if(plan.featureAppNo!=FeatureAppNo){
				content += "<span class=\"mod_blue_btn buy_tickets\" onClick=\"turnToSelectSeatPage('"+ plan.featureAppNo + "')\">选座</span>";
			}else{
				content += "<span class=\"mod_btn_disabled\" style='margin-right:10px;' >当前</span>";
			}
			content += "</td></tr>";
			
			content = $(content);
			planObjLi.append(content);
		});
		
		if($(".schedule_tab td").hasClass("newtags")){
			$(".newtags").parent("tr").css("height","4.25rem");
		}
		$(".schedulewarp").hide();
		getPlanMemberPrice2(planList,servicePrice);
	}else{
		console.log("没有场次信息");
		$(".schedulewarp").show();
	}
}

/*** 获取排期会员价格 */
function getPlanMemberPrice2(planList,servicePrice){
	mui.ajax({
        url : web_root + '/appService?method=getPlanMemberPrice',
        type : 'post',
        dataType:'json',
        data:{
		"auth":auth_code,
		"wecha_id":getWechaId(),
		"cinemaCode":CinemaCode,
		"filmCode":filmCode,
		"plans":JSON.stringify(planList),
		"appAccess":true
		},
		beforeSend: function(data) {
		  	if(mui.os.plus){
		  		plus.nativeUI.showWaiting(); 
		  	 }
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
		  	//console.info("getPlanMemberPrice2:" + JSON.stringify(data));
			loadPlanMemberPrice2(data,planList,servicePrice);
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}			
    });	
}

function loadPlanMemberPrice2(data,planList,servicePrice){
	var myInfo = $.parseJSON(plus.storage.getItem("myInfo"));
	if(!isNull(data) && !isNull(data.results)){
		var list = data.results;
		list = sortPrice(list);
		memPriceList = list;
		$.each(planList,function(i,planItem){
			var planObjLi = $('#plan_'+planItem.featureAppNo);
	   		var ui_m_price = planObjLi.find('.ui_m_price').eq(0);
	   		var priceHtml = planObjLi.find('.ui_m_price_more').eq(0);
			if(!isNull(list) && list.length > 0){
	   			$.each(list,function(j,price){
					
	   				if(price.featureAppNo == planItem.featureAppNo){
	   					var price_price = parseFloat(price.price) + parseFloat(planItem.serviceAddFee)+ parseFloat(servicePrice);
		   				//判断会员等级是否是当前客户的会员等级，是的话显示会员价格
		   				if(price.cardLevelCode && price.cardLevelCode != null &&  price.cardLevelCode != '' && price.cardLevelCode == myInfo.LevelCode){
		   					$('#price'+planItem.featureAppNo).html('¥'+ checkPrice(price_price));
		   				}
						
	   				}
	   			});
			}
		});
		
		//initMorePriceBtn();
	}
}

/**
 * 非会员的数据加载
 * @param schedule
 */
function rederPlanNonmembersDeail(schedule){
	//影院设置服务费
	var servicePrice=schedule.servicePrice;
	var planList = schedule.planList;
	var planObjLi = $('#normal_schedule');
	planObjLi.empty();
	if(!isNull(planList)){
		var listingPrice_;
		var lowestPrice_;
		var plan_;//最优惠场次
		var tag = false;//不同场次票价是否一致
		$.each(planList,function(k,plan){
			plan.filmCode = plan.fimlCode;
			//初始票价(未获取营销活动) = 票价 + 票务增值服务费 + 商家设置服务费
			var listingPrice = parseFloat(plan.listingPrice) + parseFloat(plan.serviceAddFee) + parseFloat(servicePrice);
			var lowestPrice  = parseFloat(plan.lowestPrice) + parseFloat(plan.serviceAddFee) + parseFloat(servicePrice);
			
			var content="<tr style='height:63px;border-bottom: 1px solid #f0f0f0;' class=\"mod_li\" id='plan_"+plan.featureAppNo+"'>"
	    	+ "<td class=\"ui-float-l css_leftf\"style='padding: 10px 0;'>"
	    			+"<span class=\"css32\" style='color: #262A32;'>"+plan.startTime.substring(10,16)+"</span>"
	    			+ "<h4 class=\"css24\" style='padding-top: 5px;'>"+plan.endTime.substring(10,16)+"<span class=\css24\">散场</span></h4>"
	    	+"</td>"
    		+ "<td class=\"ui-float-l\" style='padding: 10px 0;width:4.75rem;text-align: center'>"
    				+"<span class=\"css28\"style='color: #262A32;'>"+plan.language+"/"+transVersion(plan.version)+"</span>"
    				+"<h4 class=\"css24\" style='padding-top: 5px;'>"+plan.screenName+"</h4>"
    		+  "</td>" 	
    		+ '<td class="ui-float-l" id="ui_prices"style="padding: 10px 0;">'
    			+'<span style="color: #FF5200;" class="css28-color" value="'+levelName+'"id="price'+plan.featureAppNo+'">¥&nbsp;'+ checkPrice(listingPrice) +'<span class=\"_font-s\">起</span></span>'
//  			+'<h4 class="css24" style="padding-top: 5px;"><span class="cprice">原价 ¥ '+ checkPrice(listingPrice) +'</span></h4>'
    		+'</td>';
			//添加场次标签
    		if(!isNull(plan.filmLabel))
			{
				var arr = plan.filmLabel.split(",");
				content += "<td class=\"newtags\">";
				for(var i = 0;i < arr.length;i++){
					if(arr[i] == "1"){
						content += "<span class=\"tagred\">首映</span>";
					}else if(arr[i] == "2"){
						content += "<span class=\"tagyellow\">明星</span>";
					}else if(arr[i] == "3"){
						content += "<span class=\"tagpurple\">点映</span>";
					}else if(arr[i] == "4"){
						content += "<span class=\"taggreen\">立减</span>";
					}
				}
				content += "</td>";
			}
    		content += "<td style='position: relative;' class='css_rightf'>";
			if(plan.featureAppNo!=FeatureAppNo){
				content += "<span class=\"mod_blue_btn buy_tickets\" onClick=\"turnToSelectSeatPage('"+ plan.featureAppNo + "')\">选座</span>";
			}else{
				content += "<span class=\"mod_btn_disabled\" >当前</span>";
			}
			content += "</td></tr>";

			content = $(content);
			planObjLi.append(content);
			
		});
		
		if($(".schedule_tab td").hasClass("newtags")){
			$(".newtags").parent("tr").css("height","4.25rem");
		}
		$(".schedulewarp").hide();
		getPlanMemberPrice(planList,servicePrice);
	}else{
		console.log("没有场次信息");
		$(".schedulewarp").show();
	}
}

/*** 获取排期会员价格 */
function getPlanMemberPrice(planList,servicePrice){

	mui.ajax({
        url : web_root + '/appService?method=getPlanMemberPrice',
        type : 'post',
        dataType:'json',
        data:{
		"auth":auth_code,
		"wecha_id":getWechaId(),
		"cinemaCode":CinemaCode,
		"filmCode":filmCode,
		"plans":JSON.stringify(planList),
		"appAccess":true
		},
		beforeSend: function(data) {
		  	if(mui.os.plus){
		  		plus.nativeUI.showWaiting(); 
		  	 }
	  	},
	  		timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
		  	//console.info("getPlanMemberPrice:" + JSON.stringify(data));
			loadPlanMemberPrice(data,planList,servicePrice);
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}			
    });	
}

function loadPlanMemberPrice(data,planList,servicePrice){

	if(!isNull(data) && !isNull(data.results)){
		var list = data.results;
		list = sortPrice(list);
		memPriceList = list;
		$.each(planList,function(i,planItem){
			if(!isNull(list) && list.length > 0){
				var currentLowest;
				var currentListing =parseFloat(planItem.listingPrice) + parseFloat(planItem.serviceAddFee) + parseFloat(servicePrice);
	   			$.each(list,function(j,price){
	   				if(price.featureAppNo == planItem.featureAppNo){
	   					var price_price = parseFloat(price.price) + parseFloat(planItem.serviceAddFee)+ parseFloat(servicePrice);
						
	   					if(isNull(currentLowest)){
							currentLowest = price_price;
						}else{
							currentLowest = currentLowest > price_price ? price_price : currentLowest;
						}
						
//						if(isNull(price.cardLevelName)){
//							//非会员价
//							currentListing = price_price;
//							$('#price'+planItem.featureAppNo).html('¥' + checkPrice(price_price));
//						}
	   				}
	   			});
	   			//未获取到匹配的非会员价格，不做变动
	   			if(!isNull(currentLowest)){
//					$('#price'+planItem.featureAppNo).parent().find('.lowestPrice').html('¥'+checkPrice(currentLowest));
					$('#price'+planItem.featureAppNo).html('¥&nbsp;'+ checkPrice(currentLowest) + '<span class=\"_font-s\">起</span>');
	   			}
			}
		});
		//initMorePriceBtn();
	}
}


/**
 * 非会员调用此方法
 * @param prices
 * @param planList
 * @return
 */
function showHeadPriceLabel(prices,planList){	
	var prices = groupCardLevel(prices);
	
	$.each(planList,function(i,plan){
		var planObjLi = $('#plan_'+plan.featureAppNo);
		var ui_m_price = planObjLi.find('.ui_m_price').eq(0);
   		var priceHtml = planObjLi.find('.ui_m_price_more').eq(0);
		$.each(prices,function(j,price){
			if(price.cardLevelCode && price.cardLevelCode != null && price.cardLevelCode != ''){
				var classIndex = j > 3 ? 4 : (j+1);
   				if($('#price_label_'+price.cardLevelCode).attr('class') == undefined){
   					var cardLevelName = price.cardLevelName ? price.cardLevelName : '';
   					if($('span[name="memberlist"]').find('label').length > 3){
   						if(!$('.ui_card_explain').hasClass('after_arrow_left')){
   							$('.ui_card_explain').addClass('after_arrow_left');
   						}
   						if($('span[name="memberlist"]').find('div').length < 1){
   							$('span[name="memberlist"]').append('<div style="display:none;"></div>');
   						}
   						$('span[name="memberlist"]').find('div').append('<label id="price_label_'+price.cardLevelCode+'" class="ui_card_explain_'+classIndex+'"></label>'+cardLevelName);
   					}else{
   						$('.ui_card_explain').removeClass('after_arrow_left');
   						$('span[name="memberlist"]').append('<label id="price_label_'+price.cardLevelCode+'" class="ui_card_explain_'+classIndex+'"></label>'+cardLevelName);
   					}
   					
   				}
   				if(classIndex > 3){
	   				ui_m_price.attr('id','ui_price');
	   			}
			}
		});
	});
}

//分组会员等级价格,用于头部会员等级显示
function groupCardLevel(cardLevelPriceList){
	var priceArr = [];
	if(cardLevelPriceList.length > 0){
		$.each(cardLevelPriceList,function(i,item){
			var repeat = false;
			$.each(priceArr,function(j,price){
				if(price.cardLevelCode == item.cardLevelCode){
					repeat = true;
					return false;
				}
			});
			if(!repeat){
				priceArr.push(item);
			}
		});
	}
	return priceArr;
}


//排序价格
function sortPrice(prices){
	var priceArr = [];
	if(prices.length > 0){
		$.each(prices,function(i,item){
			item.price = item.price - item.cinemaPayAmount;
		});
		//若已在后台进行等级排序,则按照后台排序规则进行展示
		if(prices[0].priceSeqNo != undefined){
			priceArr = prices.sort(function(a,b){
				return a.priceSeqNo-b.priceSeqNo;
			});
		}else{
			//若无后台排序,则按照价格或等级编号进行排序
			//排序优先级--> 1.价格,2.等级编码
			priceArr = prices.sort(function(a,b){
				if(a.price != b.price){
					return a.price-b.price;
				}else{
					return parseInt(a.cardLevelCode)-parseInt(b.cardLevelCode);
				}
			});
		}
	}
	return priceArr;
}


function asseFilmLabels(filmLabel)
{
	var content = "";
	var labelItem = $(".newtag");
	var arr = filmLabel.split(",");
	for(var i = 0;i < arr.length;i++)
	{
		if(arr[i] == "1")
		{
			content += "<span class=\"tagred\">首映</span>";
		}else if(arr[i] == "2")
		{
			content += "<span class=\"tagyellow\">明星</span>";
		}else if(arr[i] == "3")
		{
			content += "<span class=\"tagpurple\">点映</span>";
		}else if(arr[i] == "4")
		{
			content += "<span class=\"taggreen\">特惠</span>";
		}
	}
	labelItem.append(content);
	$(".ui-update-btn").css("bottom","-5px");
}



/*********************************************************** 选座相关方法  ***********************************************************/


//选座
function chooceSeat(me){
	
	var obj = me;
	var imgs = me.find('.cartoon-pic');
	var seatId = imgs.attr("name");
	var groupSeat = $("[name='"+seatId+"']");
	var myData = imgs.data();
	var oldStatus = "";
	var currentStatus = "";
	var chooce_seats = getAllSelectedSeats();
	if(imgs.hasClass("choice"))
	{
		oldStatus = "chooce";
	}
	else
	{
		oldStatus = "Available";
	}
	if(oldStatus == 'Available' && chooce_seats.length+groupSeat.length >max_chooce_num ){
		msg_new('抱歉，最多只能购买'+max_chooce_num+'张票。');
		return;
	}
	
	//判断当前选中座位与已锁定座位是否跳座
	if(sold_seats.length > 0)
	{
		var flag = checkSelectSeat(me,oldStatus);
		if(!flag)
		{
			return flag;
		}
	}
	
	if(groupSeat.length > 1)
	{
		//情侣及包厢
		chooceGroupSeats(oldStatus,groupSeat);
		return;
	}
	
	//不允许跳位选座
	if(chooce_seats.length > 0)
	{
		//找到相同排的座位
		var sameRowSeats = [];
		$.each(chooce_seats,function(i,item){
			var data = $(item).data();
			if(data.YCoord == myData.YCoord){
				sameRowSeats.push(data);
			}
		});
		if(sameRowSeats.length > 0){
//			var seatXCoord = parseInt(seat.XCoord);
//			var seatYCoord = parseInt(seat.YCoord);
			sameRowSeats = sameRowSeats.sort(function(a,b){return a.XCoord - b.XCoord;});
			var canChooce = true;
			if(oldStatus == 'Available'){
				//判断是否为相同排作为的邻座
				//若不是,则判断相同排座位的邻座是否已选,否则不允许选座
				var eventSeatColumnNum = parseInt(myData.XCoord);
				$.each(sameRowSeats,function(i,item){
					var columnNumInt = parseInt(item.XCoord);
					//判断当前预选座位是否为已选座位邻座
					if(columnNumInt == eventSeatColumnNum -1 || columnNumInt == eventSeatColumnNum + 1){
						canChooce = true;
						return false;
					}
					//判断已选座位邻座是否已被选
					var after_seat = $('#' + item.YCoord + '_' + (columnNumInt + 1));
					if(after_seat && after_seat.hasClass("has-seat")){
						var cartoon = after_seat.find('.choice');
						if(cartoon && !$(cartoon).hasClass("choice")){
							
							canChooce = false;
						}
					}
					var before_seat = $('#' + item.YCoord + '_' + (columnNumInt - 1));
					if(before_seat && before_seat.hasClass("has-seat")){
						var cartoon = before_seat.find('.choice');
						if(cartoon && !$(cartoon).hasClass("choice")){
							canChooce = false;
						}
					}
					
				});
			}else if(oldStatus == 'chooce'){
				if(myData.XCoord != sameRowSeats[0].XCoord && myData.XCoord != sameRowSeats[sameRowSeats.length-1].XCoord){
					canChooce = false;
				}
			}
			if(!canChooce){
				msg_new('抱歉，不允许跳座选位');
				return;
			}
		}
	}
	
	if(oldStatus == 'Available' || oldStatus == 'chooce'){
		var myInfo = $.parseJSON(plus.storage.getItem("myInfo"));
//		console.log(plus.storage.getItem("myInfo"));
		var canChooce = true;
		$.each(imgs,function(i,imgTemp){
			var data = $(imgTemp).data();
//			console.log(JSON.stringify(data));
			if(oldStatus == 'Available'){
				if(data.MemberLevelCode != undefined && data.MemberLevelCode != null && data.MemberLevelCode != ''){
					if(data.MemberLevelCode != 'AllUser' && isNull(myInfo)){
						//只有会员等购买
						loginCuzSelectVipSeat("这个座位只能会员购买喔亲~");
						canChooce = false;
						return false;
						
					}else if(data.MemberLevelCode != 'AllUser' && !isNull(myInfo)){
						if(data.MemberLevelCode != 'AllMember' && data.MemberLevelCode.split(',').indexOf(myInfo.LevelCode) == -1){
							//提示登录
							loginCuzSelectVipSeat("您的会员等级暂时不能购买该座位，可以选择其他等级会员卡再购买，或者重新选座。");
							canChooce = false;
							return false;
						}
					}
				}
				$(imgTemp).addClass("choice");
				$(".ui-selectSeat-tip").hide();
				$(".ui-selected-seat-box").show();
				$("<span class='ui-user-submit'>"+ data.RowNum + "排" + data.ColumnNum + "座</span>").attr("id",data.RowNum + "-" + data.ColumnNum).appendTo($(".ui-selected-seat-box"));
				
                $(".ui-submit").removeClass("ui-btn-disabled").addClass("ui-btn-00a1e5").text("确认购买");
                if(!$(".ui-submit").hasClass("ui-btn-disabled")){
        			$(".ion-close-circled").show();
        		}
                currentStatus="chooce";
			}else if(oldStatus == 'chooce'){
				 //清除选中价格
				$(".ion-close-circled").click(function(){
					$('#OriginalPrice').hide();
				});
				$(imgTemp).removeClass("choice");
                $("#" + data.RowNum + "-" + data.ColumnNum).remove();
                currentStatus="Available";
			}
			
			//显示价格
			showChooseSeatsPrice();
			 
			var is_vip="";
			if(data.MemberLevelCode && data.MemberLevelCode != 'AllUser'){
				is_vip = "vip_";
			}
			
			$(imgTemp).removeClass(seatClass[is_vip+oldStatus]).addClass(seatClass[is_vip+currentStatus]);
			$(imgTemp).data(data);
		});
		
		return canChooce;
	}
}

function checkSelectSeat(me,oldStatus)
{
	//当前选中对象id
	var current_id = me.attr("id");
	var current_arr = current_id.split('_');
	//当前座位X轴坐标
	var current_x_num = current_arr[0];
	//当前座位Y轴坐标
	var current_y_num = parseInt(current_arr[1]);
	
	//当前座位左侧相邻两个座位
	var seat_right_1;
	var seat_right_2;
	//当前座位右侧相邻两个座位
	var seat_left_1;
	var seat_left_2;
	var tag = true;
	
	//判断左侧相邻两个座位是否可选,true-可选  false-不可选
	for(var i = current_y_num - 1;i >= seats_begin_num;i--)
	{
		var seat_item = $('#' + current_x_num + '_' + i);
		if(seat_item.hasClass('has-seat'))
		{
			if(tag)
			{
				seat_left_1 = getSeatStatus(seat_item);
				tag = false;
			}
			else
			{
				seat_left_2 = getSeatStatus(seat_item);
				break;
			}
		}
	}
	
	tag = true;
	
	//判断右侧相邻两个座位是否可选,true-可选  false-不可选
	for(var i = current_y_num + 1;i <= seats_end_num;i++)
	{
		var seat_item = $('#' + current_x_num + '_' + i);
		if(seat_item.hasClass('has-seat'))
		{
			if(tag)
			{
				seat_right_1 = getSeatStatus(seat_item);
				tag = false;
			}
			else
			{
				seat_right_2 = getSeatStatus(seat_item);
				break;
			}
		}
	}
	
	//判断左侧是否跳座
	if(!isNull(seat_left_1) && !isNull(seat_left_2))
	{
		if(seat_left_1 == true && seat_left_2 == false)
		{
			var flag = returnRightSeatStatus(current_x_num,current_y_num,seats_end_num);
			if(flag)
			{
				msg_new('抱歉，不允许跳座选位');
				return false;
			}
		}
	}
	else if(isNull(seat_left_1) && isNull(seat_left_2))
	{
		if(oldStatus == "chooce" && (seat_right_1 == false || seat_right_2 == false ))
		{
			//靠墙或中间空位
			var flag = returnRightSeatStatus(current_x_num,current_y_num,seats_end_num);
			if(flag)
			{
				msg_new('抱歉，不允许跳座选位');
				return false;
			}
		}
	}
	
	//判断右侧是否跳座
	if(!isNull(seat_right_1) && !isNull(seat_right_2))
	{
		if(seat_right_1 == true && seat_right_2 == false)
		{
			var flag = returnLeftSeatStatus(current_x_num,current_y_num,seats_begin_num);
			if(flag)
			{
				msg_new('抱歉，不允许跳座选位');
				return false;
			}
		}
	}
	else if(isNull(seat_right_1) && isNull(seat_right_2))
	{
		if(oldStatus == "chooce" && (seat_left_1 == false || seat_left_2 == false))
		{
			//靠墙或中间空位
			if(seat_right_1 == true && seat_right_2 == false)
			{
				var flag = returnLeftSeatStatus(current_x_num,current_y_num,seats_begin_num);
				if(flag)
				{
					msg_new('抱歉，不允许跳座选位');
					return false;
				}
			}
		}
	}
	
	//勾选掉中间的座位
	if(!isNull(seat_right_1) && !isNull(seat_left_1) && oldStatus =="chooce")
	{
		if(seat_right_1 == false && seat_left_1 == false)
		{
			var flag = false;
			//判断跳座相反方向是否有未选座位
			var seat_left_item = $('#' + current_x_num + '_' + (current_y_num - 1));
			var seat_right_item = $('#' + current_x_num + '_' + (current_y_num + 1));
			var seat_left_num  = getSeatStatusNum(seat_left_item);
			var seat_right_num = getSeatStatusNum(seat_right_item);
		
			
			if((seat_left_num == 0 && seat_right_num == 0) || (seat_left_num == 2 && seat_right_num == 2))
			{
				//两侧座位都为锁定 或都为已选  不能勾掉
				flag = true;
			}
			else if(seat_left_num == 0)
			{
				flag = returnRightSeatStatus(current_x_num,current_y_num,seats_end_num);
			}
			else if(seat_right_num == 0)
			{
				flag = returnLeftSeatStatus(current_x_num,current_y_num,seats_begin_num);
			}
			
			if(flag)
			{
				msg_new('抱歉，不允许跳座选位');
				return false;
			}
		}
	}
	
	return true;
}

function returnLeftSeatStatus(current_x_num,current_y_num,seats_begin_num)
{
	
	//判断跳座相反方向是否有未选座位
	for(var i = current_y_num - 1;i >= seats_begin_num;i--)
	{
		var seat_item = $('#' + current_x_num + '_' + i);
		if(seat_item.hasClass('has-seat'))
		{
			var value  = getSeatStatusNum(seat_item);
			if(value == 2)
			{
				//先有空座位,跳出循环,提示跳座
				return true;
			}
			else if(value == 0)
			{
				//先有锁定座位,可以选择座位
				break;
			}
		}
	}
	return false;
}

function returnRightSeatStatus(current_x_num,current_y_num,seats_end_num)
{
	
	//判断跳座相反方向是否有未选座位
	for(var i = current_y_num + 1;i <= seats_end_num;i++)
	{
		var seat_item = $('#' + current_x_num + '_' + i);
		if(seat_item.hasClass('has-seat'))
		{
			var value  = getSeatStatusNum(seat_item);
			if(value == 2)
			{
				//先有空座位,跳出循环,提示跳座
				return true;
			}
			else if(value == 0)
			{
				//先有锁定座位,可以选择座位
				break;
			}
		}
	}
	return false;
}


function chooceGroupSeats(oldStatus,groupSeats)
{
	
	if(oldStatus == 'Available' || oldStatus == 'chooce'){
		var myInfo = $.parseJSON(plus.storage.getItem("myInfo"));
		$.each(groupSeats,function(i,imgTemp){
			var data = $(imgTemp).data();
			var seat = $(imgTemp).parent().parent();
			if(oldStatus == 'Available'){
				if(i==0)
				{
					if(data.MemberLevelCode != undefined && data.MemberLevelCode != null && data.MemberLevelCode != ''){
						if(data.MemberLevelCode != 'AllUser' && isNull(myInfo)){
							//只有会员等购买
							loginCuzSelectVipSeat("这个座位只能会员购买喔亲~");
							canChooce = false;
							return false;
							
						}else if(data.MemberLevelCode != 'AllUser' && !isNull(myInfo)){
							if(data.MemberLevelCode != 'AllMember' && data.MemberLevelCode.split(',').indexOf(myInfo.LevelCode) == -1){
								//提示登录
								loginCuzSelectVipSeat("您的会员等级暂时不能购买该座位，可以选择其他等级会员卡再购买，或者重新选座。");
								canChooce = false;
								return false;
							}
						}
					}
				}
				
				
				$(imgTemp).addClass("choice");
				$(".ui-selectSeat-tip").hide();
				$(".ui-selected-seat-box").show();
				$("<span class='ui-user-submit'>"+ data.RowNum + "排" + data.ColumnNum + "座</span>").attr("id",data.RowNum + "-" + data.ColumnNum).appendTo($(".ui-selected-seat-box"));
				 //请选座按钮
                $(".ui-submit").removeClass("ui-btn-disabled").addClass("ui-btn-00a1e5").text("确认购买");
                if(!$(".ui-submit").hasClass("ui-btn-disabled")){
        			$(".ion-close-circled").show();
        		}
                if($(imgTemp).hasClass(imageSeatUrl['Available_lover_more_left']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_lover_more_left']).addClass(imageSeatUrl['chooce_lover_more_left']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['Available_lover_more_right']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_lover_more_right']).addClass(imageSeatUrl['chooce_lover_more_right']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['Available_more_middle']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_more_middle']).addClass(imageSeatUrl['chooce_more_middle']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['Available_more_left']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_more_left']).addClass(imageSeatUrl['chooce_more_left']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['Available_more_right']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_more_right']).addClass(imageSeatUrl['chooce_more_right']);
                }
			}else if(oldStatus == 'chooce'){
				$(imgTemp).removeClass("choice");
                $("#" + data.RowNum + "-" + data.ColumnNum).remove();

                if($(imgTemp).hasClass(imageSeatUrl['chooce_lover_more_left']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_lover_more_left']).addClass(imageSeatUrl['Available_lover_more_left']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['chooce_lover_more_right']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_lover_more_right']).addClass(imageSeatUrl['Available_lover_more_right']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['chooce_more_middle']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_more_middle']).addClass(imageSeatUrl['Available_more_middle']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['chooce_more_left']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_more_left']).addClass(imageSeatUrl['Available_more_left']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['chooce_more_right']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_more_right']).addClass(imageSeatUrl['Available_more_right']);
                }
			}
//			var is_vip="";
//			if(data.MemberLevelCode && data.MemberLevelCode != 'AllUser'){
//				is_vip = "vip_";
//			}
			
		});
		//显示价格
		showChooseSeatsPrice();
	}
}

function showChooseSeatsPrice()
{
	 //选中价格		
	 if(getAllSelectedSeats().length > 0){	
		var yprice = parseFloat(price1);
		var currentPrice = (yprice * getAllSelectedSeats().length).toFixed(2);
		var arr = currentPrice.split('.');
		$(".ui-zi").html("¥" + arr[0] + ".");
		if(arr.length > 1)
		{
			$('.ui-zi-0').html(arr[1]);
			$('.ui-fs241').html("原价");
			$('#OriginalPrice').html("原价"+currentPrice);
			$('#OriginalPrice').hide();
		}
		
		if(!isNull(list_seat) && list_seat.length > 1)
		 {
			//显示会员价
		 	var vipprice = parseFloat(price2);
			var currentPrice = (vipprice * getAllSelectedSeats().length).toFixed(2);
			var arr = currentPrice.split('.');
			$(".ui-zi").html("¥" + arr[0] + ".");
			if(arr.length > 1)
			{
				$('.ui-zi-0').html(arr[1]);
				$('.ui-fs241').html("会员价");
				$('#OriginalPrice').show();
				
			}		
		 }
		 else if(!isNull(list_seat) && list_seat.length == 1)
		 {
			 //只有会员价，没有原价
			 if(!card_tag)
			 {
				var vipprice = parseFloat(price2);
				var currentPrice = (vipprice * getAllSelectedSeats().length).toFixed(2);
				var arr = currentPrice.split('.');
				$(".ui-zi").html("¥" + arr[0] + ".");
				if(arr.length > 1)
				{
					$('.ui-zi-0').html(arr[1]);
					$('.ui-fs241').html("会员价");
					
				}		
			 }
		 }
	 }
	 else
	 {
		 $(".ui-zi").html("¥0.");
		 $('.ui-zi-0').html("00");
		 $('#OriginalPrice').html("原价0.00");
		 $(".ion-close-circled").hide();
	     $(".ui-selectSeat-tip").show();
	     $(".ui-submit").removeClass("ui-btn-00a1e5").addClass("ui-btn-disabled").text("请选座");
	 }
}


function chooceGroupSeats(oldStatus,groupSeats)
{
	
	if(oldStatus == 'Available' || oldStatus == 'chooce'){
		var myInfo = $.parseJSON(plus.storage.getItem("myInfo"));
		$.each(groupSeats,function(i,imgTemp){
			var data = $(imgTemp).data();
			var seat = $(imgTemp).parent().parent();
			if(oldStatus == 'Available'){
				if(i==0)
				{
					if(data.MemberLevelCode != undefined && data.MemberLevelCode != null && data.MemberLevelCode != ''){
						if(data.MemberLevelCode != 'AllUser' && isNull(myInfo)){
							//只有会员等购买
							loginCuzSelectVipSeat("这个座位只能会员购买喔亲~");
							canChooce = false;
							return false;
							
						}else if(data.MemberLevelCode != 'AllUser' && !isNull(myInfo)){
							if(data.MemberLevelCode != 'AllMember' && data.MemberLevelCode.split(',').indexOf(myInfo.LevelCode) == -1){
								//提示登录
								loginCuzSelectVipSeat("您的会员等级暂时不能购买该座位，可以选择其他等级会员卡再购买，或者重新选座。");
								canChooce = false;
								return false;
							}
						}
					}
				}
				
				
				$(imgTemp).addClass("choice");
				$(".ui-selectSeat-tip").hide();
				$(".ui-selected-seat-box").show();
				$("<span class='ui-user-submit'>"+ data.RowNum + "排" + data.ColumnNum + "座</span>").attr("id",data.RowNum + "-" + data.ColumnNum).appendTo($(".ui-selected-seat-box"));
				 //请选座按钮
                $(".ui-submit").removeClass("ui-btn-disabled").addClass("ui-btn-00a1e5").text("确认购买");
                if(!$(".ui-submit").hasClass("ui-btn-disabled")){
        			$(".ion-close-circled").show();
        		}
                if($(imgTemp).hasClass(imageSeatUrl['Available_lover_more_left']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_lover_more_left']).addClass(imageSeatUrl['chooce_lover_more_left']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['Available_lover_more_right']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_lover_more_right']).addClass(imageSeatUrl['chooce_lover_more_right']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['Available_more_middle']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_more_middle']).addClass(imageSeatUrl['chooce_more_middle']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['Available_more_left']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_more_left']).addClass(imageSeatUrl['chooce_more_left']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['Available_more_right']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['Available_more_right']).addClass(imageSeatUrl['chooce_more_right']);
                }
			}else if(oldStatus == 'chooce'){
				$(imgTemp).removeClass("choice");
                $("#" + data.RowNum + "-" + data.ColumnNum).remove();

                if($(imgTemp).hasClass(imageSeatUrl['chooce_lover_more_left']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_lover_more_left']).addClass(imageSeatUrl['Available_lover_more_left']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['chooce_lover_more_right']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_lover_more_right']).addClass(imageSeatUrl['Available_lover_more_right']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['chooce_more_middle']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_more_middle']).addClass(imageSeatUrl['Available_more_middle']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['chooce_more_left']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_more_left']).addClass(imageSeatUrl['Available_more_left']);
                }
                else if($(imgTemp).hasClass(imageSeatUrl['chooce_more_right']))
                {
                	$(imgTemp).removeClass(imageSeatUrl['chooce_more_right']).addClass(imageSeatUrl['Available_more_right']);
                }
			}
			
		});
		//显示价格
		showChooseSeatsPrice();
	}
}

//获取已选座位
function getAllSelectedSeats(){
	var seats = $('.choice');
	return seats;
}

//获取分组座位
function getGroupSeat(groupNo,seats){
	var results = seats.filter(function(seat){
		return seat.GroupCode == groupNo;
	});
	if(results.length > 1){
		var result = {groupNo : groupNo , seats :results};
		return result;
	}
}

function groupSeat(){
	var seatRows = [];
	$.each(mySeatDatas,function(i,item){
		var repeat = false;
		$.each(seatRows,function(i,row){
			if(row.RowNum == item.RowNum){
				repeat = true;
				row.seats.push(item);
				return false;
			}
		});
		if(repeat == false){
			var seats = [];
			seats.push(item);
			seatRows.push({RowNum : item.RowNum , seats : seats});
		}
		if(item.Status != 'Available' && item.Status != 'chooce' ){
			item.Status = 'Unavailable';
		}
	});
	return seatRows;
}



function findCoordYSeats(coordY){
	var tempRows = mySeatDatas.filter(function(seat){
		return (seat.YCoord == coordY+"");
	});
	return tempRows;
}




/**
 * 后退按钮刷新界面后,将订单中已选中的位图状态置位"已选择"
 */
function recoverySeats()
{
	if(userLockSeats.length > 0)
	{
		$(".ui-selected-seat-box").show();
		 //请选座按钮
        $(".ui-submit").removeClass("ui-btn-disabled").addClass("ui-btn-00a1e5").text("确认购买");
	}
	
	$.each(userLockSeats,function(i,item){
		
		var seatCode = replaceAll(item,'#','');
		var seat =  $("[name='"+seatCode+"']");
		

		if(seat.length > 1)
		{
			$.each(seat,function(i,value){
			
				changeSeats(value);
			});
		}
		else
		{
			//状态转换为"已选择状态"
			changeSeats(seat);
		}
	});
}


function changeSeats(seat)
{		
	seat = $(seat);
	var data = seat.data();
	if(isNull(data))
	{
		return;
	}
	
	//状态转换为"已选择状态"
	if(seat.hasClass(imageSeatUrl['Available_lover_more_left']))
    {
		seat.removeClass(imageSeatUrl['Available_lover_more_left']).addClass(imageSeatUrl['chooce_lover_more_left']);
    }
    else if(seat.hasClass(imageSeatUrl['Available_lover_more_right']))
    {
    	seat.removeClass(imageSeatUrl['Available_lover_more_right']).addClass(imageSeatUrl['chooce_lover_more_right']);
    }
    else if(seat.hasClass(imageSeatUrl['Available_more_middle']))
    {
    	seat.removeClass(imageSeatUrl['Available_more_middle']).addClass(imageSeatUrl['chooce_more_middle']);
    }
    else if(seat.hasClass(imageSeatUrl['Available_more_left']))
    {
    	seat.removeClass(imageSeatUrl['Available_more_left']).addClass(imageSeatUrl['chooce_more_left']);
    }
    else if(seat.hasClass(imageSeatUrl['Available_more_right']))
    {
    	seat.removeClass(imageSeatUrl['Available_more_right']).addClass(imageSeatUrl['chooce_more_right']);
    }
    else if(seat.hasClass(imageSeatUrl['Unavailable_lover_more_left']))
	{
		seat.removeClass(imageSeatUrl['Unavailable_lover_more_left']).addClass(imageSeatUrl['chooce_lover_more_left']);
	}
	else if(seat.hasClass(imageSeatUrl['Unavailable_lover_more_right']))
	{
		seat.removeClass(imageSeatUrl['Unavailable_lover_more_right']).addClass(imageSeatUrl['chooce_lover_more_right']);
	}
	else if(seat.hasClass(imageSeatUrl['Unavailable_more_middle']))
	{
		seat.removeClass(imageSeatUrl['Unavailable_more_middle']).addClass(imageSeatUrl['chooce_more_middle']);
	}
	else if(seat.hasClass(imageSeatUrl['Unavailable_more_left']))
	{
		seat.removeClass(imageSeatUrl['Unavailable_more_left']).addClass(imageSeatUrl['chooce_more_left']);
	}
	else if(seat.hasClass(imageSeatUrl['Unavailable_more_right']))
	{
		seat.removeClass(imageSeatUrl['Unavailable_more_right']).addClass(imageSeatUrl['chooce_more_right']);
	}
	else if(seat.hasClass(imageSeatUrl['Unavailable']))
	{
		seat.removeClass(imageSeatUrl['Unavailable']).addClass(imageSeatUrl['chooce']);
	}
	else
	{
		seat.addClass(imageSeatUrl['chooce']);
	}
	
	seat.addClass("choice");
	
	$("<span class='ui-user-submit'>"+ data.RowNum + "排" + data.ColumnNum + "座</span>").attr("id",data.RowNum + "-" + data.ColumnNum).appendTo($(".ui-selected-seat-box"));
}


/**
 * 选择有会员限制的座位需要登录获取会员等级
 */
var loginSeatResult = {};
function loginCuzSelectVipSeat(preMsg) {

	var msg = "我现在就要去登录！"
	if(preMsg != null && preMsg != ""){
		msg = preMsg;
	}
	var btnArray = ['再想想', '登录'];
	mui.confirm(msg, ' ', btnArray, function(e) {
		if(e.index == 1) {
			openPage('login','/pages/login.html',{});
		} else {
			console.log('取消!');
		}
	})
}

function loginBeforeLockSeat(){
	var type="^[0-9]*[1-9][0-9]*$"; 
    var re = new RegExp(type);
	var mobileNum = $("#mobileNum").val();  	//手机号码/会员卡号
	var pssword = $("#password").val();  		//登录密码
	
	if(isNull(mobileNum)){
		msg_new("请输入手机号码或会员卡号");  return;
	}else if(mobileNum.match(re)==null ){
		msg_new("手机号码或会员卡号,只能输入数字");  return;
	}
	if(isNull(pssword)){
		msg_new("请输入密码");   return;
	}
	if(!phoneValidator(mobileNum)){
		return;
	}
	if(!passwordValidator(pssword,false)){
		return;
	}
	mui.ajax({
		url : web_root + '/appService?method=loginBeforeLockSeat',
		type : 'post',
		dataType:'json',
		data:{
			"auth":auth_code,
			"wecha_id":getWechaId(),
			"cinemaCode":CinemaCode,
			"mobileNum":mobileNum,
			"pssword":hex_md5(pssword)
		},
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			if (!isNull(data) && data.msgCode == "0") {
 				plus.storage.setItem('mobileNum',mobileNum);
 				plus.storage.setItem('levelCode',data.memberInfo.LevelCode);
	 		}else{
	 			msg_new(data.msg);
			}
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}
	});		
}

/**手机验证**/
function phoneValidator(phoneNum){
	var type="^[0-9]*[1-9][0-9]*$"; 
    var re = new RegExp(type);
	if(isNull(phoneNum)){
		msg_new("请输入手机号码");
		return false;
	}
	else{
	  return true;
	}
}
/**密码验证**/
function passwordValidator(pwd,isConfirmPass){
	var re= /^\d*$/g;
	if(isNull(pwd)){
		msg_new(isConfirmPass ? "请输入确认密码" : "请输入密码");  
		return false;
	}else if(!re.test(pwd) || pwd.length != 6){
		msg_new(isConfirmPass ? "请输入6位数字的确认密码" : "请输入6位数字的密码"); 
		return false;
	}else{
		return true;
	}
}


//原始x位移
var recovery_x=0;
//原始放大倍数
var recovery_scaleNums=1;
//放大倍数
var scaleNums;
//最大放大倍数
var MaxScaleNums;
//缩小倍数
var MinScaleNums=1;

//恢复原有大小
function recovery()
{
	scaleNums=recovery_scaleNums;
	zoomFlag=true;
	$(".seats-inner").css({
		"transform":"translate("+recovery_x+"px, 0px) scale("+scaleNums+")",
		"transform-origin": "0px 0px 0px"

	});
	
	$(".seat-number").css({
		"transform":"translate(0px, 0px) scale("+scaleNums+")",
		"transform-origin": "0px 0px 0px",
		"transition-timing-function": "cubic-bezier(0.1, 0.57, 0.1, 1)"
	});
	
	$('.seat_table_margin ,.seat-number').css('margin-top',0);
	$('.seat_table_margin').css('margin-left',0);
	
	$(".ion-close-circled").hide();
    $(".ui-selectSeat-tip").show();
    $(".ui-submit").removeClass("ui-btn-00a1e5").addClass("ui-btn-disabled").text("请选座");
}



/** 提交订单或进行登录 */
function turnToLoginPage(chooce_seats,urlParam)
{
	var seatcodeList = [];
	$.each(chooce_seats,function(i,item){
		var seatcode = item.SeatCode;//得到座位seatcode
		seatcodeList.push(seatcode);
	});
	
	var parama = {auth : auth_code, wecha_id : getWechaId(), CinemaCode : CinemaCode, FeatureAppNo : FeatureAppNo, OrderPayType : 'CRM',
			seatcodeList : seatcodeList.join(","),appAccess:true,app:"true"};
	
	planInfo.filmName = cinemaPlanDto.PlanFilmNames;
	planInfo.seatCount = chooce_seats.length;
	planInfo.attachDir = attachDir;
    planInfo.MaxSingleGoodsSelect=MaxSingleGoodsSelect;
    planInfo.MaxGoodsSelect = MaxGoodsSelect;
    planInfo.choose_seat_num = chooce_seats.length;
    
    //将数据放入缓存，便利使用
	plus.storage.setItem('planInfo',JSON.stringify(planInfo));
	plus.storage.setItem('attachDir',attachDir);
	if (!isNull(plus.storage.getItem("myInfo"))) {

		//绑定，直接提交
		createOrder(urlParam,parama);
	}else{

		plus.storage.setItem("seatParam", JSON.stringify(parama));
		plus.storage.setItem("seatChangeUrl", JSON.stringify(urlParam));
		
		var prices  = memPriceList;
		var schedulePrice = [];
		if(!isNull(prices) && prices.length > 0){
			$.each(prices,function(i,item){
				if(item.featureAppNo == FeatureAppNo && !isNull(item.cardLevelCode)){
					schedulePrice.push(item);
				}
			});
			schedulePrice = schedulePrice.sort(function(a,b){
				if(a.price != b.price){
					return a.price-b.price;
				}
			});
		}
		var lowerPrice = 0;
		if(!isNull(schedulePrice) && schedulePrice.length > 0){
			lowerPrice = (parseFloat(schedulePrice[0].price) + parseFloat(cinemaPlanDto.ServiceAddFee) + parseFloat(cinemaPlanDto.ServicePrice)).toFixed(2);
		}
		var param = {
			cinemaCode:CinemaCode,
			lowerPrice:lowerPrice
		}
		openPage("loginPre","../loginPre.html",param);
	} 
}

/** 提交订单 */
function createOrder(urlParam,parama){
	console.info("========================================================================================");
	console.info("urlParam:" + JSON.stringify(urlParam));
	console.info("parama:" + JSON.stringify(parama));
	if(getWechaId() != plus.device.uuid){
		parama.tourist_id = plus.device.uuid;
	}
	mui.ajax({
		url : web_root + '/appService?method=lockSeats',
		type : 'post',
		dataType:'json',
		data:parama,
	  	beforeSend: function(data) {
	  		if(mui.os.plus){
	  			plus.nativeUI.showWaiting(); 
	  		}
	  	},
	  	timeout : 100000,
	  	success : function(data){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
			console.info("order:" +JSON.stringify(data));
			if(typeof data == "string") data = eval('(' + data + ')'); 
		    if (data.state == 0 ) {
				//如果锁座失败,跳转回排期页面
				confirm_new(data.msg, function () {
		            //openPage('index','/index.html',{});
		            backHomePage();
		        });
			}else{
				var param = {
					cinemaCode:CinemaCode,
					autoAppend:true,
					orderNumber:data.OrderNumber
				}
				openPage(urlParam.id,urlParam.page,param);
			}
	  	},
	  	error : function(xhr,type,errorThrown){
		  	if(mui.os.plus){
		  		plus.nativeUI.closeWaiting();  
		  	}
	  	}
	});	
}

/*** 跳转选座位页面*/
function turnToSelectSeatPage(featureAppNo){
	$(".model_css_warp,.model_css").hide();
	FeatureAppNo = featureAppNo;
	//openPage('seat','../seat/seat.html',param);
	//预处理操作
	pretreatment();
	//会员票价
	getCurrentScheduleMemberPrices();
	//加载座位图
    getSeatsData();
	//绑定事件
	bindMoviePageEvent();
}

/*********************************************************** 工具方法  ***********************************************************/

/**
 * 当前座位是否可选
 */
function getSeatStatus(me)
{
	var meCarToon = $(me).find('.cartoon-pic');
	if(meCarToon.hasClass("icon_no_buy") || meCarToon.hasClass("vip-one-seat-sold") || 
			meCarToon.hasClass("group-seat-sold-left") || meCarToon.hasClass("group-seat-sold-center") || 
			meCarToon.hasClass("group-seat-sold-right") || meCarToon.hasClass("lover-double-seat-sold-right") || 
			meCarToon.hasClass("lover-double-seat-sold-left") || meCarToon.hasClass('choice'))
	{
		//已选座位或已锁定座位
		return false;
	}else{
		//可选
		return true;
	}
}

/**
 * 当前座位是否已被锁定
 */
function getSeatStatusNum(me)
{
	var meCarToon = $(me).find('.cartoon-pic');
	if(meCarToon.hasClass("icon_no_buy") || meCarToon.hasClass("vip-one-seat-sold") || 
			meCarToon.hasClass("group-seat-sold-left") || meCarToon.hasClass("group-seat-sold-center") || 
			meCarToon.hasClass("group-seat-sold-right") || meCarToon.hasClass("lover-double-seat-sold-right") || 
			meCarToon.hasClass("lover-double-seat-sold-left"))
	{
		//已锁定座位
		return 0;
	}else if(meCarToon.hasClass('choice')){
		//已选
		return 1;
	}else{
		//可选
		return 2;
	}
}

/** 
 *  检验票价精确位数
 */
function checkPrice(price){
	price =  parseFloat(price).toFixed(2);
	var priceArr = price.split(".");
	if(priceArr[1].lastIndexOf("0") == 1){
		price =  parseFloat(price).toFixed(1);
	}
	return price;
}

/**转换日期**/
function transferDate(selectDate){
	var date1= getCurrentDate();
    var date2 = new Date(selectDate);
    var diffDays = parseInt(Math.abs(date2.getTime() - date1.getTime()) / 1000 / 60 / 60 /24); //把相差的毫秒数抽象為天数
    var selectDateArr = selectDate.substring(5,selectDate.length).split('-');
    var transResultDate = selectDateArr[0]+"月"+selectDateArr[1]+"日";
    switch(diffDays){
    	case 0 : transResultDate =	"今天"+" "+transResultDate;break;
    	case 1 : transResultDate =	"明天"+" "+transResultDate;break;
    	case 2 : transResultDate =	"后天"+" "+transResultDate;break;
    	default: transResultDate;
    }
    return transResultDate;
}

function replaceAll(str,arg1,arg2){
	return str.replace(new RegExp(arg1,'gm'),arg2);
}

function page_height(){
	var pageHeight = window.innerHeight;
	var headHeight = $(".seat_head").innerHeight();
	var icoHeight = $(".seat .ico").innerHeight();
	var hallHeight = $(".seat .hall_name").innerHeight();
	$(".ui_wrapper").css({"height":pageHeight-headHeight-icoHeight-hallHeight});
}

/*********************************************************** 座位图及布局控制  ***********************************************************/


/**
 * 座位图手指滑动缩放监听begin
 */

function touchStartHandler(ev){
	var touches = ev.touches,changeTouches=ev.thangeTouches;
	var touch = touches[0];

	
	if(touches.length == 2){
		var touch1 = touches[1];
		doubleTouch = true;
		//两指间距离值
		range = Math.abs(touch.clientX - touch1.clientX);
		range += Math.abs(touch.clientY - touch1.clientY);
		//两指中心点坐标
		centerX = (touch.clientX + touches[1].clientX)/2;
		centerY = (touch.clientY + touches[1].clientY)/2 - $("#title_item").height();
		//座位图位移值
		var translates=$(".seats-inner").css("transform");
		var translateX=parseFloat(translates.substring(7).split(',')[4]);
		var translateY=parseFloat(translates.substring(7).split(',')[5]);
		//座位图宽度(座位图宽度*缩放系数)
		var seatsWidth=(signtitleWidth*scaleNums).toFixed(2);
		scaleLeft=(Math.abs(centerX-translateX)/seatsWidth).toFixed(2);
		//座位图高度(座位行号高度*缩放系数)
		var rowsHeight=(sumsxlHeight*scaleNums).toFixed(2);
		scaleTop=(Math.abs(centerY-translateY)/rowsHeight).toFixed(2);
		
		
	}else if(touches.length == 1){
		x = touch.clientX;
		y = touch.clientY;
	}
}
var x = 0;
var y = 0;
var doubleTouch = false;
var range = 0;
var centerX = 0;
var centerY = 0;
var correct_num=0.1;//缩放比例，13.33个位移对应缩放0.1倍
var correct_quot=0.075;//缩放标准位移，默认为0.075,(x/5=x*0.2以此类推)

var scaleLeft;//左比例
var scaleTop;//上比例

function touchHandler(ev){
	ev.preventDefault();
	var touches = ev.touches,changeTouches=ev.thangeTouches;
	var touch = touches[0];
	//拖拽
	if(touches.length == 1 && !doubleTouch){
		
		var rowsHeight=(sumsxlHeight*scaleNums).toFixed(2);//缩放后序列行高度
		var seatsWidth=(sumsseatWidth*scaleNums).toFixed(2);//缩放后最长一排座位宽度
		
		var winWidth=$(window).width();//屏幕宽度
		var winHeight=$(window).height();//屏幕高度
		
		//计算位移
		var tempX = touch.clientX - x;
		var tempY = touch.clientY - y;
		
		var translates=$(".seats-inner").css("transform");
		var translateX=parseFloat(translates.substring(7).split(',')[4]);
		var translateY=parseFloat(translates.substring(7).split(',')[5]);
		
		translateX+=tempX;
		translateY+=tempY;

		$(".seat-number").css({
			"transform": "translate(0px, "+translateY+"px) scale("+scaleNums+")",
			"transition-duration":" 0ms"
		});

		$(".seats-inner").css({
			"transform": "translate("+translateX+"px, "+translateY+"px) scale("+scaleNums+")",
			"transition-duration":" 0ms"
		});
		x = touch.clientX;
		y = touch.clientY;
	}
	//缩放
	else if(touches.length == 2 && range != 0){
		var touch1 = touches[1];
		
		//横纵坐标差的绝对值想家
		var diffrent = Math.abs(touch.clientX - touch1.clientX);
		diffrent += Math.abs(touch.clientY - touch1.clientY);
		var distance=Math.abs(diffrent - range);
		//计算手指不离开，每次移动距离差
		if(distance>2){
			//距离差大于2(减少无用触发),进行缩放操作
			var changeStep = distance;
			if(diffrent < range){
				//缩小
				changeStep = -distance;
			}
			//缩放系数
			var changeNum = changeStep * correct_quot * correct_num;
			
			scaleNums = parseFloat(scaleNums)+parseFloat(changeNum);
			if(scaleNums<=0)
			{
				return;
			}
			
			//当前座位图位移值
			var translates=$(".seats-inner").css("transform");
			var translateX=parseFloat(translates.substring(7).split(',')[4]);
			var translateY=parseFloat(translates.substring(7).split(',')[5]);
			
			//缩放后座位图长宽
			var seatsWidth=(signtitleWidth*scaleNums).toFixed(2);
			var rowsHeight=(sumsxlHeight*scaleNums).toFixed(2);
			
			var distanceX=0;//缩放后需移动X轴位移
			var distanceY=0;//缩放后需移动Y轴位移
			
			//X轴位移偏移值
			if(translateX <= 0)
			{
				//屏幕当前显示的座位图左端没有空隙
				distanceX=-(parseFloat(seatsWidth)*parseFloat(scaleLeft)-centerX);
			}
			else
			{
				//有空隙,判断双指中心点是否在空隙中
				if(centerX > translateX)
				{
					//中心点不在空隙中
					distanceX=centerX-seatsWidth*scaleLeft;
				}
				else
				{
					//中心点在空隙中
					distanceX=centerX+seatsWidth*scaleLeft;
				}
			}
			
			//Y轴位移偏移值
			if(translateY <= 0)
			{
				distanceY=-(parseFloat(rowsHeight)*parseFloat(scaleTop)-centerY);
			}
			else
			{
				
				if(centerY > translateY)
				{
					distanceY=centerY-rowsHeight*scaleTop;
				}
				else
				{
					distanceY=centerY+rowsHeight*scaleTop;
				}
			}
			
			$(".seats-inner").css({
				"transform":" translate("+distanceX+"px,"+distanceY+"px) scale("+scaleNums+")"
			});
			$(".seat-number").css({
				"transform":" translate(0px,"+distanceY+"px) scale("+scaleNums+")"
			});
			range = diffrent;
		}
	}
}

function touchEnd(ev){
	
	//屏幕显示座位图长宽
	var screenHeight = $(".small-seats").height();
	var screenWidth = $(".small-seats").width();
	
	//放大倍数大于最大放大系数，恢复倍数为最大放大系数
	if(scaleNums>MaxScaleNums)
	{
		scaleNums=MaxScaleNums;
		
		//座位图位移值
		var translates=$(".seats-inner").css("transform");
		var translateX=parseFloat(translates.substring(7).split(',')[4]);
		var translateY=parseFloat(translates.substring(7).split(',')[5]);
		
		var seatsWidth=(signtitleWidth*scaleNums).toFixed(2);
		var rowsHeight=(sumsxlHeight*scaleNums).toFixed(2);
		
		var distanceX=translateX;//缩放后需移动X轴位移
		var distanceY=translateY;//缩放后需移动Y轴位移
		
		if(translateX <= 0)
		{
			//屏幕当前显示的座位图左端没有空隙
			distanceX=-(parseFloat(seatsWidth)*parseFloat(scaleLeft)-centerX);
		}
		else
		{
			//有空隙,判断双指中心点是否在空隙中
			if(centerX > translateX)
			{
				//中心点不在空隙中
				distanceX=centerX-seatsWidth*scaleLeft;
			}
			else
			{
				//中心点在空隙中
				distanceX=centerX+seatsWidth*scaleLeft;
			}
		}
		
		if(translateY <= 0)
		{
			distanceY=-(parseFloat(rowsHeight)*parseFloat(scaleTop)-centerY);
		}
		else
		{
			
			if(centerY > translateY)
			{
				distanceY=centerY-rowsHeight*scaleTop;
			}
			else
			{
				distanceY=centerY+rowsHeight*scaleTop;
			}
		}
		
		$(".seats-inner").css({
			"transform":" translate("+distanceX+"px,"+distanceY+"px) scale("+scaleNums+")"
		});
		$(".seat-number").css({
			"transform":" translate(0px,"+distanceY+"px) scale("+scaleNums+")"
		});
		
	}
	
	//缩小倍数进行控制
	if(signtitleWidth*scaleNums < screenWidth && sumsxlHeight*scaleNums < screenHeight)
	{
		
		var scale_width = parseFloat(screenWidth)/parseFloat(signtitleWidth);
		var scale_height = parseFloat(screenHeight)/parseFloat(sumsxlHeight);
		
		scaleNums = scale_width > scale_height ? scale_height : scale_width;
		
		if(scaleNums>recovery_scaleNums)
		{
			scaleNums=recovery_scaleNums;
		}
		
		$(".seats-inner").css({
			"transform":" translate(0px,0px) scale("+scaleNums+")"
		});
		$(".seat-number").css({
			"transform":" translate("+ x_offset +"px,0px) scale("+ scaleNums +")"
		});
		
		return;
	}

	
	//当前座位图位移值
	var translates = $(".seats-inner").css("transform");
	var translateX = parseFloat(translates.substring(7).split(',')[4]);
	var translateY = parseFloat(translates.substring(7).split(',')[5]);
	
	//当前座位图长宽
	var width = (signtitleWidth*scaleNums).toFixed(2);
	var height = (sumsxlHeight*scaleNums).toFixed(2);
	
	//X轴位移偏移值极限
	if(translateX > 0)
	{
		translateX = 0;
	}
	else if(width <= screenWidth)
	{
		translateX = 0;
	}
	else if(translateX < -(width-screenWidth+50*scaleNums))
	{
		translateX = -(width-screenWidth+50*scaleNums);
	}
	
	//Y轴位移偏移值极限
	if(translateY > 0)
	{
		translateY = 0;
	}
	else if(height <= screenHeight)
	{
		translateY = 0;
	}
	else if(translateY < -(height-screenHeight+100*scaleNums))
	{
		translateY = -(height-screenHeight+100*scaleNums);
	}
	
	$(".seat_table_margin").css({
		"transform":" translate("+translateX+"px,"+translateY+"px) scale("+scaleNums+")",
		"transition-duration":" 400ms"
	});
	
	$(".seat-number").css({
		"transform":" translate(0px,"+translateY+"px) scale("+scaleNums+")",
		"transition-duration":" 400ms"
	});
	
	
	setTimeout(function(){
		$(".seats-inner,.seat-number,.look-b").css({
			"transition-duration":"0ms"
		});
		
	},405);

	
	if(ev.touches.length < 1){
		doubleTouch = false;
	}
	var x = 0;
	var y = 0;
	range = 0;
	
	scaleLeft = 0 ;
	scaleTop = 0;
}



var sumsxlHeight;//序列号总长度
var sumsseatWidth;//最长一排座位宽度
var x_offset;//初始x轴偏移值
var signtitleWidth;//座位图宽度

function controlSeat(){

	var stHeight=$('.ui-relative').outerHeight(true); //头部高度
	var sfHeight=$('.ui-footer-box').outerHeight(true);//尾部高度
	var scHeight=$(window).height();//视墙高度
	var sbHeight=scHeight-sfHeight-stHeight;//中间的高度
	var ssHeight=sbHeight-10;//座位盒子的高度，理上边10px
	var oneseatWidth=$(".seat1").outerHeight(true);//一个座位的宽度
	var seatZwnums=[];//数组接受每排座位的个数
	$(".seat-table .seat-row").each(function(index)
	{
		var a=$(".seat-table .seat-row").eq(index).children("span").length;
		seatZwnums.push(a);
	});
	var cseatZwnums=Math.max.apply(null, seatZwnums);//算出最多一排最多座位的个数
	sumsseatWidth=cseatZwnums*oneseatWidth//最长一排座位的宽度
	signtitleWidth=sumsseatWidth + 30;
	var onexlHeight=$(".seat-no-ul li").outerHeight(true);//一个序列行数的高度
	var numsxl=$(".seat-no-ul li").length;
	sumsxlHeight=$(".seat-no-ul").outerHeight(true);//序列号的总长度
	var middlelineHeight=sumsxlHeight-(sumsxlHeight-numsxl*onexlHeight)/2;
	var middlelineWidth=sumsseatWidth/2;
	var showWidth=$(".seats-wrapper").width();//座位图能显示的宽度
	var showHeight=ssHeight-10;//座位图能显示的高度
	x_offset=-((signtitleWidth-showWidth)/2);//座位图X轴的偏移值
	var y_offset=showHeight-sumsxlHeight;
	var W_max_seatnum_x=showWidth/signtitleWidth;
	var W_max_seatnum_y=showHeight/sumsxlHeight;
	scaleNums=Math.min(W_max_seatnum_x,W_max_seatnum_y);
	$(".ui-seat-wrap").css({"height":sbHeight,"min-height":sbHeight});//设置最外座位盒子高固定，宽100%;
	$(".s-seats").css({"max-height":ssHeight});//下一级
	$(".seats-wrapper").css({"height":ssHeight});//下一级
	$(".seats-inner").css({"width":signtitleWidth});
	$(".seat-table").css({"width":sumsseatWidth});
	$(".seat-row").css({"width":sumsseatWidth,"height":onexlHeight});//设置一排座位的长度和宽度
	$(".theater-screen,.sign").css({"width":signtitleWidth});//设置座位头部图片宽度
	$(".seat-number").css({"height":sumsxlHeight});//设置序列盒子的高度
	$(".mid-line").css({"height":middlelineHeight,"left":middlelineWidth});//设置中线的xy坐标
	
	recovery_scaleNums = scaleNums<1?1:scaleNums;
	
	MaxScaleNums = recovery_scaleNums + 1;
	
	//座位图初始化
	if(signtitleWidth > showWidth){
	if(scaleNums < 1){scaleNums = 1;}
		
		$(".seats-inner").css({
			"transform":"translate("+x_offset+"px, 0px) scale("+scaleNums+")",
			"transform-origin": "0px 0px 0px",
			"transition-duration":" 400ms",
			"transition-timing-function": "cubic-bezier(0.1, 0.57, 0.1, 1)"
		});
		$(".seat-number").css({
			"transform":"translate(0px, 0px) scale("+scaleNums+")",
			"transform-origin": "0px 0px 0px",
			"transition-duration":" 400ms",
			"transition-timing-function": "cubic-bezier(0.1, 0.57, 0.1, 1)"
		});
	}else
	{
		oneseatWidth=$(".seat1").outerHeight(true);//一个座位的宽度
		sumsseatWidth=cseatZwnums * oneseatWidth;//最长一排座位的宽度
		x_offset=((signtitleWidth * scaleNums - showWidth)/2);//座位图X轴的偏移值
		$(".seats-inner").css({
			"transform":"translate("+x_offset+"px, 0px) scale("+scaleNums+")",
			"transform-origin": "0px 0px 0px",
			"transition-duration":" 400ms",
			"transition-timing-function": "cubic-bezier(0.1, 0.57, 0.1, 1)"
		});
		$(".seat-number").css({
			"transform":"translate(0px, 0px) scale("+scaleNums+")",
			"transform-origin": "0px 0px 0px",
			"transition-duration":" 400ms",
			"transition-timing-function": "cubic-bezier(0.1, 0.57, 0.1, 1)"
		});
	}
	
	recovery_x = x_offset;
	
	//渐变时间置位0
	setTimeout(function(){
		//缩放后，渐变时间改为0
		$(".seats-inner,.seat-number").css({
			"transition-duration":"0ms"
		});
	
	},405);
	

	//点击座位
	$(".seats-inner .seat1").on("click",function(e)
	{
		
		var me = $(this);
		var meCarToon = me.find('.cartoon-pic');
		if(meCarToon.hasClass("icon_no_buy") || meCarToon.hasClass("vip-one-seat-sold") || 
				meCarToon.hasClass("group-seat-sold-left") || meCarToon.hasClass("group-seat-sold-center") || 
				meCarToon.hasClass("group-seat-sold-right") || meCarToon.hasClass("lover-double-seat-sold-right") || 
				meCarToon.hasClass("lover-double-seat-sold-left"))
		{
			//已选座位直接返回
			return;
		}
		
		if(chooceSeat(me) == false)
		{
			return;
		}
	
		if(zoomFlag)
		{
			zoomFlag = false;
		}else
		{
			//判断是否还有选择的座位
			if(getAllSelectedSeats().length < 1)
			{
				recovery();
				
			}
			return;
		}
		
		e = e||window.event;
		
		//座位坐标
		var clientX = e.clientX;
		var clientY = e.clientY-$("#title_item").height();
		
		if(scaleNums >= recovery_scaleNums+0.5)
		{
			return;
		}
		
		//座位图屏幕长宽
		var screenHeight = $(".small-seats").height();
		var screenWidth = $(".small-seats").width();
		
		//座位图当前位移值
		var translates = $(".seats-inner").css("transform");
		var translateX = parseFloat(translates.substring(7).split(',')[4]);
		var translateY = parseFloat(translates.substring(7).split(',')[5]);
		
		//座位距离最左端和顶端距离
		var topDistance = clientY-translateY;
		var leftDistance = clientX-translateX;
		
		//座位图全局长宽
		var width = (signtitleWidth*scaleNums).toFixed(2);
		var height = (sumsxlHeight*scaleNums).toFixed(2);
		
		//当前位置在座位图中的长宽比例
		var left_scale = (leftDistance/width).toFixed(2);
		var top_scale = (topDistance/height).toFixed(2);
		
		//缩放倍数
		scaleNums = recovery_scaleNums+0.5;
		
		//缩放后长宽
		width = (signtitleWidth*scaleNums).toFixed(2);
		height = (sumsxlHeight*scaleNums).toFixed(2);

		//当前位置距中心点距离
		var x_shift = screenWidth * 0.5 - clientX;
		var y_shift = screenHeight * 0.5 - clientY;
		
		//计算缩放后的x y轴的位移值
		distanceX = -(parseFloat(width) * parseFloat(left_scale) - clientX) + x_shift;
		distanceY = -(parseFloat(height) * parseFloat(top_scale) - clientY) + y_shift;
		
		//X轴偏移极限
		if(distanceX > 0)
		{
			distanceX = 0;
		}
		else if(width <= screenWidth)
		{
			distanceX = 0;
		}
		else if(distanceX < -(width - screenWidth + 50 * scaleNums))
		{
			distanceX=-(width - screenWidth + 50 * scaleNums);
		}
		
		//Y轴偏移极限
		if(distanceY > 0)
		{
			distanceY = 0;
		}
		else if(height <= screenHeight)
		{
			distanceY = 0;
		}
		else if(distanceY < -(height - screenHeight + 100 * scaleNums))
		{
			distanceY=-(height - screenHeight + 100 * scaleNums);
		}
		
		$(".seats-inner").css({
			"transform":" translate("+distanceX+"px,"+distanceY+"px) scale("+scaleNums+")",
			"transition-duration":" 400ms"
		});
		$(".seat-number").css({
			"transform":" translate(0px,"+distanceY+"px) scale("+scaleNums+")",
			"transition-duration":" 400ms"
		});
		

		setTimeout(function(){
			//缩放后，渐变时间改为0
			$(".seats-inner,.seat-number").css({
				"transition-duration":"0ms"
			});
		
		},405);
		
		
		$(".ui-selected-seat-box").show();
		//$(".ui-selectSeat-tip").hide();
		if(!$(".ui-submit").hasClass("ui-btn-disabled")){
			$(".ion-close-circled").show();
		}
	});
}