var orderNumber = '';
var starttime = 0;
var tpfee = 0;
var tickenum = 0;
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	orderNumber = self.orderNum;
	// 请求参数
	var param = {
		'auth': auth_code,
		'wecha_id': getWechaId(),
		'OrderNumber': orderNumber
	}
	Ajax(web_root + "/appService?method=ordersDeatail", 'post', 'json', param, AjaxBeforeSendFn, AjaxSuccessFn, AjaxErrorFn, AjaxCompleteFn, '待支付获取详情');
})

//判断thisValue是否为空
function isNull(thisValue) {
	thisValue = thisValue != undefined ? $.trim(thisValue) : thisValue;
	if(thisValue == "" || thisValue == null || thisValue == "undefined" || thisValue == "null" || thisValue == '"null"') {
		return true;
	}
	return false;
}

// 数据加载前
function AjaxBeforeSendFn() {
	plus.nativeUI.showWaiting('');
}
// 数据处理
function AjaxSuccessFn(data) {
	if(data.state == "1" || data.state == 1) {
		displayDetail(data);
	} else {
		mui.toast('加载订单失败~');
	}
}
// 数据错误显示
function AjaxErrorFn(reqFrom, msg) {
	console.log(reqFrom, '数据请求错误：', msg);
}

// 数据加载完成
function AjaxCompleteFn() {
	plus.nativeUI.closeWaiting();
}

// 数据请求
function Ajax(url, type, dataType, param, beforeSendFn, successFn, errorFn, completeFn, reqFrom) {
	$.ajax({
		url: url,
		type: type,
		data: param,
		dataType: dataType,
		beforeSend: function() {
			beforeSendFn();
		},
		success: function(data) {
			successFn(data);
		},
		error: function(msg) {
			errorFn(reqFrom, msg);
		},
		complete: function() {
			completeFn();
		}
	})
}
// 填充信息
function displayDetail(data) {
	console.log(JSON.stringify(data));
	var ordersDto = data.ordersDto;
	var cinemaPlanDto = data.cinemaPlanDto;
	var orderItemDtos = data.orderItemDtos;
	CinemaCode = ordersDto.CinemaCode;
	$("#cinemaName").html(ordersDto.CinemaName);
	$("#orderNumber").html(ordersDto.OrderNumber);
	var OrderCodeDis = ordersDto.OrderCode;
	if(!isNull(cinemaPlanDto)) {
		$("#filmName").html(cinemaPlanDto.PlanFilmNames + '<span class=\'font12-666\'> x ' + ordersDto.TicketCount + '</span>');
		$("#hallName").html(cinemaPlanDto.ScreenName);
		var startTime_this = subTimeSeconds(cinemaPlanDto.StartTime);
		starttime = cinemaPlanDto.StartTime;
	}

	$("#show_time").html(startTime_this);
	$("#orderStatus").html(ordersDto.OrderStatusName);
	$("#mobilePhone").html(ordersDto.MobilePhone);
	$('#createTime').html(ordersDto.CreateTime);
	if(ordersDto.canPay == '1') {
		$(".needPay").show();
	} else {
		$(".needPay").remove();
		var istp = data.tpXLK;
		tpfee = data.tpFee;

	}
	var seatNames = '';
	var merLi = '';
	for(var j = 0; j < orderItemDtos.length; j++) {
		if(orderItemDtos[j].OrderItemType == 'MER') {
			// 卖品
			merLi += '<div class="font16-262">'+orderItemDtos[j].Name+'<span class="font12-666"> x <span class="acounts">'+orderItemDtos[j].Count+'</span></span></div>';
		} else {
			// 电影票座位
			seatNames += ' <label class= \'ui-777\'>' + orderItemDtos[j].Name + '</label>';
		}
		// 卖品显示电影
		if(j == orderItemDtos.length -1) {
			merLi += '<div class="font12-666 goods-cinema">'+ordersDto.CinemaName+'</div>';
		}
	}
	$('.select_seat_number').html(seatNames);
	$('.pay_mer_list').html(merLi);
	// 显示电影票内容
	if(!isNull(seatNames)) {
		// 存在购买电影票的时候 显示计时栏
		$('#time_window').css('display',"block");
		// 存在购买电影票的时候 显示电影票栏
		$("#cinema_window").css('display',"block");
		// 在有电影票时候 影藏商品下的影院名称
		$('.goods-cinema').css('display','none');
	}
	// 是否存在卖品
	if(isNull(merLi)) {
		$('.pay_mer_list').hide();
	} else {
		$('.pay_mer_list').show();
	}
	//倒计时
	if(checkProducts(orderItemDtos)) {
		$('.li_fc').remove();
		$('.deail').css("padding-top", "0rem");
		$('#filmName').hide();
	} else {
		if(!isNull(ordersDto.autoUnlockSeconds) && parseInt(ordersDto.autoUnlockSeconds) > 0) {
			showMinute = parseInt(parseInt(parseInt(ordersDto.autoUnlockSeconds)) / 60);
			dealPayTime(parseInt(ordersDto.autoUnlockSeconds));
		}
	}

	if(ordersDto.ConsumeType == 1) {
		//积分订单
		var totalPoint = 0;
		$.each(orderItemDtos, function(i, item) {
			totalPoint += item.Point * item.Count;
		});
		$("#orderPoint").html(totalPoint);
		$(".CRM").hide();
		$(".CRM_POINT").show();
	} else {
		$("#orderAmount").html(parseFloat(ordersDto.AmountDiscount).toFixed(2) + '元');
		if(!isNull(ordersDto.ServicePriceAmount) && parseFloat(ordersDto.ServicePriceAmount) > 0) {
			$("#orderAmount").html($("#orderAmount").html() + '(含服务费' + parseFloat(ordersDto.ServicePriceAmount).toFixed(2) + '元)');
		}
	}

	// 跳转支付页面
	$('.detailorangebtn').on('tap', function() {
		goPay();
	})
	// 没支付前取消订单
	$('.detailfffbtn').on('tap', function() {
		cancelOrder();
	})
}

/**
 * 去掉时间的秒
 * @param dateTime 格式:yyyy-MM-dd HH:mm:ss
 */
function subTimeSeconds(dateTime) {
	var new_dateTime = dateTime.substring(0, dateTime.length - 3);
	return new_dateTime;
}

// 跳转到支付页面
function goPay() {
	openPage('accounts', '/pages/accounts/accounts.html', {
		'orderNumber': orderNumber
	});
}

var issubimt = 0;
// 支付成功 取消订单方法
function refund() {
	if(tickenum > 0) {
		//使用了票卷支付不得取消订单
		mui.toast("由于使用了票券，不得取消订单！");
		return;
	}
	if(issubimt == 1) {
		// 防止重复提交
		return;
	}
	mui.confirm('取消订单手续费为' + tpfee + '元,您确定取消？', '', ['否', '是'], function(e) {
		if(e.index == 0) {

		} else {
			issubimt = 1;
			var param = {
				"auth": auth_code,
				"wecha_id": getWechaId(),
				"OrderNumber": orderNumber,
				"starttime": starttime
			}
			Ajax(web_root + '/appService?method=refund', 'post', 'json', param, AjaxBeforeSendFn, cancelPayOrderFn, AjaxErrorFn, AjaxCompleteFn, '已支付，取消订单');
		}
	})
}
// 取消订单
function cancelPayOrderFn(data) {
	if(data.msgCode == '0') {
		mui.toast('取消订单成功！');
		// 刷新订单列表
		var orderRecord = plus.webview.getWebviewById('orderRecord');
		if(orderRecord) {
			mui.fire(orderRecord, 'reload', {});
		}
		// 关闭当前页面
		plus.webview.currentWebview().close();
	} else {
		// 取消订单失败
		mui.alert(data.msg);
	}
}

function cancelOrder() {
	var param = {
		'auth': auth_code,
		'wecha_id': getWechaId(),
		'OrderNumber': orderNumber,
		'jsN': 'unpaid'
	};
	// 数据请求
	Ajax(web_root + '/appService?method=releaseSeat', 'post', 'json', param, AjaxBeforeSendFn, noPayCancelSuccessFn, AjaxErrorFn, AjaxCompleteFn, '未支付，取消订单');
}
// 待支付 取消成功
function noPayCancelSuccessFn(data) {
	mui.toast('取消订单成功！');
	// 刷新订单列表
	var orderRecord = plus.webview.getWebviewById('orderRecord');
//	alert(JSON.stringify(orderRecord));
	if(orderRecord) {
		mui.fire(orderRecord,'reload',{});
	}
	
	// 关闭当前页面
	setTimeout(function(){
		plus.webview.currentWebview().close();
	},2000)
}

/**
 * num传入的数字，n需要的字符长度
 * @param num
 * @param n
 * @return
 */
function prefixInteger(num, n) {
	return(Array(n).join(0) + num).slice(-n);
}

var t = null;
//订单支付倒计时方法
function timedCount() {
	clearTimeout(t);
	var showText = '';
	if(showSecond == -1 && showMinute == 0) {
		mui.toast('付款已超时，请重新选座!');
		// 刷新订单列表
		var orderRecord = plus.webview.getWebviewById('orderRecord');
		if(orderRecord) {
			mui.fire(orderRecord, 'reload', {});
		}
		setTimeout(function(){
			plus.webview.currentWebview().close();
		},2000)
		return false;
	} else {
		if(showSecond < 0) {
			showMinute -= 1;
			showSecond = 59;
		}
		if(showMinute < 10) {
			showText = '0' + showMinute;
		} else {
			showText = showMinute;
		}
		showText += '分';
		if(showSecond < 10) {
			showText += '0' + showSecond;
		} else {
			showText += showSecond;
		}
		showText += "秒";
		$('.time_out_cls').text(showText);
		t = setTimeout("timedCount()", 1000);
		showSecond -= 1;
	}
}

function dealPayTime(autoUnlockSecond) {
	showSecond = parseInt(autoUnlockSecond) - showMinute * 60 - 1;
	timedCount();
}

/**
 * 校验订单中是否有电影票 true-没有,false-有
 */
function checkProducts(orderItemDtos) {
	var tag = true;
	$.each(orderItemDtos, function(i, item) {

		if(item.OrderItemType == 'TICKET') {
			tag = false;
			return false;
		}
	});
	return tag;
}