mui.init()

mui.plusReady(function(){
	var p= plus.webview.currentWebview();
	var levelCode = p.levelCode;
	var cinemaCode = p.cinemaCode;
	loadData(levelCode,cinemaCode);
	
	mui("#cardBox").on("tap",".select-card",function(){
		var input = $(this).find('input');
		console.log(input);
		var levelCode = input.attr('levelCode');
		var cardCost =  input.attr('cardCost');
		var levelName =  input.attr('levelName');
		var openCardCost =  input.attr('openCardCost');
		var openChargeCost =  input.attr('openChargeCost');
		var opener = plus.webview.getWebviewById("register");
		mui.fire(opener,"chooceMemberCard",{
			levelCode : levelCode,
			cardCost : cardCost,
			levelName : levelName,
			openCardCost : openCardCost,
			openChargeCost : openChargeCost
		});
		p.close();
	});
	
//	mui("#cardBox").on("tap",".select-card",function(){
////		var opener = plus.webview.getWebviewById("accounts");
////		if(opener){
////			opener.evalJS("chooceCard('"+ $(this).find("input").data('cardno') +"');");
////		}
////		p.hide();
//		var input = $(this).find('input');
//		console.log(input);
//		var levelCode = input.getAttribute('levelCode');
//		var cardCost =  input.getAttribute('cardCost');
//		var levelName =  input.getAttribute('levelName');
//		var openCardCost =  input.getAttribute('openCardCost');
//		var openChargeCost =  input.getAttribute('openChargeCost');
//		var opener = plus.webview.getWebviewById("register");
//		mui.fire(opener,"chooceMemberCard",{
//			levelCode : levelCode,
//			cardCost : cardCost,
//			levelName : levelName,
//			openCardCost : openCardCost,
//			openChargeCost : openChargeCost
//		});
//		p.close();
//	});
});

//  加载会员卡
function loadData(levelCode,cinemaCode) {
	console.log("levelCode--->"+levelCode);
	//请求服务端跨域
	var wecha_id = 'oBte8uKoKfrNOFWULkhmoO3deEjQ';
	if(!isUsedTestData()) {
		wecha_id = getWechaId();
	}
	//会员卡色值
	var cardColor = [
	['#C2C2C2','#D9D8D8'],
	['#ABC9DD','#D3E1EC'],
	['#E6B45D','#F0C279'],
	['#262626','#504E4E'],
	];
	$.ajax({
		url: web_root+'/appService?method=queryMemberLevelInfo',
		type: 'post',
		dataType: 'json',
		data: {
			"auth": auth_code,
			"wecha_id": wecha_id,
			"cinemaCode": cinemaCode,
			"app": "true"
		},
		beforeSend: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.showWaiting("");
			}
		},
		complete: function() {
			if(!isUsedTestData()) {
				plus.nativeUI.closeWaiting();
			}
		},
		timeout: 20000,
		success: function(data) {
			console.log("------->"+JSON.stringify(data));
			if($.trim(data.cinemaMemberLevelTips) !=""){
				$("#cardBox").html('<center>'+data.cinemaMemberLevelTips+'</center>');
				return;
			}
			var cardData = data.cinemaMemberLevelList;
			if(cardData.length == 0 ){
				$("#cardBox").html('<center>没有数据</center>');
				return;
			}
			//是否显示开卡手续费
			var tag = true;
			if(!isNull(data.isOpenCardService) && data.isOpenCardService == '1'){
				tag = false;
			}
			
			var _isbound = '',_html = '',_index = 0;
			for(var i=0;i<cardData.length;i++){
				var radioCheck = '';
				var cardCost  = parseFloat(tag ? 0 : cardData[i].OpenCardCost);
				var openCardCost = parseFloat(tag ? 0 :cardData[i].OpenCardCost);
				var openChargeCost = 0;
				 if($.trim(cardData[i].openChargeCost) !=""){
				 	openChargeCost = parseFloat(cardData[i].openChargeCost);
				 	cardCost = cardCost + parseFloat(cardData[i].openChargeCost);
				 }
				if(isNull(levelCode)){
					radioCheck = '<input levelCode="'+ cardData[i].LevelCode +'" cardCost="'+cardCost+'" levelName="'+cardData[i].LevelName+'" openCardCost="'+openCardCost+'" openChargeCost="'+openChargeCost+'" style="right:0;" name="radio1" type="radio">'
				}else{
					if(cardData[i].LevelCode == levelCode ){
						radioCheck = '<input levelCode="'+ cardData[i].LevelCode +'" cardCost="'+cardCost+'" levelName="'+cardData[i].LevelName+'" openCardCost="'+openCardCost+'" openChargeCost="'+openChargeCost+'" checked="checked" style="right:0;" name="radio1" type="radio">';
					}else{
						radioCheck = '<input levelCode="'+ cardData[i].LevelCode +'" cardCost="'+cardCost+'" levelName="'+cardData[i].LevelName+'" openCardCost="'+openCardCost+'" openChargeCost="'+openChargeCost+'" style="right:0;" name="radio1" type="radio">'
					}
				}
				_html += '<div class="mui-card memberCard" levelCode="'+ cardData[i].LevelCode +'" userId="'+ cardData[i].UserId +'" cardCost="'+cardCost+'">'+
							'<div class="mui-card-content" style="background:-webkit-linear-gradient(left,'+ cardColor[_index][0] +','+ cardColor[_index][1] +');">'+
								'<div class="card-shadow"></div>'+
								'<h1>'+ cardData[i].LevelName +'</h1>'+
							'</div>'+
							'<div class="mui-card-footer" style="padding: 0 15px;border:0">'+
							'<span>初始金额<label style="color: red">'+ cardCost +'元</label></span>'+
							'<div>'+
							'</div>'+
								'<div class="mui-input-row mui-radio select-card">'+
									'<label style="padding-right:35px;">请选择会员卡</label>'+
									radioCheck+
								'</div>'+
							'</div>'+
						'</div>';
				_index ++;
				if(_index >3){
					_index = 0;
				}
			}
			$("#cardBox").html(_html);
		},
		error: function(xhr, type, errorThrown) {
			console.log(xhr);
			console.log(type);
			console.log(errorThrown);
			if(!isUsedTestData()) {
				mui.alert('服务器连接超时，请稍后再试');
			}
		}
	});
}
